------------------------------------------------------------------------
r10425 | jesse | 2008-01-22 11:49:13 -0500 (Tue, 22 Jan 2008) | 1 line
Changed paths:
   A /rt/tags/3.6.6 (from /rt/branches/3.6-RELEASE:10424)

Tagged as 3.6.6 by svn RelEng 1.0
------------------------------------------------------------------------
r10424 | jesse | 2008-01-22 11:45:37 -0500 (Tue, 22 Jan 2008) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r75532@pinglin:  jesse | 2008-01-22 11:43:46 -0500
 3.6.6 final

------------------------------------------------------------------------
r10352 | jesse | 2008-01-15 10:22:58 -0500 (Tue, 15 Jan 2008) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r75058@pinglin:  jesse | 2008-01-15 10:22:51 -0500
 * bump to rc3

------------------------------------------------------------------------
r10351 | jesse | 2008-01-15 10:18:19 -0500 (Tue, 15 Jan 2008) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

 r75056@pinglin:  jesse | 2008-01-15 10:17:55 -0500
 * Fixed an issue where RT would flub the content-type on mail messages containing non-ascii characters 
   (Bug introduced after 3.6.5 and reported by Sven Sternberger)

------------------------------------------------------------------------
r10231 | jesse | 2008-01-03 09:47:40 -0500 (Thu, 03 Jan 2008) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie

 r74540@pinglin:  jesse | 2008-02-11 15:31:54 +0000
 SetupSessionCookie - enable "Transaction" property for better support on 
   Oracle or File sessions (From Alexandr Ciornii)

------------------------------------------------------------------------
r10183 | jesse | 2007-12-29 15:47:12 -0500 (Sat, 29 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

3.6.6rc2


------------------------------------------------------------------------
r10129 | jesse | 2007-12-26 16:01:11 -0500 (Wed, 26 Dec 2007) | 13 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r74208@pinglin:  jesse | 2007-12-26 16:00:34 -0500
 RT-Ticket: 8781
 RT-Status: resolved
 RT-Update: correspond
 
 I've encountered a problem with sender identification in the mailgate. If
 a user sends an e-mail where 'Reply-To' is present but empty (i.e there is
 'Reply-To: ' in the e-mail headers), RT does not associate the e-mail
 with a RT user even if the user exists in the system and the sender
 address is specified in the 'Sender' or 'From' fields.
  - Patch from ondrasej@centrum.cz
 

------------------------------------------------------------------------
r9963 | jesse | 2007-12-15 02:11:28 -0500 (Sat, 15 Dec 2007) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

 r73110@pinglin:  jesse | 2007-12-14 13:54:52 -0500
 * Fix for a copy and paste bug when RT's config file was unreadable.
     Thanks to Maxime Henrion <mux@freebsd.org>
 

------------------------------------------------------------------------
r9962 | jesse | 2007-12-15 02:11:20 -0500 (Sat, 15 Dec 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/index.html
   M /rt/branches/3.6-RELEASE/html/Approvals/index.html
   M /rt/branches/3.6-RELEASE/html/Search/Results.html
   M /rt/branches/3.6-RELEASE/html/Tools/Offline.html

 r72962@pinglin:  jesse | 2007-12-10 15:05:42 -0500
 * Canonicalize a bunch of "Go" buttons to "Go!" 
 * Switched the approvals button from "Show Approvals" to "Go"

------------------------------------------------------------------------
r9961 | jesse | 2007-12-15 02:11:14 -0500 (Sat, 15 Dec 2007) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   M /rt/branches/3.6-RELEASE/lib/t/regression/06-mime_decoding.t

 r72961@pinglin:  jesse | 2007-12-10 14:58:08 -0500
 RT-Ticket: 8710
 RT-Status: resolved
 RT-Update correspond
 
 * Attached patch fixes a bug in decoding content-type headers that contain  encoded file names.

------------------------------------------------------------------------
r9960 | jesse | 2007-12-15 02:10:50 -0500 (Sat, 15 Dec 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default

 r72958@pinglin:  jesse | 2007-12-10 13:57:04 -0500
 * Switch the REST interface to always show ticket times in minutes, rather than lose data
 

------------------------------------------------------------------------
r9923 | ruz | 2007-12-12 15:32:51 -0500 (Wed, 12 Dec 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Groups_Overlay.pm

* add definitions of new methods we have to share between Groups and Users classes
------------------------------------------------------------------------
r9922 | ruz | 2007-12-12 15:31:15 -0500 (Wed, 12 Dec 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/23cfsort.t

backport from 3.7

* add more tests to show that sorting by CF fails mark them as todo

------------------------------------------------------------------------
r9884 | sartak | 2007-12-11 08:58:39 -0500 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Simple.html

 r48891@onn:  sartak | 2007-12-11 08:58:32 -0500
 Add some callbacks to Simple Search

------------------------------------------------------------------------
r9883 | sartak | 2007-12-11 08:41:42 -0500 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Search/Googleish.pm

 r48889@onn:  sartak | 2007-12-11 08:41:35 -0500
 Allow the caller of Googleish searches to choose what queues go into the query

------------------------------------------------------------------------
r9882 | sartak | 2007-12-11 08:37:35 -0500 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Widgets/SelectionBox

 r48885@onn:  sartak | 2007-12-11 08:37:30 -0500
 Add an optional Clear button to SelectionBox

------------------------------------------------------------------------
r9879 | sartak | 2007-12-11 08:13:27 -0500 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Widgets/SelectionBox

 r48883@onn:  sartak | 2007-12-11 08:13:12 -0500
 Add a NoArrows option to selectionbox, for when order doesn't matter

------------------------------------------------------------------------
r9871 | jesse | 2007-12-10 13:45:46 -0500 (Mon, 10 Dec 2007) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/Modify.html

 r72955@pinglin:  jesse | 2007-12-10 13:45:10 -0500
 RT-Ticket: 8702
 RT-Status: resolved
 RT-Update: correspond
 
 * Applied a small  html fix (missing </td>) from Steve Turner

------------------------------------------------------------------------
r9870 | jesse | 2007-12-10 13:45:31 -0500 (Mon, 10 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectScripAction
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectScripCondition
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectTemplate

 r72954@pinglin:  jesse | 2007-12-10 13:42:06 -0500
 * Sort Templates, Actions and Conditions by Name, as suggested by Steve Turner

------------------------------------------------------------------------
r9869 | jesse | 2007-12-10 13:01:05 -0500 (Mon, 10 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po

 r72886@pinglin:  jesse | 2007-12-10 13:00:49 -0500
 * Updated french translation from Emmanuel Lacour

------------------------------------------------------------------------
r9853 | audreyt | 2007-12-09 00:19:10 -0500 (Sun, 09 Dec 2007) | 9 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/etc/initialdata
   M /rt/branches/3.6-RELEASE/html/Search/Build.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/SelfService/index.html
   M /rt/branches/3.6-RELEASE/html/Tools/MyDay.html
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po
   M /rt/branches/3.6-RELEASE/lib/RT/Report/Tickets.pm

 r18145@T (orig r9848):  audreyt | 2007-12-08 07:35:37 +0800
 * Massive internationalization fixes.
 r18146@T (orig r9849):  audreyt | 2007-12-08 07:39:06 +0800
 * zh_tw.po cleanup
 r18148@T (orig r9851):  audreyt | 2007-12-09 01:21:40 +0800
 * zh_tw.po: More L10N
 r18149@T (orig r9852):  audreyt | 2007-12-09 13:08:38 +0800
 * Full translation of zh_tw and zh_cn.

------------------------------------------------------------------------
r9807 | jesse | 2007-12-03 16:05:08 -0500 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

* 3.6.6rc1

------------------------------------------------------------------------
r9806 | jesse | 2007-12-03 12:06:57 -0500 (Mon, 03 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po

 r72604@pinglin:  jesse | 2007-12-03 12:06:40 -0500
 * Japanese translation updates from Shinji Yamane

------------------------------------------------------------------------
r9784 | jesse | 2007-12-01 21:41:06 -0500 (Sat, 01 Dec 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/EmailInput
   M /rt/branches/3.6-RELEASE/html/Helpers/EmailAutocomplete
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/controls.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/effects.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/prototype.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/scriptaculous.js
   M /rt/branches/3.6-RELEASE/html/SelfService/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Update.html

 r72598@pinglin:  jesse | 2007-12-01 21:40:32 -0500
 * reverting audrey's changes which were just pulled to the aberdeen branch

------------------------------------------------------------------------
r9781 | audreyt | 2007-12-01 21:31:45 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Helpers/EmailAutocomplete
   M /rt/branches/3.6-RELEASE/html/SelfService/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Update.html

* Convert SelfService and Ticket Create/Update to EmailAutocomplete.
------------------------------------------------------------------------
r9780 | audreyt | 2007-12-01 21:30:10 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/EmailInput

* EmailInput: First cut at email completion widget.
------------------------------------------------------------------------
r9779 | audreyt | 2007-12-01 21:27:18 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous
   A /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/controls.js
   A /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/effects.js
   A /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/prototype.js
   A /rt/branches/3.6-RELEASE/html/NoAuth/js/scriptaculous/scriptaculous.js

* Add the parts of scriptaculous we need for the autocompleter.
------------------------------------------------------------------------
r9778 | audreyt | 2007-12-01 21:17:03 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/html/NoAuth/images/css/fieldbg-autocomplete.gif

* Picture of autocompleted-field-background from jifty
------------------------------------------------------------------------
r9777 | audreyt | 2007-12-01 21:15:21 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/html/Helpers/EmailAutocomplete

* Email Autocompletion element.
------------------------------------------------------------------------
r9776 | audreyt | 2007-12-01 18:09:56 -0500 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/html/Elements/EmailInput

* Elements/EmailInput - Beginning of refactoring toward Ajax mail
------------------------------------------------------------------------
r9768 | jesse | 2007-11-30 14:14:25 -0500 (Fri, 30 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r72537@pinglin:  jesse | 2007-11-30 14:13:55 -0500
 * Applied http://page.mi.fu-berlin.de/pape/rt3/patches/rt/3.6.5/less_warnings_in_error_log.patch from Dirk Pape to quiet some warnings

------------------------------------------------------------------------
r9767 | jesse | 2007-11-30 14:08:42 -0500 (Fri, 30 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po

 r72527@pinglin:  jesse | 2007-11-30 14:07:42 -0500
 * Updated dutch .po file from Marcel Kolkman

------------------------------------------------------------------------
r9742 | ruz | 2007-11-23 20:27:52 -0500 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* bump required version of SB so people will get a fix that
  affect the latest change
------------------------------------------------------------------------
r9741 | ruz | 2007-11-23 20:25:55 -0500 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Users_Overlay.pm

* split WhoHaveRoleRights into more queries so buggy MySQL's
  optimizer can do the right thing
------------------------------------------------------------------------
r9733 | ruz | 2007-11-23 17:34:45 -0500 (Fri, 23 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm

* oops, missed space during refactoring
------------------------------------------------------------------------
r9730 | falcone | 2007-11-23 17:15:54 -0500 (Fri, 23 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/search/ticket
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

 r26864@ketch:  falcone | 2007-11-23 17:04:49 -0500
 * handle spaces in field names when doing rt ls

------------------------------------------------------------------------
r9727 | ruz | 2007-11-21 19:38:24 -0500 (Wed, 21 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Widgets/SavedSearch

* add handling of arguments with multiple values into Widgets/SavedSearch
------------------------------------------------------------------------
r9715 | ruz | 2007-11-20 20:27:25 -0500 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ConfigureMyRT
   M /rt/branches/3.6-RELEASE/html/Widgets/SelectionBox

* revert rev9654 as it breaks charts on home page
------------------------------------------------------------------------
r9695 | ruz | 2007-11-18 16:56:52 -0500 (Sun, 18 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm

* add caching based on short keys
* split _HasRight into _HasGroupRight and _HasRoleRight
* use more queries for roles
------------------------------------------------------------------------
r9693 | ruz | 2007-11-16 17:42:23 -0500 (Fri, 16 Nov 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm

* unshift more global objects instead of pushing them,
  so we'll get them earlier in an upcoming refactoring
* do all things related to EquivObjects in HasRight and
  leave only checks in _HasRight
------------------------------------------------------------------------
r9692 | ruz | 2007-11-16 17:37:59 -0500 (Fri, 16 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm

* minor
------------------------------------------------------------------------
r9659 | falcone | 2007-11-13 19:09:02 -0500 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/Modify.html

 r26553@ketch:  falcone | 2007-11-13 19:07:28 -0500
 * set the prefix so that CFs can be added during Group Creation

------------------------------------------------------------------------
r9654 | ruz | 2007-11-13 12:59:32 -0500 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ConfigureMyRT
   M /rt/branches/3.6-RELEASE/html/Widgets/SelectionBox

* add labeling of portlets that are based on components,
  it doesn't support localization, but it's better than empty label
* allow to manage many portlets that are based on the same
  comp by adding optional 'id' key
------------------------------------------------------------------------
r9653 | ruz | 2007-11-13 12:45:26 -0500 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Widgets/TitleBoxStart

* we don't use some vars anymore so don't fool people
  by defining them in the %ARGS block
------------------------------------------------------------------------
r9649 | audreyt | 2007-11-12 15:48:07 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* RT::Action::SendEmail - Support for multipart/* emails; we now
  textualify all MIME parts, instead of collapsing the whole multipart.
------------------------------------------------------------------------
r9648 | audreyt | 2007-11-12 15:46:09 -0500 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

* RT::Transaction->ContentObj - Prefer the first part that
  matches $PreferredContentType, instead of always 'text/plain'.
------------------------------------------------------------------------
r9647 | audreyt | 2007-11-12 03:03:52 -0500 (Mon, 12 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

* RT::Transaction_Overlay - use RT::I18N::IsTextualContentType.
------------------------------------------------------------------------
r9646 | audreyt | 2007-11-12 03:02:35 -0500 (Mon, 12 Nov 2007) | 10 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Attachment_Overlay.pm

* RT::Attachment_Overlay - Fix several broken logic in ->OriginalContent:

    - When $self->ContentEncoding eq 'quoted-printable', a premature
      "return" prevented any encoding conversion from taking place.

    - A bogus Encode::_utf8_on($content) later prevented any encoding
      conversino from taking place _anyway_.

* $attachment->Quote now respects RT::I18N::IsTextualContentType.

------------------------------------------------------------------------
r9645 | audreyt | 2007-11-12 02:58:56 -0500 (Mon, 12 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* RT::Record - _DecodeLOB now respects RT::I18N::IsTextualContentType.
------------------------------------------------------------------------
r9644 | audreyt | 2007-11-12 02:56:43 -0500 (Mon, 12 Nov 2007) | 13 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm

* RT::I18N - Introduce a new utility function, IsTextualContentType($type),
  that determines whether $type can be sensibly converted to Unicode text.

  Currently it uses this regex (case-insensitively):

      ^(?:text/(?:plain|html)|message/rfc822)\b

  The idea is to unify all the inconsistent uses all over RT's code
  (some tested for text/*, some for text/plain|message/rfc822, some
  for text/plain|text/html|message/*) to use this function instead.

* Minor POD glitch - Say "function" when it said "method" but really wasn't.

------------------------------------------------------------------------
r9643 | audreyt | 2007-11-12 02:52:35 -0500 (Mon, 12 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* RT::Action::SendEmail - Minor comment typo: "use" ne "sue"
------------------------------------------------------------------------
r9642 | audreyt | 2007-11-11 15:05:50 -0500 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

* RT::Transaction_Overlay: Be saner and allows explicitly
  calling $txn->Content(Type => 'text/html'), instead of
  relying on action-at-a-distance $PreferredContentType.
------------------------------------------------------------------------
r9641 | audreyt | 2007-11-11 14:58:21 -0500 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

* RT.pm.in: Add support for loading RT_Vendor.pm by default
  before RT_Local, for greater consistency.
------------------------------------------------------------------------
r9640 | audreyt | 2007-11-11 14:07:43 -0500 (Sun, 11 Nov 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* RT::Action::SendEmail: Allow user-specified Content-Type
  in outgoing templates.  Currently, only text/* is supported
  for security reasons.  Eventually maybe multipart/* with
  all textual subparts might be allowed, too.
------------------------------------------------------------------------
r9639 | audreyt | 2007-11-11 14:06:06 -0500 (Sun, 11 Nov 2007) | 9 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

* RT::Transaction_Overlay: Unify the idea of "textual" MIME types
  to text/plain, text/html and message/*. (Previously it was defined
  differently for e.g. the first part and the other parts.)

* RT::Transaction_Overlay: Introduce the variable
  $RT::Transaction::PreferredContentType to control the context
  where ->Content() is evaluated in.  If not set, it defaults
  to text/plain.

------------------------------------------------------------------------
r9628 | sartak | 2007-11-09 15:49:01 -0500 (Fri, 09 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart

 r44879@onn:  sartak | 2007-11-09 15:48:26 -0500
 If there are no tickets found in a search, give an error-message image instead of silently failing to load.

------------------------------------------------------------------------
r9627 | audreyt | 2007-11-09 15:23:38 -0500 (Fri, 09 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* _DecodeLOB: All text/* are treated as UTF-8, not only text/plain.
------------------------------------------------------------------------
r9626 | audreyt | 2007-11-09 15:06:09 -0500 (Fri, 09 Nov 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

* RT::Transaction_Overlay: Signatures in text/html content objects should be
  removed in a way that doesn't depend on whitespace.
  Also, remove an unneccessary regex capture.

------------------------------------------------------------------------
r9625 | ruz | 2007-11-09 14:57:37 -0500 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT

* delete double width definition
* don't escape html
------------------------------------------------------------------------
r9623 | audreyt | 2007-11-09 14:07:05 -0500 (Fri, 09 Nov 2007) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* MakeMIMEEntity now takes an optional "Type" field to denote
  the MIME Type of the body.  (Default to 'text/plain'.)

* CreateTicket() now supports $ARGS{ContentType}, and
  ProcessUpdateMessage() now supports $ARGS{UpdateContentType}.
------------------------------------------------------------------------
r9620 | ruz | 2007-11-08 18:08:32 -0500 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/Members.html
   M /rt/branches/3.6-RELEASE/html/User/Groups/Members.html

* In this case the <ul> was opened inside an IF block,
  but </ul> closed outside the IF block.
  Thanks to Jason Long.
------------------------------------------------------------------------
r9619 | ruz | 2007-11-08 18:05:04 -0500 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches

* The <nobr> opening tag came before the IF statement,
  and the </nobr> closing tag was inside the IF statement.
  Thanks to Jason Long.
------------------------------------------------------------------------
r9618 | ruz | 2007-11-08 17:55:41 -0500 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* RFC dictates to encode by chars, so if char is two octets then
  it MUST be in one chunk
------------------------------------------------------------------------
r9617 | ruz | 2007-11-08 17:38:33 -0500 (Thu, 08 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* add max-age along to Expires
------------------------------------------------------------------------
r9616 | audreyt | 2007-11-08 15:06:00 -0500 (Thu, 08 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* Add new dep: CSS::Squish 0.06
------------------------------------------------------------------------
r9615 | ruz | 2007-11-08 12:19:48 -0500 (Thu, 08 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/autohandler

* align comments
------------------------------------------------------------------------
r9610 | ruz | 2007-11-06 16:30:42 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowBasics
   A /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowQueue

* add Ticket/Elements/ShowQueue and use it on create and in ShowBasics,
  tiny comp for overriding in extensions
------------------------------------------------------------------------
r9560 | ruz | 2007-11-06 05:03:32 -0500 (Tue, 06 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/Header
   A /rt/branches/3.6-RELEASE/html/NoAuth/css/dhandler
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* squish our CSS into one big thing use CSS::Squish and dhandler
------------------------------------------------------------------------
r9559 | ruz | 2007-11-06 04:59:01 -0500 (Tue, 06 Nov 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* don't send Last-Modified field in a response
* make cache public
------------------------------------------------------------------------
r9558 | ruz | 2007-11-06 04:40:57 -0500 (Tue, 06 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/forms.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/main.css

* revert rev. 9532 as we now more interested in mason comments instead of css comments
------------------------------------------------------------------------
r9532 | ruz | 2007-11-01 10:07:17 -0400 (Thu, 01 Nov 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/forms.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/main.css

* convert mason comments into css comments
------------------------------------------------------------------------
r9471 | tla | 2007-10-26 10:36:52 -0400 (Fri, 26 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

get rid of overly verbose debug statement
------------------------------------------------------------------------
r9462 | sunnavy | 2007-10-25 16:04:40 -0400 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/Tabs

add a callback for SelfService/Elements/Tabs
------------------------------------------------------------------------
r9460 | tla | 2007-10-25 10:39:42 -0400 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

change comment
------------------------------------------------------------------------
r9457 | tla | 2007-10-25 05:33:58 -0400 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

refrain from shifting args off the argument array
------------------------------------------------------------------------
r9447 | tla | 2007-10-24 22:20:11 -0400 (Wed, 24 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

don't want RecordOutgoingMailTransaction to be fatal to the scrip.
------------------------------------------------------------------------
r9446 | tla | 2007-10-24 22:04:45 -0400 (Wed, 24 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

store the outgoing txn ID in  for later access
------------------------------------------------------------------------
r9445 | tla | 2007-10-24 18:03:16 -0400 (Wed, 24 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

Save the transaction ID of the outgoing message transaction
------------------------------------------------------------------------
r9429 | ruz | 2007-10-23 20:16:06 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMembers

* oops, forgot commit one line, there is no $member anymore
------------------------------------------------------------------------
r9428 | ruz | 2007-10-23 20:12:43 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMembers

* switch to /Elements/ShowLink
------------------------------------------------------------------------
r9426 | ruz | 2007-10-23 19:05:52 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/EditLinks

* delete unused variable
------------------------------------------------------------------------
r9425 | ruz | 2007-10-23 19:03:34 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMembers

* add missing </li>
------------------------------------------------------------------------
r9424 | ruz | 2007-10-23 19:02:34 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMembers

* move general if block into <%INIT>
------------------------------------------------------------------------
r9423 | ruz | 2007-10-23 18:44:53 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* update docs
------------------------------------------------------------------------
r9422 | ruz | 2007-10-23 18:43:38 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyLinks.html

* pass a reference to @results into a callback, so extensions can fill it
------------------------------------------------------------------------
r9421 | ruz | 2007-10-23 16:41:07 -0400 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/ShowLinks

* add closing tags for elements of lists
------------------------------------------------------------------------
r9418 | sartak | 2007-10-23 14:14:23 -0400 (Tue, 23 Oct 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Template_Overlay.pm

 r44066@onn:  sartak | 2007-10-23 14:14:02 -0400
 Allow Template->ParseContent to not require Ticket and Txn

------------------------------------------------------------------------
r9380 | sunnavy | 2007-10-20 03:06:24 -0400 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html

don't overwrite %ARGS; don't add cloned ticket to parents by default
------------------------------------------------------------------------
r9365 | sunnavy | 2007-10-19 15:42:07 -0400 (Fri, 19 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldFreeform

we shouldn't replace "\n" with whitespace if it's multiple type
------------------------------------------------------------------------
r9362 | sunnavy | 2007-10-19 15:23:08 -0400 (Fri, 19 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html

Ticket/Create.html can handle clone function now
------------------------------------------------------------------------
r9271 | jesse | 2007-10-11 11:40:59 -0400 (Thu, 11 Oct 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart

 r68059@pinglin:  jesse | 2007-10-11 11:40:39 -0400
 * We used the wrong variable name in html/Search/Chart (for fonts)
     Thanks to elacour at easter-eggs.com
 
 

------------------------------------------------------------------------
r9270 | sunnavy | 2007-10-11 01:22:26 -0400 (Thu, 11 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/History.html

added AfterShowHistory Callback in Ticket/History.html
------------------------------------------------------------------------
r9268 | jesse | 2007-10-10 21:35:37 -0400 (Wed, 10 Oct 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r68037@h46055e4a:  jesse | 2007-10-10 19:45:05 -0500
  * A small fix to stop RT from complaining about categories when updating custom fields via the web ui.  Thanks to Brian Gallew

------------------------------------------------------------------------
r9258 | sunnavy | 2007-10-09 16:44:47 -0400 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html

added current_tab arg for AfterShowHistory Callback in Ticket/Display.html
------------------------------------------------------------------------
r9245 | sunnavy | 2007-10-08 14:11:19 -0400 (Mon, 08 Oct 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/PageLayout
   M /rt/branches/3.6-RELEASE/html/Elements/Tabs

added show_menu arg for Elements/Tabs and Elements/PageLayout, mainly for RTx-TicketBottomTabs
------------------------------------------------------------------------
r9214 | jesse | 2007-10-03 10:54:53 -0400 (Wed, 03 Oct 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Users/Modify.html

 r27337@hualien:  jesse | 2007-10-03 10:54:11 -0400
 New callbacks from Dirk Pape: http://page.mi.fu-berlin.de/pape/rt3/patches/rt/3.6.4/add_callbacks_to_admin_us
 ers.patch

------------------------------------------------------------------------
r9192 | jesse | 2007-10-02 14:09:30 -0400 (Tue, 02 Oct 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditScrips
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditTemplates
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions
   M /rt/branches/3.6-RELEASE/html/Ticket/Update.html

 r27297@hualien:  jesse | 2007-10-02 14:08:53 -0400
 * HTML Table fixes from Dirk Pape (http://page.mi.fu-berlin.de/pape/rt3/patches/rt/3.6.4/rt3.6-xhtml-2.patch)

------------------------------------------------------------------------
r9190 | jesse | 2007-10-01 17:09:35 -0400 (Mon, 01 Oct 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r27278@hualien:  jesse | 2007-10-01 17:08:31 -0400
 3.6.5 releng

------------------------------------------------------------------------
r9152 | jesse | 2007-09-26 00:43:10 -0400 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/EmailParser.pm

 r67594@pinglin:  jesse | 2007-09-26 00:42:44 -0400
  MIME::Tools removed a method from their public API. this works around it

------------------------------------------------------------------------
r9148 | sunnavy | 2007-09-25 16:42:57 -0400 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

revert lib/t/regression/26command_line.t to drop multiple value cf tests
------------------------------------------------------------------------
r9145 | sunnavy | 2007-09-25 12:05:09 -0400 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/bin/rt.in
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default

revert back for multiple cf values bug in cli, we need a branch for that
------------------------------------------------------------------------
r9139 | jesse | 2007-09-24 11:42:34 -0400 (Mon, 24 Sep 2007) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po

 r67533@pinglin:  jesse | 2007-09-24 11:41:58 -0400
 RT-Ticket: 8563
 RT-Status: resolved
 RT-Update: correspond
 
 Updated Japanese translation from  y-iida@secom.co.jp
 

------------------------------------------------------------------------
r9122 | sunnavy | 2007-09-23 00:34:33 -0400 (Sun, 23 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/bin/rt.in

updated vsplit in accordance with our change to multiple value CF
------------------------------------------------------------------------
r9121 | sunnavy | 2007-09-23 00:20:30 -0400 (Sun, 23 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

do the right way for view and modification of multiple value CF for cli
------------------------------------------------------------------------
r9119 | sunnavy | 2007-09-21 16:24:07 -0400 (Fri, 21 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

single value cf can be set rightly through bin/rt.
------------------------------------------------------------------------
r9100 | sunnavy | 2007-09-20 02:55:33 -0400 (Thu, 20 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default

remove buggy whitespaces following a comma
------------------------------------------------------------------------
r9099 | sunnavy | 2007-09-20 02:05:48 -0400 (Thu, 20 Sep 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

A multi-valued custom field should end up with multiple rows in
ObjectCustomFieldValues
------------------------------------------------------------------------
r9082 | sunnavy | 2007-09-18 03:02:09 -0400 (Tue, 18 Sep 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/21query-builder.t

cleaned up a useless custom field for following tests
------------------------------------------------------------------------
r9081 | sunnavy | 2007-09-18 01:13:09 -0400 (Tue, 18 Sep 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

added tests for set/add/del values for custom field with multiple 
values in command line
------------------------------------------------------------------------
r9076 | sunnavy | 2007-09-17 16:52:39 -0400 (Mon, 17 Sep 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default

fix bug 10273.
https://tickets.bestpractical.com/Ticket/Display.html?id=10273
we need `delete' the old values before setting new values.

------------------------------------------------------------------------
r8942 | jesse | 2007-09-05 16:57:32 -0400 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/SelfService/Display.html

 r66993@pinglin:  jesse | 2007-09-05 16:44:11 -0400
 Fix to not update tickets multiple times when doing a selfservice posting.

------------------------------------------------------------------------
r8674 | jesse | 2007-08-21 13:49:46 -0400 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r66194@pinglin:  jesse | 2007-08-21 13:49:09 -0400
  3.6.5 RC2

------------------------------------------------------------------------
r8672 | ruz | 2007-08-21 12:03:53 -0400 (Tue, 21 Aug 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/titlebox.css

* switch back to using paddings instead of margins,
  tables in title-boxes are screwed in IE
------------------------------------------------------------------------
r8671 | nicholas | 2007-08-21 11:30:26 -0400 (Tue, 21 Aug 2007) | 11 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditCustomFields

svn merge -r8090:8094 http://code.bestpractical.com/bps-public/rt/branches/3.7-EXPERIMENTAL-TUNIS/html/Ticket/Elements/EditCustomFields html/Ticket/Elements/EditCustomFields

    r8091 | ruz | 2007-07-10 21:44:12 +0000 (Tue, 10 Jul 2007) | 2 lines

    * get rid of Count call, use counter to figure out if we have even or odd number of CFs
    * use less nested tables

    r8093 | ruz | 2007-07-10 21:59:45 +0000 (Tue, 10 Jul 2007) | 1 line

    * skip a CF if user has no right to change it

------------------------------------------------------------------------
r8670 | nicholas | 2007-08-21 10:28:28 -0400 (Tue, 21 Aug 2007) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransactionAttachments

<div class="messagebody"> is opened within 
  foreach my $message ( grep { $_->Parent == $Parent } @$Attachments ) {
but was being closed (erroneously) just beyond the foreach. This could result
in lots of orphaned </div> tags.

------------------------------------------------------------------------
r8669 | nicholas | 2007-08-21 09:39:15 -0400 (Tue, 21 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/Row

For a long time html/Elements/CollectionAsTable/ParseFormat has been parsing
/CLASS. Fix html/Elements/CollectionAsTable/Row to put that class on the <td>

------------------------------------------------------------------------
r8550 | falcone | 2007-08-14 13:54:27 -0400 (Tue, 14 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/StyleGuide.pod

 r23791@ketch:  falcone | 2007-08-14 13:53:58 -0400
 * we no longer support 5.6.1

------------------------------------------------------------------------
r8540 | falcone | 2007-08-14 12:23:38 -0400 (Tue, 14 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

 r23772@ketch:  falcone | 2007-08-14 12:22:58 -0400
 * document how to use the Update command on Records

------------------------------------------------------------------------
r8471 | jesse | 2007-08-09 11:26:00 -0400 (Thu, 09 Aug 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFields

 r65323@pinglin:  jesse | 2007-08-09 11:25:41 -0400
 *( Fix a bug (?) where a 0 was displayed after a value for multiple-values
 custom fields. - Quentin Garnier
 
 

------------------------------------------------------------------------
r8454 | sartak | 2007-08-08 17:20:43 -0400 (Wed, 08 Aug 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/etc/RT_Config.pm.in

Reword $ChartFont description
------------------------------------------------------------------------
r8453 | ruz | 2007-08-08 17:04:31 -0400 (Wed, 08 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/etc/RT_Config.pm.in
   M /rt/branches/3.6-RELEASE/html/Search/Chart

* add new $ChartFont option to the config which allow admin to
  select a tru type font RT uses in charts

------------------------------------------------------------------------
r8451 | ruz | 2007-08-08 16:26:30 -0400 (Wed, 08 Aug 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm

* fix ru.po
* simplify translators' work by using phrases with the same case
------------------------------------------------------------------------
r8445 | jesse | 2007-08-08 13:25:30 -0400 (Wed, 08 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r65296@pinglin:  jesse | 2007-08-08 13:24:39 -0400
 * 3.6.5rc1

------------------------------------------------------------------------
r8443 | falcone | 2007-08-08 09:19:21 -0400 (Wed, 08 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransaction

 r23542@ketch:  falcone | 2007-08-08 09:18:04 -0400
 * remove $aid var that never gets used.

------------------------------------------------------------------------
r8433 | ruz | 2007-08-07 16:44:52 -0400 (Tue, 07 Aug 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm

* fix performance regression in searches by watchers joined
  with other conditions using OR
------------------------------------------------------------------------
r8432 | ruz | 2007-08-07 16:43:05 -0400 (Tue, 07 Aug 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm

* update doc
------------------------------------------------------------------------
r8431 | ruz | 2007-08-07 16:38:47 -0400 (Tue, 07 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

* call CanonicalizeEmailAddress as class method instead of
  passing undef as first argument

------------------------------------------------------------------------
r8430 | ruz | 2007-08-07 16:37:21 -0400 (Tue, 07 Aug 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/21query-builder.t

* add debug info into test
------------------------------------------------------------------------
r8428 | ruz | 2007-08-07 15:36:17 -0400 (Tue, 07 Aug 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/00-mason-syntax.t

* fix compatibility of a test with new version of mason
------------------------------------------------------------------------
r8409 | jesse | 2007-08-06 17:33:00 -0400 (Mon, 06 Aug 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

 r65236@pinglin:  jesse | 2007-08-06 17:17:56 -0400
 * better canonicalization of multiple addresses in the cc/bcc box on correspondence and comment

------------------------------------------------------------------------
r8344 | ruz | 2007-07-31 19:32:21 -0400 (Tue, 31 Jul 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

* we don't exit on errors in data, but go to next object
------------------------------------------------------------------------
r8280 | ruz | 2007-07-25 10:34:34 -0400 (Wed, 25 Jul 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/22search_tix_by_watcher.t

* mark only one query as todo instead of many which really should pass
------------------------------------------------------------------------
r8271 | jesse | 2007-07-24 19:06:29 -0400 (Tue, 24 Jul 2007) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm

 r61183@pinglin:  jesse | 2007-07-24 16:05:28 -0700
 RT-Ticket: 8492
 RT-Update: correspond
 RT-Status: resolved
 
 * James Bunch pointed out a missing $ that would cause a failed method call in an error scenario
 

------------------------------------------------------------------------
r8237 | jesse | 2007-07-20 16:37:33 -0400 (Fri, 20 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

 r60980@pinglin:  jesse | 2007-07-20 16:36:52 -0400
 * Some custom fields (mixed case ones) didn't work properly on case-sensitive databases from the CLI client

------------------------------------------------------------------------
r8233 | jesse | 2007-07-19 15:30:01 -0400 (Thu, 19 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r60965@pinglin:  jesse | 2007-07-19 15:29:22 -0400
 * Backported 6766 to RT 3.6, with additional cleanups

------------------------------------------------------------------------
r8228 | jesse | 2007-07-19 13:40:36 -0400 (Thu, 19 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/etc/drop.Oracle

 r60951@pinglin:  jesse | 2007-07-19 13:39:57 -0400
 * Oracle drop schema typo fixes. Thanks to JoopvandeWege@mococo.nl

------------------------------------------------------------------------
r8215 | jesse | 2007-07-18 19:12:52 -0400 (Wed, 18 Jul 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/bin/rt.in
   M /rt/branches/3.6-RELEASE/html/REST/1.0/dhandler
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/REST.pm
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

 r60938@pinglin:  jesse | 2007-07-18 19:12:15 -0400
 * Fixed RT REST API and commandline client to support custom fields with spaces in their names
 

------------------------------------------------------------------------
r8186 | ruz | 2007-07-17 12:27:11 -0400 (Tue, 17 Jul 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* clear duplications recipient lists, based on patch from Dirk Pape
------------------------------------------------------------------------
r8182 | ruz | 2007-07-17 07:11:12 -0400 (Tue, 17 Jul 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Base.pm

::Base::CurrentUser
* allow passing RT::User as argument
* check that the object is really RT::CurrentUser
  or its sub-class
* verbose error message
* on error return undef instead of 0(zero)
------------------------------------------------------------------------
r8162 | jesse | 2007-07-14 00:03:08 -0400 (Sat, 14 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

 r60623@pinglin:  jesse | 2007-07-13 15:58:45 -0400
 * Quiet a warning. Thanks to Vlad <marchenko@gmail.com>

------------------------------------------------------------------------
r8063 | jesse | 2007-07-05 16:59:04 -0400 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

 r59918@pinglin:  jesse | 2007-07-05 16:58:53 -0400
 * Someone left in a call to Data::Dumper

------------------------------------------------------------------------
r8061 | jesse | 2007-07-05 13:46:42 -0400 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r59914@pinglin:  jesse | 2007-07-05 13:45:10 -0400
 Bumping to 3.6.4

------------------------------------------------------------------------
r8060 | jesse | 2007-07-05 13:45:54 -0400 (Thu, 05 Jul 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/t/regression/22search_tix_by_watcher.t

 r59913@pinglin:  jesse | 2007-07-05 13:10:32 -0400
 * todoing a test for a future feature

------------------------------------------------------------------------
r8025 | falcone | 2007-06-25 10:41:49 -0400 (Mon, 25 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyAll.html

 r22168@ketch:  falcone | 2007-06-25 09:41:08 -0500
 * There is no $TicketObj here, just $Ticket

------------------------------------------------------------------------
r8024 | nicholas | 2007-06-25 08:56:54 -0400 (Mon, 25 Jun 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/Error

Add a ) that was missing from r8012.

------------------------------------------------------------------------
r8023 | nicholas | 2007-06-25 08:55:26 -0400 (Mon, 25 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/00-mason-syntax.t

Need to skip all files in .svn directories when searching for files to test
load into Mason.

------------------------------------------------------------------------
r8016 | jesse | 2007-06-15 16:24:51 -0400 (Fri, 15 Jun 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   A /rt/branches/3.6-RELEASE/lib/RT/I18N/tr.po

 r58409@pinglin:  jesse | 2007-06-15 16:24:18 -0400
 * First cut Turkish translation from burakgursoy@gmx.net
 

------------------------------------------------------------------------
r8012 | jesse | 2007-06-15 12:31:08 -0400 (Fri, 15 Jun 2007) | 9 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/Error

 r58404@pinglin:  jesse | 2007-06-15 12:30:51 -0400
 html/Element/Errors generates uninitialized value warnings if the parameter
 $Details is not passed in, and if the SessionType is undefined. The following
 patch quietens it. - Nicholas Clark.
 
 (slightly modified to be more masonic)
 
 

------------------------------------------------------------------------
r8010 | falcone | 2007-06-14 18:12:42 -0400 (Thu, 14 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

 r21978@ketch:  falcone | 2007-06-14 18:12:25 -0400
 * be more chatty about errors so you can figure out your initialdata mistakes

------------------------------------------------------------------------
r8009 | falcone | 2007-06-14 16:44:10 -0400 (Thu, 14 Jun 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Modify.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyAll.html

 r21941@ketch:  falcone | 2007-06-14 16:41:33 -0400
 * reload the ticket after scrips run, so if one of your scrips
   changes ticket data it'll be reflected in the new display

------------------------------------------------------------------------
r8008 | falcone | 2007-06-14 16:43:48 -0400 (Thu, 14 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE

 r18561@ketch:  falcone | 2007-05-11 14:19:35 -0400
 * don't parse undef for SQL (quiets a warning on new searches)

------------------------------------------------------------------------
r8007 | falcone | 2007-06-14 16:43:40 -0400 (Thu, 14 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r18560@ketch:  falcone | 2007-05-11 14:18:46 -0400
 * stop a warning when we don't have any saved search

------------------------------------------------------------------------
r8006 | falcone | 2007-06-14 16:42:27 -0400 (Thu, 14 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/link

 r18127@ketch:  falcone | 2007-04-18 17:08:59 -0400
 * make bin/rt link work and fix the associated tests

------------------------------------------------------------------------
r7999 | jesse | 2007-06-08 15:01:31 -0400 (Fri, 08 Jun 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po

 r58163@pinglin:  jesse | 2007-06-08 15:00:29 -0400
 * Czech translation updates from Daniel Kastner
 

------------------------------------------------------------------------
r7993 | jesse | 2007-06-07 13:20:44 -0400 (Thu, 07 Jun 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

* 3.6.4.rc2

------------------------------------------------------------------------
r7992 | jesse | 2007-06-07 13:16:48 -0400 (Thu, 07 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

 r58101@pinglin:  jesse | 2007-06-07 13:15:56 -0400
 *  Now honor RT::Timezone

------------------------------------------------------------------------
r7989 | ruz | 2007-06-06 23:07:12 -0400 (Wed, 06 Jun 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm

* revert fix for searches like 'Requestor = X AND Requestor = Y',
  unless we have correct bundling of conditions searches by requestors
  with OR aggregator are very slow.
------------------------------------------------------------------------
r7935 | jesse | 2007-05-25 16:16:34 -0400 (Fri, 25 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

 r57122@pinglin:  jesse | 2007-05-25 16:15:54 -0400
 * Log a notice when we choose not to redistribute autogenerated messages. Suggested by John Bartelt.

------------------------------------------------------------------------
r7934 | jesse | 2007-05-25 16:00:19 -0400 (Fri, 25 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/MyRequests

 r57120@pinglin:  jesse | 2007-05-25 15:59:54 -0400
 Minor cleanup from Nicholas Clark

------------------------------------------------------------------------
r7905 | ruz | 2007-05-22 02:35:58 -0400 (Tue, 22 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* we uploaded a new version of Module::Versions::Report to the CPAN
  which fix long standing issue. Bump deps.

------------------------------------------------------------------------
r7904 | ruz | 2007-05-22 02:30:28 -0400 (Tue, 22 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* mysql 5.x are a little bit crazy about joins dependencies,
  we've fixed things in SB 1.48
  
------------------------------------------------------------------------
r7900 | jesse | 2007-05-21 15:59:12 -0400 (Mon, 21 May 2007) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

 r57019@pinglin:  jesse | 2007-05-21 15:58:43 -0400
 RT-Ticket: 8387
 Update: correspond
 
 
 * Better debugging info when schema files are missing. - Nicholas Clark <nick@ccl4.org>

------------------------------------------------------------------------
r7897 | ruz | 2007-05-18 01:07:19 -0400 (Fri, 18 May 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm

* if we cache aliases then we should not apply limits multiple times

------------------------------------------------------------------------
r7895 | jesse | 2007-05-17 15:26:07 -0400 (Thu, 17 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r56946@pinglin:  root | 2007-05-17 15:23:33 -0400
  * 3.6.4rc1 

------------------------------------------------------------------------
r7893 | ruz | 2007-05-17 00:08:14 -0400 (Thu, 17 May 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html

* revert revision 7555 as it may result in attachments loosing
------------------------------------------------------------------------
r7892 | ruz | 2007-05-16 23:11:33 -0400 (Wed, 16 May 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/ACE_Overlay.pm

* revert change as it's causing regressions
------------------------------------------------------------------------
r7891 | ruz | 2007-05-16 21:31:35 -0400 (Wed, 16 May 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* revert jesse's patch that slurps uploads into session,
  this may hurt badly with multiple attachments.
------------------------------------------------------------------------
r7890 | ruz | 2007-05-16 19:57:27 -0400 (Wed, 16 May 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie

* calc id of a session in $SessionCookie var
* add $session_properties variable
** use it in both attempts to tie

this should fix potential relogin problems

------------------------------------------------------------------------
r7887 | ruz | 2007-05-16 13:19:55 -0400 (Wed, 16 May 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/ACE_Overlay.pm

* we get principal's type as argument, but that's really
  wrong as we have id of the pricipal and each principal
  record has type property. Use info from the record and
  log an error.
------------------------------------------------------------------------
r7886 | ruz | 2007-05-16 13:17:08 -0400 (Wed, 16 May 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/ACE_Overlay.pm

* method must return object and type, not status and message
------------------------------------------------------------------------
r7884 | jesse | 2007-05-16 12:49:03 -0400 (Wed, 16 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/TicketList

 r56926@pinglin:  jesse | 2007-05-16 12:47:06 -0400
 * Fix for "Page 1 of 0" . Thanks to Nicholas Clark <nick@ccl4.org>

------------------------------------------------------------------------
r7859 | jesse | 2007-05-14 13:02:41 -0400 (Mon, 14 May 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

 r56818@pinglin:  jesse | 2007-05-14 13:02:21 -0400
 * Fix an inaccurate error message. Thanks to Nicholas Clark <nick@ccl4.org>
 

------------------------------------------------------------------------
r7855 | falcone | 2007-05-14 11:35:45 -0400 (Mon, 14 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Build.html

 r18561@ketch:  falcone | 2007-05-11 14:19:35 -0400
 * don't parse undef for SQL (quiets a warning on new searches)

------------------------------------------------------------------------
r7854 | falcone | 2007-05-14 11:35:33 -0400 (Mon, 14 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r18560@ketch:  falcone | 2007-05-11 14:18:46 -0400
 * stop a warning when we don't have any saved search

------------------------------------------------------------------------
r7853 | falcone | 2007-05-14 11:34:39 -0400 (Mon, 14 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/link

 r18127@ketch:  falcone | 2007-04-18 17:08:59 -0400
 * make bin/rt link work and fix the associated tests

------------------------------------------------------------------------
r7775 | jesse | 2007-05-06 02:35:28 -0400 (Sun, 06 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowSummary

 r56726@pinglin:  jesse | 2007-05-06 02:35:04 -0400
 * Evil hack to make the Reminders box render like most of the others

------------------------------------------------------------------------
r7774 | jesse | 2007-05-06 02:35:19 -0400 (Sun, 06 May 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/titlebox.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/transactions.css

 r56725@pinglin:  jesse | 2007-05-06 02:33:17 -0400
 * Minor 3.6 style cleanups to tighten up the display a bit

------------------------------------------------------------------------
r7770 | ruz | 2007-05-04 21:20:07 -0400 (Fri, 04 May 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/ScrubHTML

* we scrub format strings and should allow to __WebXXX__ things
  in the beginning
------------------------------------------------------------------------
r7769 | ruz | 2007-05-04 21:13:47 -0400 (Fri, 04 May 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

* apply CF as global only if it hasn't been applied to a queue
------------------------------------------------------------------------
r7687 | jesse | 2007-04-25 09:22:08 -0400 (Wed, 25 Apr 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/etc/drop.Oracle

 r56038@pinglin:  jesse | 2007-04-25 09:21:30 -0400
 The drop.Oracle script was incomplete, drop statements were incorrect for version 3.6.3
     -Reported by Christophe Nowicki cscm@meuh.dyndns.org

------------------------------------------------------------------------
r7673 | jesse | 2007-04-24 13:21:42 -0400 (Tue, 24 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/Makefile.in
   M /rt/branches/3.6-RELEASE/README
   M /rt/branches/3.6-RELEASE/bin/mason_handler.fcgi.in
   M /rt/branches/3.6-RELEASE/bin/mason_handler.scgi.in
   M /rt/branches/3.6-RELEASE/bin/mason_handler.svc.in
   M /rt/branches/3.6-RELEASE/bin/rt-crontool.in
   M /rt/branches/3.6-RELEASE/bin/rt-mailgate.in
   M /rt/branches/3.6-RELEASE/bin/rt.in
   M /rt/branches/3.6-RELEASE/bin/standalone_httpd.in
   M /rt/branches/3.6-RELEASE/bin/webmux.pl.in
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/GroupRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/Modify.html
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/Objects.html
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/UserRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/AddCustomFieldValue
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ConfigureMyRT
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/CreateUserCalled
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/CustomFieldTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditCustomField
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditCustomFieldValues
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditCustomFields
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditQueueWatchers
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditScrip
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditScrips
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditTemplates
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditUserComments
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/GlobalCustomFieldTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/GroupTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/Header
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ListGlobalCustomFields
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ListGlobalScrips
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ModifyTemplate
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ObjectCustomFields
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/PickCustomFields
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/PickObjects
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/QueueRightsForUser
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/QueueTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectCustomFieldLookupType
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectCustomFieldType
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectGroups
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectModifyGroup
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectModifyQueue
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectModifyUser
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectNewGroupMembers
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectRights
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectScrip
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectScripAction
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectScripCondition
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectSingleOrMultiple
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectStage
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectTemplate
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SelectUsers
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SystemTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ToolTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/UserTabs
   M /rt/branches/3.6-RELEASE/html/Admin/Global/CustomFields/Groups.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/CustomFields/Queue-Tickets.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/CustomFields/Queue-Transactions.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/CustomFields/Users.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/CustomFields/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/GroupRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/MyRT.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/Scrip.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/Scrips.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/Template.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/Templates.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/UserRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Global/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/CustomFields.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/GroupRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/History.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/Members.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/Modify.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/UserRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/CustomField.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/CustomFields.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/GroupRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Modify.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/People.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Scrip.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Scrips.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Template.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Templates.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/UserRights.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Tools/Configuration.html
   M /rt/branches/3.6-RELEASE/html/Admin/Tools/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/CustomFields.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/History.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/Memberships.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/Modify.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/MyRT.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/autohandler
   M /rt/branches/3.6-RELEASE/html/Admin/index.html
   M /rt/branches/3.6-RELEASE/html/Approvals/Display.html
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/Approve
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/PendingMyApproval
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/ShowDependency
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Approvals/index.html
   M /rt/branches/3.6-RELEASE/html/Download/CustomFieldValue/dhandler
   M /rt/branches/3.6-RELEASE/html/Download/Tabular/dhandler
   M /rt/branches/3.6-RELEASE/html/Elements/BevelBoxRaisedEnd
   M /rt/branches/3.6-RELEASE/html/Elements/BevelBoxRaisedStart
   M /rt/branches/3.6-RELEASE/html/Elements/Callback
   M /rt/branches/3.6-RELEASE/html/Elements/Checkbox
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/Header
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/ParseFormat
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/Row
   M /rt/branches/3.6-RELEASE/html/Elements/CreateTicket
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomField
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldBinary
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldCombobox
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldFreeform
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldImage
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldSelect
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldText
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldWikitext
   M /rt/branches/3.6-RELEASE/html/Elements/EditLinks
   M /rt/branches/3.6-RELEASE/html/Elements/Error
   M /rt/branches/3.6-RELEASE/html/Elements/Footer
   M /rt/branches/3.6-RELEASE/html/Elements/GotoTicket
   M /rt/branches/3.6-RELEASE/html/Elements/Header
   M /rt/branches/3.6-RELEASE/html/Elements/ListActions
   M /rt/branches/3.6-RELEASE/html/Elements/Login
   M /rt/branches/3.6-RELEASE/html/Elements/Logo
   M /rt/branches/3.6-RELEASE/html/Elements/Menu
   M /rt/branches/3.6-RELEASE/html/Elements/MessageBox
   M /rt/branches/3.6-RELEASE/html/Elements/MyAdminQueues
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT
   M /rt/branches/3.6-RELEASE/html/Elements/MyReminders
   M /rt/branches/3.6-RELEASE/html/Elements/MyRequests
   M /rt/branches/3.6-RELEASE/html/Elements/MySupportQueues
   M /rt/branches/3.6-RELEASE/html/Elements/MyTickets
   M /rt/branches/3.6-RELEASE/html/Elements/PageLayout
   M /rt/branches/3.6-RELEASE/html/Elements/QueryString
   M /rt/branches/3.6-RELEASE/html/Elements/QueueSummary
   M /rt/branches/3.6-RELEASE/html/Elements/QuickCreate
   M /rt/branches/3.6-RELEASE/html/Elements/Quicksearch
   M /rt/branches/3.6-RELEASE/html/Elements/RT__Ticket/ColumnMap
   M /rt/branches/3.6-RELEASE/html/Elements/Refresh
   M /rt/branches/3.6-RELEASE/html/Elements/RefreshHomepage
   M /rt/branches/3.6-RELEASE/html/Elements/ScrubHTML
   M /rt/branches/3.6-RELEASE/html/Elements/Section
   M /rt/branches/3.6-RELEASE/html/Elements/SelectAttachmentField
   M /rt/branches/3.6-RELEASE/html/Elements/SelectBoolean
   M /rt/branches/3.6-RELEASE/html/Elements/SelectCustomFieldOperator
   M /rt/branches/3.6-RELEASE/html/Elements/SelectCustomFieldValue
   M /rt/branches/3.6-RELEASE/html/Elements/SelectDate
   M /rt/branches/3.6-RELEASE/html/Elements/SelectDateRelation
   M /rt/branches/3.6-RELEASE/html/Elements/SelectDateType
   M /rt/branches/3.6-RELEASE/html/Elements/SelectEqualityOperator
   M /rt/branches/3.6-RELEASE/html/Elements/SelectGroups
   M /rt/branches/3.6-RELEASE/html/Elements/SelectLang
   M /rt/branches/3.6-RELEASE/html/Elements/SelectLinkType
   M /rt/branches/3.6-RELEASE/html/Elements/SelectMatch
   M /rt/branches/3.6-RELEASE/html/Elements/SelectNewTicketQueue
   M /rt/branches/3.6-RELEASE/html/Elements/SelectOwner
   M /rt/branches/3.6-RELEASE/html/Elements/SelectQueue
   M /rt/branches/3.6-RELEASE/html/Elements/SelectResultsPerPage
   M /rt/branches/3.6-RELEASE/html/Elements/SelectSortOrder
   M /rt/branches/3.6-RELEASE/html/Elements/SelectStatus
   M /rt/branches/3.6-RELEASE/html/Elements/SelectTicketSortBy
   M /rt/branches/3.6-RELEASE/html/Elements/SelectTicketTypes
   M /rt/branches/3.6-RELEASE/html/Elements/SelectTimeUnits
   M /rt/branches/3.6-RELEASE/html/Elements/SelectUsers
   M /rt/branches/3.6-RELEASE/html/Elements/SelectWatcherType
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFieldBinary
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFieldImage
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFieldWikitext
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFields
   M /rt/branches/3.6-RELEASE/html/Elements/ShowLink
   M /rt/branches/3.6-RELEASE/html/Elements/ShowLinks
   M /rt/branches/3.6-RELEASE/html/Elements/ShowMemberships
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch
   M /rt/branches/3.6-RELEASE/html/Elements/SimpleSearch
   M /rt/branches/3.6-RELEASE/html/Elements/Submit
   M /rt/branches/3.6-RELEASE/html/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Elements/TicketList
   M /rt/branches/3.6-RELEASE/html/Elements/TitleBox
   M /rt/branches/3.6-RELEASE/html/Elements/TitleBoxEnd
   M /rt/branches/3.6-RELEASE/html/Elements/TitleBoxStart
   M /rt/branches/3.6-RELEASE/html/Elements/ValidateCustomFields
   M /rt/branches/3.6-RELEASE/html/Helpers/CalPopup.html
   M /rt/branches/3.6-RELEASE/html/NoAuth/Logout.html
   M /rt/branches/3.6-RELEASE/html/NoAuth/Reminder.html
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/body.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/footer.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/forms.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/header.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/login.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/main.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/misc.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/nav.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/quickbar.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/ticket.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/titlebox.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.4-compat/transactions.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/approvals.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/body.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/footer.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/forms.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/header.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/login.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/logo.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/main.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/misc.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/nav.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/quickbar.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/ticket.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/titlebox.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/3.5-default/transactions.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/autohandler
   M /rt/branches/3.6-RELEASE/html/NoAuth/css/print.css
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/ahah.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/autohandler
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/cascaded.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/class.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/combobox.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/list.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/titlebox-state.js
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/util.js
   M /rt/branches/3.6-RELEASE/html/Prefs/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html
   M /rt/branches/3.6-RELEASE/html/Prefs/Quicksearch.html
   M /rt/branches/3.6-RELEASE/html/Prefs/Search.html
   M /rt/branches/3.6-RELEASE/html/Prefs/SearchOptions.html
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/queue/default
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/queue/ns
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/attachments
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/comment
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/history
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/links
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/merge
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/take
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/transaction/default
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/user/default
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/user/ns
   M /rt/branches/3.6-RELEASE/html/REST/1.0/NoAuth/mail-gateway
   M /rt/branches/3.6-RELEASE/html/REST/1.0/autohandler
   M /rt/branches/3.6-RELEASE/html/REST/1.0/dhandler
   M /rt/branches/3.6-RELEASE/html/REST/1.0/logout
   M /rt/branches/3.6-RELEASE/html/REST/1.0/search/dhandler
   M /rt/branches/3.6-RELEASE/html/REST/1.0/search/ticket
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/comment
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/link
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/merge
   M /rt/branches/3.6-RELEASE/html/Search/Build.html
   M /rt/branches/3.6-RELEASE/html/Search/Bulk.html
   M /rt/branches/3.6-RELEASE/html/Search/Chart
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Edit.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/BuildFormatString
   M /rt/branches/3.6-RELEASE/html/Search/Elements/Chart
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditFormat
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditQuery
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/html/Search/Elements/NewListActions
   M /rt/branches/3.6-RELEASE/html/Search/Elements/PickBasics
   M /rt/branches/3.6-RELEASE/html/Search/Elements/PickCFs
   M /rt/branches/3.6-RELEASE/html/Search/Elements/PickCriteria
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SearchPrivacy
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SearchesForObject
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectAndOr
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectChartType
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectGroup
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectGroupBy
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectLinks
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectPersonType
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectSearchObject
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectSearchesForObjects
   M /rt/branches/3.6-RELEASE/html/Search/Results.html
   M /rt/branches/3.6-RELEASE/html/Search/Results.rdf
   M /rt/branches/3.6-RELEASE/html/Search/Results.tsv
   M /rt/branches/3.6-RELEASE/html/Search/Simple.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Attachment/dhandler
   M /rt/branches/3.6-RELEASE/html/SelfService/Closed.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Create.html
   M /rt/branches/3.6-RELEASE/html/SelfService/CreateTicketInQueue.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Display.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/GotoTicket
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/Header
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/MyRequests
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/SelfService/Error.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Prefs.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Update.html
   M /rt/branches/3.6-RELEASE/html/SelfService/index.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Attachment/dhandler
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/AddWatchers
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/BulkLinks
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditBasics
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditCustomField
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditCustomFields
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditDates
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditPeople
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditWatchers
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/FindAttachments
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/LoadTextAttachments
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/PreviewScrips
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Reminders
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowAttachments
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowBasics
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowCustomFields
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowDates
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowDependencies
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowGroupMembers
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowHistory
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMembers
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMessageHeaders
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowMessageStanza
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowPeople
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowRequestor
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowSummary
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTime
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransaction
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransactionAttachments
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowUserEntry
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Ticket/History.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Modify.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyAll.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyDates.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyLinks.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyPeople.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Reminders.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ShowEmailRecord.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Update.html
   M /rt/branches/3.6-RELEASE/html/Tools/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Tools/MyDay.html
   M /rt/branches/3.6-RELEASE/html/Tools/Offline.html
   M /rt/branches/3.6-RELEASE/html/Tools/Reports/CreatedByDates.html
   M /rt/branches/3.6-RELEASE/html/Tools/Reports/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Tools/Reports/ResolvedByDates.html
   M /rt/branches/3.6-RELEASE/html/Tools/Reports/ResolvedByOwner.html
   M /rt/branches/3.6-RELEASE/html/Tools/Reports/index.html
   M /rt/branches/3.6-RELEASE/html/Tools/index.html
   M /rt/branches/3.6-RELEASE/html/User/Delegation.html
   M /rt/branches/3.6-RELEASE/html/User/Elements/DelegateRights
   M /rt/branches/3.6-RELEASE/html/User/Elements/GroupTabs
   M /rt/branches/3.6-RELEASE/html/User/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/User/Groups/Members.html
   M /rt/branches/3.6-RELEASE/html/User/Groups/Modify.html
   M /rt/branches/3.6-RELEASE/html/User/Groups/index.html
   M /rt/branches/3.6-RELEASE/html/User/Prefs.html
   M /rt/branches/3.6-RELEASE/html/Widgets/ComboBox
   M /rt/branches/3.6-RELEASE/html/Widgets/SavedSearch
   M /rt/branches/3.6-RELEASE/html/Widgets/SelectionBox
   M /rt/branches/3.6-RELEASE/html/Widgets/TitleBox
   M /rt/branches/3.6-RELEASE/html/Widgets/TitleBoxEnd
   M /rt/branches/3.6-RELEASE/html/Widgets/TitleBoxStart
   M /rt/branches/3.6-RELEASE/html/autohandler
   M /rt/branches/3.6-RELEASE/html/index.html
   M /rt/branches/3.6-RELEASE/html/l
   M /rt/branches/3.6-RELEASE/lib/RT/ACE.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ACE_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ACL.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ACL_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/AutoOpen.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/Autoreply.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/CreateTickets.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/EscalatePriority.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/Generic.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/Notify.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/NotifyAsComment.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/RecordComment.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/RecordCorrespondence.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/ResolveMembers.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SetPriority.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/UserDefined.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachment.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachment_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachments.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachments_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attribute.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attribute_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attributes.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attributes_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Base.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CachedGroupMember.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CachedGroupMember_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CachedGroupMembers.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CachedGroupMembers_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/AnyTransaction.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/BeforeDue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/Generic.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/Overdue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/OwnerChange.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/PriorityChange.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/PriorityExceeds.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/QueueChange.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/StatusChange.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/UserDefined.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CurrentUser.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFieldValue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFieldValue_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFieldValues.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFieldValues_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFields.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFields_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Date.pm
   M /rt/branches/3.6-RELEASE/lib/RT/EmailParser.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Group.pm
   M /rt/branches/3.6-RELEASE/lib/RT/GroupMember.pm
   M /rt/branches/3.6-RELEASE/lib/RT/GroupMember_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/GroupMembers.pm
   M /rt/branches/3.6-RELEASE/lib/RT/GroupMembers_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Group_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Groups.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Groups_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Handle.pm
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.pm
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/i_default.pm
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/CLI.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email/Auth/GnuPG.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email/Auth/MailFrom.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email/Filter/SpamAssassin.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/REST.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Handler.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Menu/Item.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Menu.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/QueryBuilder/Tree.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/QueryBuilder.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Standalone.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Link.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Link_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Links.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Links_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomField.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValue_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValues.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValues_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomField_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFields.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFields_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Principal.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Principals.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Principals_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Queue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Queue_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Queues.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Queues_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Reminders.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Report/Tickets/Entry.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Report/Tickets.pm
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearches.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Scrip.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripAction.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripAction_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripActions.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripActions_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripCondition.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripCondition_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripConditions.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripConditions_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Scrip_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Scrips.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Scrips_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Search/ActiveTicketsInQueue.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Search/FromSQL.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Search/Generic.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Search/Googleish.pm
   M /rt/branches/3.6-RELEASE/lib/RT/SearchBuilder.pm
   M /rt/branches/3.6-RELEASE/lib/RT/System.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Template.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Template_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Templates.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Templates_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay_SQL.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transactions.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transactions_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI/base.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI/fsck_com_rt.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI/t.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI.pm
   M /rt/branches/3.6-RELEASE/lib/RT/User.pm
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Users.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Users_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in
   M /rt/branches/3.6-RELEASE/sbin/extract-message-catalog
   M /rt/branches/3.6-RELEASE/sbin/extract_pod_tests
   M /rt/branches/3.6-RELEASE/sbin/factory
   M /rt/branches/3.6-RELEASE/sbin/license_tag
   M /rt/branches/3.6-RELEASE/sbin/regression_harness
   M /rt/branches/3.6-RELEASE/sbin/rt-dump-database.in
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

 r56008@pinglin:  jesse | 2007-04-24 13:17:46 -0400
 * license-tagger update

------------------------------------------------------------------------
r7669 | jesse | 2007-04-24 09:28:24 -0400 (Tue, 24 Apr 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions

 r55983@pinglin:  jesse | 2007-04-24 09:24:25 -0400
 The selected option of the "OrderBy"-selectbox cannot be saved in /rt/Prefs/SearchOptions.html if only one (of possibly 4) sort field is selected and other are set to none.
 patch: <http://page.mi.fu-berlin.de/~pape/rt3/patches/rt/search_prefs_order_cannot_be_saved.patch>
 
 -Dr. Dirk Pape

------------------------------------------------------------------------
r7560 | jesse | 2007-04-18 20:53:34 -0400 (Wed, 18 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm

 r55725@241:  jesse | 2007-04-18 16:28:17 -0400
 * We can't use encoding functions without using Encode

------------------------------------------------------------------------
r7559 | jesse | 2007-04-18 20:53:25 -0400 (Wed, 18 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Tools/MyDay.html

 r55724@241:  jesse | 2007-04-18 16:28:00 -0400
 * Made MyDay.html actually work. Based in spirit on a patch from Chris Hobbs 

------------------------------------------------------------------------
r7558 | jesse | 2007-04-18 20:52:37 -0400 (Wed, 18 Apr 2007) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm

 r55723@241:  jesse | 2007-04-18 15:54:59 -0400
 RT-Ticket: 8160
 RT-Status: resolved
 RT-Update: correspond
 
 * Applied patch from jedik to enable UTF8 Passwords
 

------------------------------------------------------------------------
r7557 | jesse | 2007-04-18 20:52:25 -0400 (Wed, 18 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/history

 r55722@241:  jesse | 2007-04-18 15:52:43 -0400
 * Patch from Philip Kime at Shopzilla to prevent accidental display of transactions from the wrong ticket when you explicitly specify a ticket id and a transaction id.

------------------------------------------------------------------------
r7556 | jesse | 2007-04-18 20:52:14 -0400 (Wed, 18 Apr 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   A /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/transaction
   A /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/transaction/default

 r55721@241:  jesse | 2007-04-18 15:47:20 -0400
 Patch from Philip Kime to allow transactions to be displayed by range
 
 
 

------------------------------------------------------------------------
r7555 | jesse | 2007-04-18 20:51:20 -0400 (Wed, 18 Apr 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html

 r55720@241:  jesse | 2007-04-18 15:37:35 -0400
 * Attaching files could sometimes eat the messages in ticket replies. 
   Patch from Harry.Bochner@biogenidec.com

------------------------------------------------------------------------
r7547 | falcone | 2007-04-18 17:10:45 -0400 (Wed, 18 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/REST/1.0/ticket/link
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

 r18127@ketch:  falcone | 2007-04-18 17:08:59 -0400
 * make bin/rt link work and fix the associated tests

------------------------------------------------------------------------
r7546 | falcone | 2007-04-18 17:10:18 -0400 (Wed, 18 Apr 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/t/regression/02basic_web.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/23-web_attachments.t

 r18126@ketch:  falcone | 2007-04-18 15:40:09 -0400
 * WWW::Mechanize 1.22 removed the form() method
   02basic_web and 21query_builder have different problems with 1.22

------------------------------------------------------------------------
r7472 | jesse | 2007-04-05 21:23:33 -0400 (Thu, 05 Apr 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm

 r54515@dhcp207:  jesse | 2007-04-06 10:22:47 +0900
 * Typo in a debug message. Thanks to philip kime

------------------------------------------------------------------------
r7341 | jesse | 2007-03-26 03:26:10 -0400 (Mon, 26 Mar 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

 r54212@pinglin:  jesse | 2007-03-26 00:24:20 -0700
 * Allow merging resolved tickets

------------------------------------------------------------------------
r7314 | jesse | 2007-03-21 23:18:19 -0400 (Wed, 21 Mar 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie

 r53781@pinglin:  jesse | 2007-03-21 23:17:52 -0400
 * Mismerge

------------------------------------------------------------------------
r7313 | jesse | 2007-03-21 23:16:05 -0400 (Wed, 21 Mar 2007) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r53777@pinglin:  jesse | 2007-03-21 23:15:06 -0400
 RT-Ticket: 8256
 RT-Status: resolved
 RT-Update: correspond
 
 * New API from pere@hungry.com to Avoid mail loop when using RT-Extension-CommandByMail
 

------------------------------------------------------------------------
r7312 | jesse | 2007-03-21 23:15:38 -0400 (Wed, 21 Mar 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie


------------------------------------------------------------------------
r7310 | ruz | 2007-03-21 14:08:00 -0400 (Wed, 21 Mar 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie

* revert not intentional commit
------------------------------------------------------------------------
r7309 | jesse | 2007-03-21 13:27:10 -0400 (Wed, 21 Mar 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po

 r53758@pinglin:  jesse | 2007-03-21 11:16:26 -0400
 * Danish PO nits.

------------------------------------------------------------------------
r7308 | falcone | 2007-03-20 17:49:03 -0400 (Tue, 20 Mar 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SetupSessionCookie

 r17520@ketch:  falcone | 2007-03-20 17:47:46 -0400
 * if you set $RT::WebSessionClass, %backends will be empty and the
   tie will fail.  This lets you use Apache::Session::Oracle

------------------------------------------------------------------------
r7307 | jesse | 2007-03-20 13:19:25 -0400 (Tue, 20 Mar 2007) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/sv.po

 r53731@pinglin:  jesse | 2007-03-20 13:18:35 -0400
 * New Swedish translation and updated Danish translation contributed by
   Brian Kjelin Olsen on behalf of Schilling A/S
 

------------------------------------------------------------------------
r7264 | jesse | 2007-03-19 01:23:48 -0400 (Mon, 19 Mar 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SelectGroups
   M /rt/branches/3.6-RELEASE/html/Elements/SelectUsers
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditPeople
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditWatchers

 r53625@pinglin:  jesse | 2007-03-19 01:21:53 -0400
 * XHTML cleanup from Dirk Pape
 

------------------------------------------------------------------------
r7254 | jesse | 2007-03-15 18:52:21 -0400 (Thu, 15 Mar 2007) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

 r53492@124:  jesse | 2007-03-15 18:52:01 -0400
 * RT now complains when you try to start the application server with
   either too-old a perl or a broken version of Scalar::Util.
  

------------------------------------------------------------------------
r7253 | jesse | 2007-03-15 17:24:46 -0400 (Thu, 15 Mar 2007) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

 r53457@124:  jesse | 2007-03-15 17:18:44 -0400
 RT-Ticket: 8186
 RT-Status: resolved
 RT-Update: correspond
 
 * Patch for a possible race condition in the "SetOwner" routine that could be triggered when two users tried to take a ticket at the same time. Thanks to Todd Chapman!
 

------------------------------------------------------------------------
r7251 | jesse | 2007-03-14 14:23:59 -0400 (Wed, 14 Mar 2007) | 11 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r53425@pinglin:  jesse | 2007-03-14 13:40:45 -0400
 RT-Ticket:  8252
 RT-Status: resolved
 RT-Update: correspond
 
 
 * Include subject of bounced messages when mailing the RT owner about a mail error <pere@hungry.com>
 
 
 

------------------------------------------------------------------------
r7250 | jesse | 2007-03-14 14:23:00 -0400 (Wed, 14 Mar 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r48450@pinglin:  jesse | 2007-02-21 13:56:09 -0500
 * Move RT's detection of incoming mail that may be a loop or autogenerated to better catch such cases before certain "Permission denied" messages are generated.

------------------------------------------------------------------------
r7051 | ruz | 2007-02-22 18:37:12 -0500 (Thu, 22 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Template_Overlay.pm

* use local during filling the T:: namespace for a template processing,
  otherwise we have a global reference to a ticket and destruction is
  delayed which hurts TransactionBatch stage
------------------------------------------------------------------------
r7046 | falcone | 2007-02-21 14:47:16 -0500 (Wed, 21 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

 r16829@ketch:  falcone | 2007-02-21 14:46:40 -0500
 * 1.10 has been bumped to 2.02 because of version and packaging problems

------------------------------------------------------------------------
r7043 | ruz | 2007-02-21 12:31:37 -0500 (Wed, 21 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/QueueSummary

* fix problems in Quicksearch when queue name has the ampersand char
------------------------------------------------------------------------
r7040 | ruz | 2007-02-20 20:30:13 -0500 (Tue, 20 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

* fix a bug with saved searches on rt at glance when summary rows preference
  and rows per page of the search are different values
* run callback a little bit earlier
------------------------------------------------------------------------
r7039 | ruz | 2007-02-20 19:58:29 -0500 (Tue, 20 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT

* backport 'RT at glance with one column' feature from 3.7
------------------------------------------------------------------------
r7031 | ruz | 2007-02-19 03:48:57 -0500 (Mon, 19 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default

* better error propagation, thanks to Pholip Kime.
------------------------------------------------------------------------
r7028 | ruz | 2007-02-18 20:57:48 -0500 (Sun, 18 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* fix errors propagation. Thanks to Philip Kime.
------------------------------------------------------------------------
r7027 | ruz | 2007-02-18 20:47:24 -0500 (Sun, 18 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* resolve a clobbered regex-match $1 by stashing the principal ID in a
  temporary variable. Thanks to Richard Harman.
* type was set incorrect in a case of multiple parameters
------------------------------------------------------------------------
r7023 | jesse | 2007-02-18 16:35:45 -0500 (Sun, 18 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   A /rt/branches/3.6-RELEASE/lib/RT/I18N/sv.po

 r48373@237:  jesse | 2007-02-18 13:36:32 -0600
 * Swedish translation from Brian Kjelin Olsen and Schilling A/S

------------------------------------------------------------------------
r7019 | ruz | 2007-02-15 14:01:12 -0500 (Thu, 15 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransaction

* use a local array of attachments we have instead of $Transaction->Attachments call
------------------------------------------------------------------------
r7018 | ruz | 2007-02-15 12:00:52 -0500 (Thu, 15 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/RT__Ticket/ColumnMap

* add forgoten ; after anon subs
------------------------------------------------------------------------
r7009 | ruz | 2007-02-14 16:03:14 -0500 (Wed, 14 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/RT__Ticket/ColumnMap

* get rid of the latest named functions in our comps
------------------------------------------------------------------------
r7008 | ruz | 2007-02-14 13:39:59 -0500 (Wed, 14 Feb 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html

* run callback before redirect as people are using it for updates
  when redirect hides all arguments we had
------------------------------------------------------------------------
r7007 | falcone | 2007-02-14 13:09:29 -0500 (Wed, 14 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

 r16747@ketch:  falcone | 2007-02-14 13:07:58 -0500
 * bump version requirement since we've fixed a bunch of bugs since 1.3

------------------------------------------------------------------------
r6999 | ruz | 2007-02-13 14:37:01 -0500 (Tue, 13 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm

* fix all failing tests for searches by watchers
------------------------------------------------------------------------
r6998 | ruz | 2007-02-13 12:03:06 -0500 (Tue, 13 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/22search_tix_by_watcher.t

* improve tests for lookups by watchers
------------------------------------------------------------------------
r6981 | ruz | 2007-02-09 23:52:57 -0500 (Fri, 09 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* oops, we use ISA later
------------------------------------------------------------------------
r6966 | ruz | 2007-02-07 22:45:12 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Attributes_Overlay.pm

* typo
------------------------------------------------------------------------
r6965 | ruz | 2007-02-07 20:45:29 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* we depend on perl 5.8 so we don't need Encode::compat at all
------------------------------------------------------------------------
r6964 | ruz | 2007-02-07 20:20:57 -0500 (Wed, 07 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* we don't depend on MLDBM anymore and I don't recall we did.
------------------------------------------------------------------------
r6948 | ruz | 2007-02-06 18:27:46 -0500 (Tue, 06 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* backport from 3.7: convert 'sub _' to 'sub text_to_hash'
------------------------------------------------------------------------
r6947 | ruz | 2007-02-06 17:41:59 -0500 (Tue, 06 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* delete we don't use from dependencies, I've checked that Mason 1.23 depends
  on this modules and versions it requires are equal or greater than we had
  
------------------------------------------------------------------------
r6920 | kevinr | 2007-02-04 19:09:35 -0500 (Sun, 04 Feb 2007) | 9 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Simple.html

 r18330@sad-girl-in-snow:  kevinr | 2007-02-04 19:08:22 -0500
 RT-Ticket: 8169
 RT-Status: open
 RT-Update: comment
 
 Added a missing </div> to the Simple Search page.  Thanks to Arran Cudbard-Bell
 for the catch.
 

------------------------------------------------------------------------
r6919 | ruz | 2007-02-03 17:30:24 -0500 (Sat, 03 Feb 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

* don't push transactions into batch unless CommitScrips is true,
  this fixes a bug: users click Reply button and we fire a correspond
  scrip that is in the batch stage
------------------------------------------------------------------------
r6881 | ruz | 2007-02-01 22:43:12 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* make defaults actually defaults
------------------------------------------------------------------------
r6880 | ruz | 2007-02-01 22:28:09 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* actually skip sections user didn't request
------------------------------------------------------------------------
r6879 | ruz | 2007-02-01 22:11:18 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* we don't use FreezeThaw module for a long time
------------------------------------------------------------------------
r6878 | ruz | 2007-02-01 22:07:26 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* update mailgate's deps
------------------------------------------------------------------------
r6877 | ruz | 2007-02-01 22:04:49 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* update CLI deps
------------------------------------------------------------------------
r6876 | ruz | 2007-02-01 22:00:20 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/configure.ac

* add --with-standalone option to configure script
------------------------------------------------------------------------
r6875 | ruz | 2007-02-01 21:59:03 -0500 (Thu, 01 Feb 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* add --with-standalone option
* as well fill defaults for dev mode and standalone within a configure script
------------------------------------------------------------------------
r6874 | ruz | 2007-02-01 21:57:03 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* Regexp::Common is required by core(QB/TicketSQL)
------------------------------------------------------------------------
r6873 | ruz | 2007-02-01 21:55:59 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* we don't use this module
------------------------------------------------------------------------
r6872 | ruz | 2007-02-01 21:55:19 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* Term::ReadKey is used in CLI only
------------------------------------------------------------------------
r6871 | ruz | 2007-02-01 21:54:28 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* Test::Inline is only dev dependancy
------------------------------------------------------------------------
r6870 | ruz | 2007-02-01 21:51:36 -0500 (Thu, 01 Feb 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* typo
------------------------------------------------------------------------
r6869 | kevinr | 2007-02-01 19:36:56 -0500 (Thu, 01 Feb 2007) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/MyRequests

 r18262@sad-girl-in-snow:  kevinr | 2007-02-01 19:34:35 -0500
 RT-Ticket: 8159
 RT-Status: resolved
 RT-Update: respond
 
 Use Watcher instead for better performance.  Thanks to Dirk Pape for the catch.

------------------------------------------------------------------------
r6868 | kevinr | 2007-02-01 19:35:48 -0500 (Thu, 01 Feb 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Tabs

 r18261@sad-girl-in-snow:  kevinr | 2007-02-01 19:29:44 -0500
 * Put the search navigation in the right submenu.  Thanks to Dirk Pape 
   for the patch.

------------------------------------------------------------------------
r6813 | ruz | 2007-01-26 10:35:53 -0500 (Fri, 26 Jan 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/22search_tix_by_watcher.t

* add test that fails due to bug in searches by watcher
------------------------------------------------------------------------
r6812 | ruz | 2007-01-26 10:34:57 -0500 (Fri, 26 Jan 2007) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* if we have subject line regexp then we should use it during mail sending.
  This will allow us to send email with any token we want that matches the
  regexp, by defining it in a template. So now it's possible to use:

  Subject: [not-rtname-token-that-match-re #{ $Ticket->id }] ...

------------------------------------------------------------------------
r6811 | jesse | 2007-01-26 07:21:23 -0500 (Fri, 26 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r21377@hualien:  jesse | 2007-01-26 20:20:50 +0800
 * Switch web-form based email attachments to in-core storage for better persistence across http hits

------------------------------------------------------------------------
r6809 | jesse | 2007-01-26 04:15:02 -0500 (Fri, 26 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/t/regression/22search_tix_by_txn.t

 r21344@hualien:  jesse | 2007-01-26 17:14:09 +0800
 *  Test script 22: search tix by txn had no plan and failed in asian timezones due to a startup precedence bug

------------------------------------------------------------------------
r6795 | clkao | 2007-01-23 10:42:03 -0500 (Tue, 23 Jan 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField_Overlay.pm

Fix a bug in CustomField->Create where assigned Queue is not properly
associated with the newly created CF.  This was previously not exposed
because rt-setup-database is always supplying queue id to this method.

------------------------------------------------------------------------
r6794 | ruz | 2007-01-23 05:48:07 -0500 (Tue, 23 Jan 2007) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/MyRequests

SelfService/Elements/MyRequests
* backport refactoring from 3.7
------------------------------------------------------------------------
r6789 | ruz | 2007-01-20 23:50:29 -0500 (Sat, 20 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

* that was wrong idea to run next mail plugins for some action
  if the current plugin said that everything was done (returned
  status -2).
------------------------------------------------------------------------
r6788 | ruz | 2007-01-20 22:11:00 -0500 (Sat, 20 Jan 2007) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm

* add warnings
------------------------------------------------------------------------
r6783 | jesse | 2007-01-19 14:33:56 -0500 (Fri, 19 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Build.html

 r21119@hualien:  root | 2007-01-19 14:31:43 -0500
 * Updates to search unlimited issue from todd chapman

------------------------------------------------------------------------
r6782 | jesse | 2007-01-19 14:16:40 -0500 (Fri, 19 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Results.html

 r21117@hualien:  jesse | 2007-01-19 14:16:22 -0500
  * Todd chapman pointed out a typo

------------------------------------------------------------------------
r6781 | jesse | 2007-01-19 14:05:37 -0500 (Fri, 19 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Results.html

 r21115@hualien:  jesse | 2007-01-19 14:04:50 -0500
 * A fix for "unlimited rows" searches from James Bunch

------------------------------------------------------------------------
r6729 | jesse | 2007-01-10 01:53:50 -0500 (Wed, 10 Jan 2007) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r46883@pinglin:  jesse | 2007-01-10 01:53:34 -0500
  * If the user submits two "add watcher" records with the same http arg name, treat them as separate.
 

------------------------------------------------------------------------
r6712 | jesse | 2007-01-08 15:55:52 -0500 (Mon, 08 Jan 2007) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/autohandler

 r46859@pinglin:  jesse | 2007-01-08 15:55:35 -0500
 The autohandler should *redirect* unprivileged users from                                                               
 Ticket/Display.html to the Self-Service interface. Current code displays                                                
 SS page under non-SS URL, which causes the "Reply" links to go to                                                       
 Ticket/Update.html, which in turn displays the SS home page.                                                            
 -David Chandek-Stark <david.chandek.stark@duke.edu>

------------------------------------------------------------------------
r6703 | jesse | 2007-01-02 22:30:46 -0500 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/SelfService/Display.html

 r46723@pinglin:  jesse | 2007-01-02 22:30:09 -0500
 * Forward port the fix from 3.4 that lets users create tickets with custom field values in SelfService

------------------------------------------------------------------------
r6691 | ruz | 2006-12-23 21:19:47 -0500 (Sat, 23 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm

* adjust error message so it's clear that we report an user's id
------------------------------------------------------------------------
r6690 | ruz | 2006-12-22 19:23:37 -0500 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/SelfService/Display.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html

* Copy rediect feature from Ticket/Display to SelfService/Display
  Thanks to doogles and Todd.
------------------------------------------------------------------------
r6689 | ruz | 2006-12-22 19:05:47 -0500 (Fri, 22 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/QueueSummary

* get rid of 1 query per queue in html/Elements/QueueSummary component
------------------------------------------------------------------------
r6687 | ruz | 2006-12-21 13:32:54 -0500 (Thu, 21 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

* bump version, 3.6.3
------------------------------------------------------------------------
r6683 | ruz | 2006-12-20 23:10:24 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po

* de.po update
------------------------------------------------------------------------
r6681 | ruz | 2006-12-20 17:00:19 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

* bum version, 3.6.3rc4
------------------------------------------------------------------------
r6680 | ruz | 2006-12-20 16:57:52 -0500 (Wed, 20 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/en.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/es.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fi.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/id.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/no.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pt_br.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po

I18N
* regenerate *.po files
* several messages gone, several new
------------------------------------------------------------------------
r6679 | ruz | 2006-12-20 16:46:49 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/bin/rt-crontool.in

* fix a typo
------------------------------------------------------------------------
r6678 | ruz | 2006-12-20 16:40:14 -0500 (Wed, 20 Dec 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fi.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/id.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pt_br.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po

I18N
* drop newlines in messages
* get rid of some errors
** msgfmt --statistics ... is now almost happy
------------------------------------------------------------------------
r6677 | ruz | 2006-12-20 16:37:35 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Search/Simple.html

* remove newlines from text that should be localized, we couldn't track this well :(
------------------------------------------------------------------------
r6676 | ruz | 2006-12-20 16:06:39 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/es.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fi.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/id.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pt_br.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po

* delete crap from *.po files
------------------------------------------------------------------------
r6675 | ruz | 2006-12-20 15:33:33 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/en.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/es.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/no.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po

* use 'UTF-8' as it's standard name
------------------------------------------------------------------------
r6674 | ruz | 2006-12-20 15:30:38 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/en.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/es.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fi.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/id.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/no.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pt_br.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po

* lists.bestpractical.com is prefered
------------------------------------------------------------------------
r6673 | ruz | 2006-12-20 15:27:15 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po

* fix issues in cs.po
------------------------------------------------------------------------
r6672 | ruz | 2006-12-20 15:20:02 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/no.po

* no.po fixes, thanks to Petter Reinholdtsen
------------------------------------------------------------------------
r6670 | ruz | 2006-12-20 14:28:50 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/releng.cnf

* bump version, 3.6.3rc3
------------------------------------------------------------------------
r6669 | ruz | 2006-12-20 13:59:40 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

* don't write an email record txn if there were no recipients
------------------------------------------------------------------------
r6668 | ruz | 2006-12-20 13:03:52 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po

* fix de.po
------------------------------------------------------------------------
r6667 | ruz | 2006-12-20 12:47:16 -0500 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches

* load module before using
------------------------------------------------------------------------
r6660 | ruz | 2006-12-19 17:28:14 -0500 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po

* update russian translation. Thanks to Andrew.
------------------------------------------------------------------------
r6658 | jesse | 2006-12-19 16:33:18 -0500 (Tue, 19 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r46287@pinglin:  jesse | 2006-12-19 16:32:47 -0500
  * rc2

------------------------------------------------------------------------
r6657 | ruz | 2006-12-19 16:22:29 -0500 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

* add %Override option to html/Elements/ShowSearch
* html/Elements/MyRT should limit results according to user's preferences
------------------------------------------------------------------------
r6655 | jesse | 2006-12-19 15:28:16 -0500 (Tue, 19 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r46282@pinglin:  jesse | 2006-12-19 15:24:48 -0500
 * RT 3.6.3rc1

------------------------------------------------------------------------
r6654 | ruz | 2006-12-19 15:12:17 -0500 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/TicketList

* workaround problems with Page = '' or undef
------------------------------------------------------------------------
r6653 | ruz | 2006-12-19 14:59:18 -0500 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions

* always select(mark an option as selected) ASC or DESC value
* drop aninit warn
------------------------------------------------------------------------
r6652 | ruz | 2006-12-19 14:49:02 -0500 (Tue, 19 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/SelectResultsPerPage

* if %ARGS has a key but value is undefefined then default values
  in the <%ARGS> section are ignored, but we want 50 rows per page
  by default
------------------------------------------------------------------------
r6651 | ruz | 2006-12-19 14:40:03 -0500 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

* fix issue with saved searches on home page after upgrade from previouse version of RT
------------------------------------------------------------------------
r6650 | jesse | 2006-12-19 12:24:06 -0500 (Tue, 19 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Global/index.html

 r46270@pinglin:  jesse | 2006-12-19 12:23:55 -0500
 * The clickable link to manage "RT at a glance" had the wrong path. Thanks to John Arends

------------------------------------------------------------------------
r6648 | jesse | 2006-12-18 17:32:04 -0500 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r46246@pinglin:  jesse | 2006-12-18 17:28:32 -0500
 * 3.6.2 final release

------------------------------------------------------------------------
r6647 | jesse | 2006-12-18 17:29:40 -0500 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE

 r46168@pinglin:  jesse | 2006-12-14 23:38:55 -0500
 * Beter quoting on indexes for oracle schema. Should make 9i happier

------------------------------------------------------------------------
r6646 | falcone | 2006-12-18 16:14:12 -0500 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

 r15224@ketch:  falcone | 2006-12-18 16:13:31 -0500
 * use a proper path to the bplogo.gif file

------------------------------------------------------------------------
r6633 | falcone | 2006-12-15 10:44:27 -0500 (Fri, 15 Dec 2006) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/bin/rt.in
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/attachments
   A /rt/branches/3.6-RELEASE/lib/t/data/lorem-ipsum
   M /rt/branches/3.6-RELEASE/lib/t/regression/26command_line.t

 r15177@ketch:  falcone | 2006-12-15 10:43:44 -0500
 * make the command line client remove the trailing newline if we're given non-text content
 * if we're returning just a non-text attachment from REST, set the ContentType
 * un-TODO tests of adding attachments through the command line interface
 * lorem-ipsum simple test attachment text

------------------------------------------------------------------------
r6632 | jesse | 2006-12-14 23:39:19 -0500 (Thu, 14 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/etc/schema.Oracle

 r46168@dhcp64-134-35-110:  jesse | 2006-12-14 20:38:55 -0800
 * Beter quoting on indexes for oracle schema. Should make 9i happier

------------------------------------------------------------------------
r6618 | jesse | 2006-12-11 11:30:29 -0500 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r46101@245:  jesse | 2006-12-11 11:30:08 -0500
 * rc5

------------------------------------------------------------------------
r6595 | clkao | 2006-12-07 20:51:31 -0500 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Admin/Users/MyRT.html

Carry current user id in the reset form for Admin/Users/MyRT.html.
------------------------------------------------------------------------
r6594 | clkao | 2006-12-07 20:28:29 -0500 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/aclocal.m4

Merge r6433 from 3.7 branch.  This fixes inplace docroot problem.
------------------------------------------------------------------------
r6592 | jesse | 2006-12-06 15:39:13 -0500 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r45881@pinglin:  jesse | 2006-12-06 15:38:58 -0500
  * rc4

------------------------------------------------------------------------
r6591 | jesse | 2006-12-06 14:18:48 -0500 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

 r45870@114:  jesse | 2006-12-06 14:17:20 -0500
 * Let users add non-predefined searches saved by the superuser to RT::System's saved searches to their homepages

------------------------------------------------------------------------
r6590 | jesse | 2006-12-06 14:18:35 -0500 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Users/Modify.html

 r45869@114:  jesse | 2006-12-06 14:16:40 -0500
 * Allow admins to set custom field values on user create.

------------------------------------------------------------------------
r6589 | jesse | 2006-12-06 14:17:52 -0500 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT

 r45868@114:  jesse | 2006-12-06 13:29:38 -0500
 * perltidy

------------------------------------------------------------------------
r6588 | jesse | 2006-12-06 14:17:36 -0500 (Wed, 06 Dec 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/SelectBoolean
   M /rt/branches/3.6-RELEASE/html/Elements/SelectCustomFieldOperator
   M /rt/branches/3.6-RELEASE/html/Search/Elements/DisplayOptions

 r45867@114:  jesse | 2006-12-06 13:29:07 -0500
 * Warning avoidance
 

------------------------------------------------------------------------
r6582 | jesse | 2006-12-04 13:20:08 -0500 (Mon, 04 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r45802@pinglin:  jesse | 2006-12-04 13:19:38 -0500
 * rc3

------------------------------------------------------------------------
r6581 | jesse | 2006-12-01 14:45:53 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Global/index.html

 r45701@pinglin:  jesse | 2006-12-01 14:45:41 -0500
 * Added a listing for "MyRT" to the actual displayed global list

------------------------------------------------------------------------
r6580 | jesse | 2006-12-01 14:19:52 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/t/regression/00-mason-syntax.t

 r45699@pinglin:  jesse | 2006-12-01 14:12:46 -0500
 * skip backup and .rej files when testing mason syntax

------------------------------------------------------------------------
r6579 | jesse | 2006-12-01 14:01:52 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/User/Prefs.html

 r45679@pinglin:  jesse | 2006-12-01 13:53:39 -0500
 * Added a new "end of form" callback to user preferences

------------------------------------------------------------------------
r6578 | jesse | 2006-12-01 14:00:39 -0500 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm

 r45543@pinglin (orig r6545):  jesse | 2006-11-28 18:34:51 -0500
  r45542@64:  jesse | 2006-11-28 18:34:07 -0500
   * Refactoring to add a method to just _send_ a MIME::Entity as email
 

------------------------------------------------------------------------
r6577 | jesse | 2006-12-01 14:00:23 -0500 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

 r45540@pinglin (orig r6544):  jesse | 2006-11-28 17:16:13 -0500
  r45539@pinglin:  jesse | 2006-11-28 17:15:57 -0500
  * Refactor the recording of outgoing messages so we can massage the one we send but not the one we record
 

------------------------------------------------------------------------
r6576 | jesse | 2006-12-01 13:59:58 -0500 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/html/Widgets/SavedSearch

 r45536@pinglin (orig r6543):  jesse | 2006-11-28 15:30:14 -0500
  r45535@pinglin:  jesse | 2006-11-28 15:29:55 -0500
   * Allow a title on the saved searches dropdown
 

------------------------------------------------------------------------
r6575 | jesse | 2006-12-01 13:59:26 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

 r45534@pinglin (orig r6542):  clkao | 2006-11-28 10:56:23 -0500
 Enable object custom field by default from rt-setup-database.

------------------------------------------------------------------------
r6574 | jesse | 2006-12-01 13:59:10 -0500 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in

 r45533@pinglin (orig r6541):  clkao | 2006-11-28 08:38:46 -0500
 Allow initdb to insert non-queue custom fields.  The logic for
 looking up queue is in CustomField->Create already.
 

------------------------------------------------------------------------
r6573 | jesse | 2006-12-01 13:58:44 -0500 (Fri, 01 Dec 2006) | 6 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm

 r45314@pinglin (orig r6511):  clkao | 2006-11-23 06:28:14 -0500
 Save searches in SaveSearch, not "Search - ..." for RT::System.
 Note that users must have ShowSavedSearch for the things they have
 on portlet to work.
 

------------------------------------------------------------------------
r6572 | jesse | 2006-12-01 13:58:09 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Widgets/SavedSearch

 r45312@pinglin (orig r6509):  clkao | 2006-11-23 05:45:58 -0500
 remove extra button

------------------------------------------------------------------------
r6571 | jesse | 2006-12-01 13:57:54 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   A /rt/branches/3.6-RELEASE/html/Widgets/SavedSearch

 r45311@pinglin (orig r6508):  clkao | 2006-11-23 05:24:36 -0500
 Support load and save for charts, in a separate widget SavedSearch.

------------------------------------------------------------------------
r6570 | jesse | 2006-12-01 13:57:27 -0500 (Fri, 01 Dec 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Build.html

 r45310@pinglin (orig r6507):  clkao | 2006-11-23 03:50:33 -0500
 Cluster the processing of saved search related management together.
 

------------------------------------------------------------------------
r6569 | jesse | 2006-12-01 13:56:55 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/html/Search/Elements/SelectSearchesForObjects

 r45294@pinglin (orig r6504):  clkao | 2006-11-22 14:23:23 -0500
 simple saved chart ui.

------------------------------------------------------------------------
r6568 | jesse | 2006-12-01 13:56:25 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/UserTabs
   A /rt/branches/3.6-RELEASE/html/Admin/Users/MyRT.html

 r45293@pinglin (orig r6503):  clkao | 2006-11-22 12:39:59 -0500
 Allow editing myrt prefs for individual user.

------------------------------------------------------------------------
r6567 | jesse | 2006-12-01 13:56:07 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html

 r45292@pinglin (orig r6502):  clkao | 2006-11-22 09:18:33 -0500
 Fix missing >

------------------------------------------------------------------------
r6566 | jesse | 2006-12-01 13:55:27 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html

 r45290@pinglin (orig r6500):  clkao | 2006-11-22 07:27:01 -0500
 Use RT::SavedSearch for Chart saving as well.

------------------------------------------------------------------------
r6565 | jesse | 2006-12-01 13:55:01 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Build.html
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm

 r45289@pinglin (orig r6499):  clkao | 2006-11-22 07:21:00 -0500
 Refactor Search/Build.html to save searches using RT::SavedSearch.

------------------------------------------------------------------------
r6564 | jesse | 2006-12-01 13:54:28 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html

 r45288@pinglin (orig r6498):  clkao | 2006-11-22 06:57:24 -0500
 Must save searches on RT::System with 'Search - ' convention.

------------------------------------------------------------------------
r6563 | jesse | 2006-12-01 13:54:14 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html

 r45287@pinglin (orig r6497):  clkao | 2006-11-22 06:33:42 -0500
 Allow resetting myrt.

------------------------------------------------------------------------
r6562 | jesse | 2006-12-01 13:53:42 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/SystemTabs
   A /rt/branches/3.6-RELEASE/html/Admin/Global/MyRT.html

 r45286@pinglin (orig r6496):  clkao | 2006-11-22 06:17:20 -0500
 Global/Admin/MyRT.html for configure global myrt.

------------------------------------------------------------------------
r6561 | jesse | 2006-12-01 13:53:07 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   A /rt/branches/3.6-RELEASE/html/Admin/Elements/ConfigureMyRT
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html

 r45285@pinglin (orig r6495):  clkao | 2006-11-22 06:04:43 -0500
 Refactor MyRT configuration to an element.

------------------------------------------------------------------------
r6560 | jesse | 2006-12-01 13:52:28 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html

 r45284@pinglin (orig r6494):  clkao | 2006-11-22 05:28:14 -0500
 Display search type as part of the portlet name in MyRT prefs.

------------------------------------------------------------------------
r6559 | jesse | 2006-12-01 13:51:59 -0500 (Fri, 01 Dec 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

 r45283@pinglin (orig r6493):  clkao | 2006-11-22 04:56:50 -0500
 Fix chart saved in rt::system for selection in MyRT preferences.
 

------------------------------------------------------------------------
r6558 | jesse | 2006-12-01 13:51:45 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearch.pm

 r45282@pinglin (orig r6492):  clkao | 2006-11-22 04:44:13 -0500
 Move load_container_object into RT::SavedSearch.

------------------------------------------------------------------------
r6557 | jesse | 2006-12-01 13:51:26 -0500 (Fri, 01 Dec 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearches.pm

 r45281@pinglin (orig r6491):  clkao | 2006-11-22 04:38:43 -0500
 RT::SavedSearches::_GetObject is the same as RT::SavedSearch::_GetObject,
 apart from error messages.

------------------------------------------------------------------------
r6556 | jesse | 2006-12-01 13:51:12 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/lib/RT/SavedSearches.pm

 r45280@pinglin (orig r6490):  clkao | 2006-11-22 03:57:46 -0500
 refactor the code for loading saved search privacies to RT::SavedSearches.

------------------------------------------------------------------------
r6555 | jesse | 2006-12-01 13:50:35 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

 r45278@pinglin (orig r6488):  clkao | 2006-11-22 03:08:27 -0500
 Don't show edit link when there's no customize url

------------------------------------------------------------------------
r6554 | jesse | 2006-12-01 13:49:56 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

 r45277@pinglin (orig r6487):  clkao | 2006-11-22 03:00:53 -0500
 portlet link should respect searchtype.

------------------------------------------------------------------------
r6553 | jesse | 2006-12-01 13:49:44 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html

 r45276@pinglin (orig r6486):  clkao | 2006-11-22 02:22:33 -0500
 Make the style of chart in myrt consistent.

------------------------------------------------------------------------
r6552 | jesse | 2006-12-01 13:49:08 -0500 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

 r45274@pinglin (orig r6484):  clkao | 2006-11-21 15:20:33 -0500
 No we don't really want to abort.

------------------------------------------------------------------------
r6551 | jesse | 2006-12-01 13:48:55 -0500 (Fri, 01 Dec 2006) | 11 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html

 r45273@pinglin (orig r6483):  clkao | 2006-11-21 14:31:42 -0500
 First cut of savable chart.
 
 * Search/Chart.html: build form for saving current chart into
   saved search, with type "Chart".  This makes the saved search
   shows up in MyRT prefs.
 
 * Elements/ShowSearch: when showing a saved search that is not
   of type "Ticket", dispatch to different handler.
 

------------------------------------------------------------------------
r6548 | jesse | 2006-11-30 12:27:18 -0500 (Thu, 30 Nov 2006) | 8 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Scrip_Overlay.pm

 r45595@pinglin:  jesse | 2006-11-30 12:26:55 -0500
 RT-Ticket: 8049
 RT-Status: resolved
 RT-Update: correspond
 
 Thanks. Applied
 

------------------------------------------------------------------------
r6547 | jesse | 2006-11-28 21:27:35 -0500 (Tue, 28 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/NoAuth/js/ahah.js

 r45558@pinglin:  jesse | 2006-11-28 21:26:43 -0500
 * When doing an AHAH replace of a page section, don't show a "loading" message. (makes things feel smoother)

------------------------------------------------------------------------
r6546 | jesse | 2006-11-28 21:27:23 -0500 (Tue, 28 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Template_Overlay.pm

 r45544@pinglin:  jesse | 2006-11-28 18:37:57 -0500
  * Typo fix

------------------------------------------------------------------------
r6515 | ruz | 2006-11-24 16:22:32 -0500 (Fri, 24 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po

* Polish translation, thanks to Arkadiusz Miskiewicz
------------------------------------------------------------------------
r6514 | ruz | 2006-11-24 10:11:12 -0500 (Fri, 24 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po

* update of russian translation
------------------------------------------------------------------------
r6513 | ruz | 2006-11-24 07:42:09 -0500 (Fri, 24 Nov 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditScrip
   M /rt/branches/3.6-RELEASE/html/Admin/Global/Scrip.html
   M /rt/branches/3.6-RELEASE/html/Admin/Queues/Scrip.html
   M /rt/branches/3.6-RELEASE/lib/RT/Scrip_Overlay.pm

Scrip management
* error messages
* preserve values of the fields between calls
* correctly report id in the tab
* fix #7445
------------------------------------------------------------------------
r6477 | clkao | 2006-11-21 07:17:23 -0500 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT

Allow arguments from component porlets.
------------------------------------------------------------------------
r6468 | ruz | 2006-11-20 22:56:05 -0500 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/04send_email.t

* correct number of test
------------------------------------------------------------------------
r6467 | ruz | 2006-11-20 21:29:46 -0500 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/lib/t/data/very-long-subject
   M /rt/branches/3.6-RELEASE/lib/t/regression/04send_email.t

* add a test for processing of emails with a long subject
------------------------------------------------------------------------
r6466 | ruz | 2006-11-20 18:26:54 -0500 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   A /rt/branches/3.6-RELEASE/lib/t/data/subject-with-folding-ws
   M /rt/branches/3.6-RELEASE/lib/t/regression/04send_email.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/06-mime_decoding.t

* tests and fix for folding white spaces in headers
* see also #5248 at rt3.fsck.com
------------------------------------------------------------------------
r6464 | clkao | 2006-11-20 15:03:46 -0500 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/sbin/license_tag

FSF has changed their address.
------------------------------------------------------------------------
r6458 | ruz | 2006-11-20 00:54:02 -0500 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm

* minor changes
------------------------------------------------------------------------
r6453 | ruz | 2006-11-18 15:08:31 -0500 (Sat, 18 Nov 2006) | 18 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/autohandler
   M /rt/branches/3.6-RELEASE/lib/t/regression/21query-builder.t

* fix problems in building queries with CF conditions based on
  CFs with not-ascii names
** bug fix for #8012 at rt3.fsck.com and may be other bugs related
   to not-ascii keys in the %ARGS.
** add a test

Additional info:

Use $m->comp( { base_comp => $m->request_comp }, $m->fetch_next, %ARGS );
instead of $m->call_next to avoid problems with UTF8 keys in arguments.
The call_next method pass through original arguments and if you have
an argument with unicode key then in a next component you'll get two
records in the args hash: one with key without UTF8 flag and another
with the flag, which may result into errors. "{ base_comp => $m->request_comp }"
is copied from mason's source to get the same results as we get from
call_next method, this feature is not documented, so we just leave it
here to avoid possible side effects.

------------------------------------------------------------------------
r6450 | ruz | 2006-11-16 17:07:58 -0500 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Search/Build.html
   M /rt/branches/3.6-RELEASE/lib/t/regression/21query-builder.t

* fix TODO tests in query builder and add new tests
** all tests are related to building queries like 'C1 OR ( C2 AND C3 )',
   QB was changing all entry aggregators to AND
------------------------------------------------------------------------
r6449 | ruz | 2006-11-16 17:03:05 -0500 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/t/regression/21query-builder.t

* make the test file re-entrant
------------------------------------------------------------------------
r6446 | ruz | 2006-11-16 11:28:28 -0500 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   A /rt/branches/3.6-RELEASE/lib/t/regression/00-mason-syntax.t
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

* test syntax of comps with a mason compiler
------------------------------------------------------------------------
r6432 | jesse | 2006-11-14 15:53:31 -0500 (Tue, 14 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransactionAttachments
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Handler.pm

 r44838@pinglin:  jesse | 2006-11-14 15:53:18 -0500
 * Move Text::Quoted back to being a run-time require. So that it's possible to turn off the feature if it causes your perl to segfault. (Text::Tabs is...not robust in the face of perl bugs)

------------------------------------------------------------------------
r6400 | jesse | 2006-11-09 23:46:17 -0500 (Thu, 09 Nov 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/ShowSearch

 r44740@pinglin:  jesse | 2006-11-09 23:46:01 -0500
 * Added a callback to let extensions massage custom homepage portlet searches
 

------------------------------------------------------------------------
r6399 | jesse | 2006-11-09 23:41:15 -0500 (Thu, 09 Nov 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/MyRT
   M /rt/branches/3.6-RELEASE/html/Prefs/MyRT.html

 r44732@pinglin:  jesse | 2006-11-09 23:41:00 -0500
 * The RT homepage no longer explodes if you upgrade from 3.4. (Error proof the "Portlets" attribute handling)
 

------------------------------------------------------------------------
r6380 | jesse | 2006-11-07 14:22:15 -0500 (Tue, 07 Nov 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/SelfService/Closed.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Elements/MyRequests
   M /rt/branches/3.6-RELEASE/html/SelfService/index.html

 r40520@pinglin:  jesse | 2006-11-07 14:15:50 -0500
 * SelfService cleanup and regularization patches from 
         David Chandek-Stark <david.chandek.stark@duke.edu>

------------------------------------------------------------------------
r6379 | jesse | 2006-11-07 14:16:57 -0500 (Tue, 07 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r29654@pinglin:  jesse | 2006-10-31 17:10:10 -0500
 3.6.2rc2

------------------------------------------------------------------------
r6363 | falcone | 2006-11-06 14:09:32 -0500 (Mon, 06 Nov 2006) | 4 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in

 r14256@ketch:  falcone | 2006-11-06 14:08:54 -0500
 Make LoadConfig a lot more vocal about why it can't read your config files
 and offer some hints and warnings about fixing it

------------------------------------------------------------------------
r6362 | falcone | 2006-11-06 14:09:21 -0500 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/README

 r14255@ketch:  falcone | 2006-11-06 14:07:58 -0500
 You can't have FastCgiIpcDir and FastCgiServer in the VirtualHost block

------------------------------------------------------------------------
r6302 | ruz | 2006-10-25 23:18:11 -0400 (Wed, 25 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/etc/RT_Config.pm.in

 r4038@cubic-pc:  cubic | 2006-10-26 07:29:27 +0400
 * add doc

------------------------------------------------------------------------
r6243 | jesse | 2006-10-20 12:37:05 -0400 (Fri, 20 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r28972@119:  jesse | 2006-10-20 12:36:50 -0400
 * Backed out the rest of kevin's accidental commit

------------------------------------------------------------------------
r6242 | kevinr | 2006-10-20 01:13:43 -0400 (Fri, 20 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r28708@SAD-GIRL-IN-SNOW:  kevinr | 2006-10-20 01:13:16 -0400
 * Reverted

------------------------------------------------------------------------
r6241 | kevinr | 2006-10-20 00:05:59 -0400 (Fri, 20 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm

 r28703@sad-girl-in-snow:  kevinr | 2006-10-20 00:02:48 -0400
 * Pulled User::WatchedQueues in from RT::Extension::rt_cpan_org

------------------------------------------------------------------------
r6240 | kevinr | 2006-10-20 00:05:03 -0400 (Fri, 20 Oct 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm


------------------------------------------------------------------------
r6211 | jesse | 2006-10-16 11:49:02 -0400 (Mon, 16 Oct 2006) | 7 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r28886@pinglin:  jesse | 2006-10-16 11:48:54 -0400
 * Added a workaround for parsing headers from broken  MUAs that send headers like:
 
     From: ""Vincent, Jesse"" <jesse@fsck.com>
 
 

------------------------------------------------------------------------
r6201 | ruz | 2006-10-12 22:33:22 -0400 (Thu, 12 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

 r3951@cubic-pc:  cubic | 2006-10-13 06:43:19 +0400
 * we have $OldOwnerObj, so use it

------------------------------------------------------------------------
r6200 | ruz | 2006-10-12 22:33:13 -0400 (Thu, 12 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Tabs

 r3950@cubic-pc:  cubic | 2006-10-13 06:07:28 +0400
 * fine tune [Take] and [Steal] actions according to ACL

------------------------------------------------------------------------
r6199 | ruz | 2006-10-12 22:33:05 -0400 (Thu, 12 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Tabs

 r3949@cubic-pc:  cubic | 2006-10-13 06:02:30 +0400
 * cache results of rights checks locally

------------------------------------------------------------------------
r6198 | ruz | 2006-10-12 17:54:23 -0400 (Thu, 12 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm

* skip -Category part as -Magic [rt3.fsck.com #7903]
* drop $cfid as it's not used

------------------------------------------------------------------------
r6172 | jesse | 2006-10-06 12:42:45 -0400 (Fri, 06 Oct 2006) | 5 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm

 r28065@101:  jesse | 2006-10-06 12:42:52 -0400
 * After RT 3.6.1, we broke the ""send an error message" email routines to require that they have an incoming message. Fixed now
     - Spotted by Jason A. Diegmueller
 

------------------------------------------------------------------------
r6167 | jesse | 2006-10-05 12:06:49 -0400 (Thu, 05 Oct 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/releng.cnf

 r28050@pinglin:  jesse | 2006-10-05 12:06:47 -0400
 * 3.6.2rc1

------------------------------------------------------------------------
r6063 | jesse | 2006-09-27 18:43:54 -0400 (Wed, 27 Sep 2006) | 3 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/Approve

 r27846@253:  jesse | 2006-09-27 18:43:53 -0400
 * removed a stray font tag

------------------------------------------------------------------------
r6055 | ruz | 2006-09-26 22:25:59 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po

* convert de.po back to UTF-8 from latin-1
------------------------------------------------------------------------
r6054 | ruz | 2006-09-26 20:32:59 -0400 (Tue, 26 Sep 2006) | 48 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldSelect
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditCustomFields
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email/Auth/MailFrom.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm

merge 3.4 -> QUEBEC -> CHALDEA -> 3.6

 r3890@cubic-pc (orig r6053):  ruz | 2006-09-27 04:31:42 +0400
 merge QUEBEC -> CHALDEA
 
  r3883@cubic-pc (orig r6046):  ruz | 2006-09-27 03:29:31 +0400
   r3671@cubic-pc (orig r5829):  ruz | 2006-08-31 00:12:48 +0400
   * typo
  
  r3884@cubic-pc (orig r6047):  ruz | 2006-09-27 03:29:39 +0400
   r3694@cubic-pc (orig r5849):  ruz | 2006-09-04 20:32:29 +0400
   * drop unused variable
   * init index($i) with 0 to avoid warnings
  
  r3885@cubic-pc (orig r6048):  ruz | 2006-09-27 03:29:51 +0400
   r3695@cubic-pc (orig r5850):  ruz | 2006-09-04 20:49:12 +0400
   * drop uninit warning
  
  r3886@cubic-pc (orig r6049):  ruz | 2006-09-27 04:15:12 +0400
   r3696@cubic-pc (orig r5856):  ruz | 2006-09-04 23:17:14 +0400
   * split function ProcessObjectCustomFieldUpdates into two
   * call RedoSearch on object's custom fields values collection
     after {Add,Delete}CustomFieldValues operations
  
  r3887@cubic-pc (orig r6050):  ruz | 2006-09-27 04:15:22 +0400
   r3697@cubic-pc (orig r5857):  ruz | 2006-09-04 23:30:28 +0400
   * redo search if we have deleted entries in collection
  
  r3888@cubic-pc (orig r6051):  ruz | 2006-09-27 04:15:29 +0400
   r3698@cubic-pc (orig r5858):  ruz | 2006-09-05 02:09:30 +0400
   ::OldValue and ::NewValue
   * don't load object if {Old,New}Reference is false value
   ** this is hitting some cache issues and could return "random" result
      which brakes tickets' history.
   
   Thanks to Joshua Speicher.
   
  
  r3889@cubic-pc (orig r6052):  ruz | 2006-09-27 04:15:58 +0400
   r3759@cubic-pc (orig r5943):  jesse | 2006-09-15 23:31:25 +0400
    r27507@pinglin:  jesse | 2006-09-15 20:30:47 +0100
    [mail gateway] Todd Chapman discovered a case where RT's mail gateway would default to the RT::SystemUser if no valid from header were found. This could allow a malicious user to create tickets or reply to tickets, but not to gain access to data.
    
    
   
  
 

------------------------------------------------------------------------
r6045 | ruz | 2006-09-26 18:59:02 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm

* drop unused code
------------------------------------------------------------------------
r6044 | ruz | 2006-09-26 18:47:02 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   D /rt/branches/3.6-RELEASE/html/NoAuth/ahah.js
   D /rt/branches/3.6-RELEASE/html/NoAuth/printrt.css

* remove files that have been added by merge
------------------------------------------------------------------------
r6043 | ruz | 2006-09-26 18:34:35 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditBasics

* drop duplicated code (result of the merge)
------------------------------------------------------------------------
r6042 | ruz | 2006-09-26 18:24:16 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/autohandler

* parsing fails after merge, fix it
------------------------------------------------------------------------
r6041 | ruz | 2006-09-26 18:23:05 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFields

* fix merge bug
------------------------------------------------------------------------
r6040 | ruz | 2006-09-26 17:49:01 -0400 (Tue, 26 Sep 2006) | 1 line
Changed paths:
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm

* revert wrong merge part
------------------------------------------------------------------------
r6039 | ruz | 2006-09-26 11:06:31 -0400 (Tue, 26 Sep 2006) | 2254 lines
Changed paths:
   M /rt/branches/3.6-RELEASE
   M /rt/branches/3.6-RELEASE/README
   M /rt/branches/3.6-RELEASE/bin/rt-crontool.in
   M /rt/branches/3.6-RELEASE/bin/rt-mailgate.in
   M /rt/branches/3.6-RELEASE/bin/rt.in
   M /rt/branches/3.6-RELEASE/bin/webmux.pl.in
   M /rt/branches/3.6-RELEASE/configure.ac
   M /rt/branches/3.6-RELEASE/etc/RT_Config.pm.in
   M /rt/branches/3.6-RELEASE/etc/RT_SiteConfig.pm
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/Modify.html
   M /rt/branches/3.6-RELEASE/html/Admin/CustomFields/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditCustomFields
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/EditScrips
   M /rt/branches/3.6-RELEASE/html/Admin/Elements/ListGlobalScrips
   M /rt/branches/3.6-RELEASE/html/Admin/Groups/index.html
   M /rt/branches/3.6-RELEASE/html/Admin/Users/Modify.html
   M /rt/branches/3.6-RELEASE/html/Approvals/Elements/PendingMyApproval
   M /rt/branches/3.6-RELEASE/html/Elements/Callback
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/ParseFormat
   M /rt/branches/3.6-RELEASE/html/Elements/CollectionAsTable/Row
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomField
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldFreeform
   M /rt/branches/3.6-RELEASE/html/Elements/EditCustomFieldSelect
   M /rt/branches/3.6-RELEASE/html/Elements/Footer
   M /rt/branches/3.6-RELEASE/html/Elements/Header
   M /rt/branches/3.6-RELEASE/html/Elements/Menu
   M /rt/branches/3.6-RELEASE/html/Elements/PageLayout
   M /rt/branches/3.6-RELEASE/html/Elements/QueryString
   M /rt/branches/3.6-RELEASE/html/Elements/QuickCreate
   M /rt/branches/3.6-RELEASE/html/Elements/RT__Ticket/ColumnMap
   M /rt/branches/3.6-RELEASE/html/Elements/ScrubHTML
   M /rt/branches/3.6-RELEASE/html/Elements/SelectNewTicketQueue
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFieldBinary
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFieldWikitext
   M /rt/branches/3.6-RELEASE/html/Elements/ShowCustomFields
   M /rt/branches/3.6-RELEASE/html/Elements/ValidateCustomFields
   A /rt/branches/3.6-RELEASE/html/NoAuth/ahah.js
   A /rt/branches/3.6-RELEASE/html/NoAuth/printrt.css
   M /rt/branches/3.6-RELEASE/html/REST/1.0/Forms/ticket/default
   M /rt/branches/3.6-RELEASE/html/REST/1.0/NoAuth/mail-gateway
   M /rt/branches/3.6-RELEASE/html/REST/1.0/search/ticket
   M /rt/branches/3.6-RELEASE/html/Search/Build.html
   M /rt/branches/3.6-RELEASE/html/Search/Chart
   M /rt/branches/3.6-RELEASE/html/Search/Chart.html
   M /rt/branches/3.6-RELEASE/html/Search/Elements/BuildFormatString
   M /rt/branches/3.6-RELEASE/html/Search/Elements/Chart
   M /rt/branches/3.6-RELEASE/html/Search/Elements/EditSearches
   M /rt/branches/3.6-RELEASE/html/Search/Results.html
   M /rt/branches/3.6-RELEASE/html/Search/Results.rdf
   M /rt/branches/3.6-RELEASE/html/Search/Results.tsv
   M /rt/branches/3.6-RELEASE/html/SelfService/Create.html
   M /rt/branches/3.6-RELEASE/html/SelfService/Display.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Create.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Display.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditBasics
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/EditCustomFields
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/PreviewScrips
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/Reminders
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowBasics
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowDates
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowHistory
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowRequestor
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowSummary
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTime
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransaction
   M /rt/branches/3.6-RELEASE/html/Ticket/Elements/ShowTransactionAttachments
   M /rt/branches/3.6-RELEASE/html/Ticket/Modify.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyAll.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyDates.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyLinks.html
   M /rt/branches/3.6-RELEASE/html/Ticket/ModifyPeople.html
   M /rt/branches/3.6-RELEASE/html/Ticket/Update.html
   M /rt/branches/3.6-RELEASE/html/Tools/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/Tools/Offline.html
   M /rt/branches/3.6-RELEASE/html/User/Elements/Tabs
   M /rt/branches/3.6-RELEASE/html/autohandler
   M /rt/branches/3.6-RELEASE/lib/RT/ACE_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/CreateTickets.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/Generic.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/Notify.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Action/SendEmail.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachment_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Attachments_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Base.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CachedGroupMember_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Condition/Generic.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFieldValues.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomField_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/CustomFields_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Date.pm
   M /rt/branches/3.6-RELEASE/lib/RT/EmailParser.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Group_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Groups_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Handle.pm
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/cs.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/da.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/de.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/en.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/es.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fi.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/fr.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/he.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/hu.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/id.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/it.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ja.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/nl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/no.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pl.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/pt_br.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/ru.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_cn.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N/zh_tw.po
   M /rt/branches/3.6-RELEASE/lib/RT/I18N.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Email.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Handler.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web/Standalone.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Interface/Web.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Link_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Links_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValue_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ObjectCustomFieldValues_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Principal_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Queue_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Record.pm
   M /rt/branches/3.6-RELEASE/lib/RT/ScripAction_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Scrip_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/SearchBuilder.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Template_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Ticket_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Tickets_Overlay_SQL.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transaction_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Transactions_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI/base.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI/fsck_com_rt.pm
   M /rt/branches/3.6-RELEASE/lib/RT/URI.pm
   M /rt/branches/3.6-RELEASE/lib/RT/User_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT/Users_Overlay.pm
   M /rt/branches/3.6-RELEASE/lib/RT.pm.in
   A /rt/branches/3.6-RELEASE/lib/t/regression/06-mime_decoding.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/06mailgateway.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/07acl.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/07rights.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/12-search.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/14linking.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/20-sort-by-requestor.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/23-batch-upload-csv.t
   M /rt/branches/3.6-RELEASE/lib/t/regression/23-web_attachments.t
   M /rt/branches/3.6-RELEASE/releng.cnf
   M /rt/branches/3.6-RELEASE/sbin/extract-message-catalog
   M /rt/branches/3.6-RELEASE/sbin/rt-setup-database.in
   M /rt/branches/3.6-RELEASE/sbin/rt-test-dependencies.in

merge CHALDEA -> 3.6

 r2964@cubic-pc (orig r3308):  jesse | 2005-07-04 02:06:31 +0400
  r22123@hualien:  jesse | 2005-07-03 17:46:54 -0400
   r20060@hualien:  jesse | 2005-06-14 08:57:51 -0400
   * Moving the search qyery into the search body
  
 
 r2965@cubic-pc (orig r3309):  jesse | 2005-07-04 02:06:41 +0400
  r22124@hualien:  jesse | 2005-07-03 17:46:59 -0400
   r20076@hualien:  jesse | 2005-06-14 15:01:31 -0400
    r20064@hualien (orig r3143):  alexmv | 2005-06-13 20:15:22 -0400
     r4193@zoq-fot-pik:  chmrr | 2005-06-13 20:14:53 -0400
      * Generalize to work with arrays in %ARGS
    
    r20066@hualien (orig r3145):  alexmv | 2005-06-13 21:02:36 -0400
     r4197@zoq-fot-pik:  chmrr | 2005-06-13 21:01:50 -0400
      * Don't assume that ->Resolver is a valid object
    
    r20068@hualien (orig r3147):  alexmv | 2005-06-14 06:56:06 -0400
     r4209@zoq-fot-pik:  chmrr | 2005-06-14 06:55:43 -0400
      * We should actually let people *download* these uploads..
    
   
  
 
 r2966@cubic-pc (orig r3310):  jesse | 2005-07-04 02:06:53 +0400
  r22125@hualien:  jesse | 2005-07-03 17:47:04 -0400
   r20540@hualien:  jesse | 2005-06-15 14:46:19 -0400
    r20162@hualien (orig r3156):  alexmv | 2005-06-14 23:24:19 -0400
     r4230@zoq-fot-pik:  chmrr | 2005-06-14 23:22:31 -0400
      * Allow filtering of custom fields
    
    r20163@hualien (orig r3157):  alexmv | 2005-06-14 23:24:23 -0400
    
    r20165@hualien (orig r3159):  alexmv | 2005-06-15 00:47:27 -0400
     r4236@zoq-fot-pik:  chmrr | 2005-06-15 00:46:57 -0400
      * <input> tags don't like newlines in them
    
   
  
 
 r2967@cubic-pc (orig r3311):  jesse | 2005-07-04 02:07:03 +0400
  r22126@hualien:  jesse | 2005-07-03 17:47:09 -0400
   r20543@hualien:  jesse | 2005-06-15 15:58:07 -0400
    r19701@hualien:  jesse | 2005-06-09 00:58:09 -0400
    * Bumping to 3.4.3pre1
    
   
  
 
 r2968@cubic-pc (orig r3312):  jesse | 2005-07-04 02:07:17 +0400
  r22127@hualien:  jesse | 2005-07-03 17:47:14 -0400
   r20544@hualien:  jesse | 2005-06-15 15:58:11 -0400
    r20078@hualien:  jesse | 2005-06-14 16:57:41 -0400
    * First draft Indonesian message catalog from James Briggs
    
   
  
 
 r2969@cubic-pc (orig r3313):  jesse | 2005-07-04 02:07:35 +0400
  r22128@hualien:  jesse | 2005-07-03 17:47:18 -0400
   r20545@hualien:  jesse | 2005-06-15 15:58:15 -0400
    r20542@hualien:  jesse | 2005-06-15 15:56:43 -0400
    * Made search-by-any-customfield work
    
   
  
 
 r2970@cubic-pc (orig r3314):  jesse | 2005-07-04 02:07:47 +0400
  r22129@hualien:  jesse | 2005-07-03 17:47:23 -0400
   r20551@hualien:  jesse | 2005-06-15 16:12:50 -0400
   * Reenabled testing redirect on article update
  
 
 r2971@cubic-pc (orig r3315):  jesse | 2005-07-04 02:08:00 +0400
  r22130@hualien:  jesse | 2005-07-03 17:47:27 -0400
   r20559@hualien:  jesse | 2005-06-15 16:33:09 -0400
   * Style cleanups for custom field list filtering
  
 
 r2972@cubic-pc (orig r3316):  jesse | 2005-07-04 02:08:11 +0400
  r22131@hualien:  jesse | 2005-07-03 17:47:32 -0400
   r20562@hualien:  jesse | 2005-06-15 18:59:20 -0400
   * When updating articles, we want to say "Updated Article" rather than "Updated FM"
   
   
  
 
 r2973@cubic-pc (orig r3317):  jesse | 2005-07-04 02:08:21 +0400
  r22132@hualien:  jesse | 2005-07-03 17:47:37 -0400
   r20726@hualien:  jesse | 2005-06-16 12:43:06 -0400
    r20706@hualien:  jesse | 2005-06-16 12:12:07 -0400
    
   
  
 
 r2974@cubic-pc (orig r3318):  jesse | 2005-07-04 02:08:35 +0400
  r22133@hualien:  jesse | 2005-07-03 17:47:41 -0400
   r20727@hualien:  jesse | 2005-06-16 12:43:11 -0400
    r20707@hualien:  jesse | 2005-06-16 12:12:16 -0400
     r19708@hualien (orig r3120):  kevinr | 2005-06-09 01:33:18 -0400
      r4110@SAD-GIRL-IN-SNOW:  kevinr | 2005-06-09 01:30:22 -0400
      * fixed the mis-typed perldoc tags
     
    
   
  
 
 r2975@cubic-pc (orig r3319):  jesse | 2005-07-04 02:08:50 +0400
  r22134@hualien:  jesse | 2005-07-03 17:47:46 -0400
   r20728@hualien:  jesse | 2005-06-16 12:43:18 -0400
    r20708@hualien:  jesse | 2005-06-16 12:12:29 -0400
     r20063@hualien (orig r3142):  kevinr | 2005-06-13 15:43:08 -0400
      r4210@SAD-GIRL-IN-SNOW:  kevinr | 2005-06-13 15:39:50 -0400
      * fixed a couple small issues with the perldoc format
     
    
   
  
 
 r2976@cubic-pc (orig r3320):  jesse | 2005-07-04 02:09:01 +0400
  r22135@hualien:  jesse | 2005-07-03 17:47:56 -0400
   r20730@hualien:  jesse | 2005-06-16 12:43:33 -0400
    r20714@hualien:  jesse | 2005-06-16 12:20:30 -0400
     r20705@hualien:  jesse | 2005-06-16 12:11:06 -0400
      r19183@hualien (orig r3063):  pdh | 2005-06-03 01:01:55 -0400
      Misleading error referred to IsApplicable, not Commit
      
      
     
    
   
  
 
 r2977@cubic-pc (orig r3321):  jesse | 2005-07-04 02:09:13 +0400
  r22136@hualien:  jesse | 2005-07-03 17:48:00 -0400
   r20731@hualien:  jesse | 2005-06-16 12:43:44 -0400
    r20715@hualien:  jesse | 2005-06-16 12:20:34 -0400
     r20712@hualien:  jesse | 2005-06-16 12:16:22 -0400
      r20710@hualien (orig r3203):  alexmv | 2005-06-16 04:29:14 -0400
       r4306@zoq-fot-pik:  chmrr | 2005-06-16 04:29:06 -0400
        * Move /^$foo$/ regexes to use eq instead, to prevent regex insertion
          exploits
      
     
    
   
  
 
 r2978@cubic-pc (orig r3322):  jesse | 2005-07-04 02:09:25 +0400
  r22137@hualien:  jesse | 2005-07-03 17:48:05 -0400
   r20732@hualien:  jesse | 2005-06-16 12:43:57 -0400
    r20716@hualien:  jesse | 2005-06-16 12:23:58 -0400
     r20713@hualien:  jesse | 2005-06-16 12:16:28 -0400
      r20711@hualien (orig r3204):  alexmv | 2005-06-16 04:31:40 -0400
       r4308@zoq-fot-pik:  chmrr | 2005-06-16 04:31:30 -0400
        * Missed an lc
      
     
    
   
  
 
 r2979@cubic-pc (orig r3323):  jesse | 2005-07-04 02:09:35 +0400
  r22138@hualien:  jesse | 2005-07-03 17:48:10 -0400
   r20733@hualien:  jesse | 2005-06-16 12:44:07 -0400
    r20717@hualien:  jesse | 2005-06-16 12:24:50 -0400
    * Message catalog updates
   
  
 
 r2980@cubic-pc (orig r3324):  jesse | 2005-07-04 02:10:10 +0400
  r22139@hualien:  jesse | 2005-07-03 17:49:33 -0400
   r20761@hualien:  jesse | 2005-06-17 19:38:02 -0400
   * Now statistical reports include total # of tickets found
  
 
 r2981@cubic-pc (orig r3325):  jesse | 2005-07-04 02:10:23 +0400
  r22140@hualien:  jesse | 2005-07-03 17:49:37 -0400
   r21273@hualien:  jesse | 2005-06-20 17:57:29 -0400
    r20804@hualien (orig r3230):  alexmv | 2005-06-20 14:57:03 -0400
     r4370@zoq-fot-pik:  chmrr | 2005-06-20 14:58:14 -0400
      * Added callback
    
   
  
 
 r2982@cubic-pc (orig r3326):  jesse | 2005-07-04 02:10:33 +0400
  r22141@hualien:  jesse | 2005-07-03 17:49:42 -0400
   r21955@hualien:  jesse | 2005-06-27 11:40:56 -0400
    r21288@hualien (orig r3235):  alexmv | 2005-06-20 18:54:00 -0400
     r4386@zoq-fot-pik:  chmrr | 2005-06-20 18:56:20 -0400
      * Attempt to prevent footer from showing up on redirects for some servers (?)
    
   
  
 
 r2983@cubic-pc (orig r3327):  jesse | 2005-07-04 02:10:46 +0400
  r22142@hualien:  jesse | 2005-07-03 17:49:50 -0400
   r21959@hualien:  jesse | 2005-06-27 14:15:10 -0400
   *  Moved "Owner" to right after queue in the list of basics to edit.
  
 
 r2984@cubic-pc (orig r3328):  jesse | 2005-07-04 02:11:05 +0400
  r22143@hualien:  jesse | 2005-07-03 17:49:55 -0400
   r22037@hualien:  jesse | 2005-07-01 19:25:05 -0400
    r22031@hualien (orig r3273):  alexmv | 2005-07-01 00:46:49 -0400
     r4557@zoq-fot-pik:  chmrr | 2005-06-30 20:44:33 -0400
      * Fractional units
    
   
  
 
 r2985@cubic-pc (orig r3329):  jesse | 2005-07-04 02:11:22 +0400
  r22144@hualien:  jesse | 2005-07-03 17:50:04 -0400
   r22096@hualien:  jesse | 2005-07-03 16:25:14 -0400
    r20757@hualien:  jesse | 2005-06-17 19:34:37 -0400
     * Updated mailgateway documentation
   
  
 
 r2986@cubic-pc (orig r3330):  jesse | 2005-07-04 02:11:35 +0400
  r22145@hualien:  jesse | 2005-07-03 17:50:08 -0400
   r22097@hualien:  jesse | 2005-07-03 16:25:18 -0400
    r21520@hualien:  jesse | 2005-06-23 19:49:06 -0400
    * Test suite improvements and cleanups
   
  
 
 r2987@cubic-pc (orig r3331):  jesse | 2005-07-04 02:11:45 +0400
  r22146@hualien:  jesse | 2005-07-03 17:50:13 -0400
   r22098@hualien:  jesse | 2005-07-03 16:26:12 -0400
    r21521@hualien:  jesse | 2005-06-23 19:49:30 -0400
    * Custom field edit widget bullet proofing
   
  
 
 r2988@cubic-pc (orig r3332):  jesse | 2005-07-04 02:11:55 +0400
  r22147@hualien:  jesse | 2005-07-03 17:50:17 -0400
   r22099@hualien:  jesse | 2005-07-03 16:26:16 -0400
    r21522@hualien:  jesse | 2005-06-23 19:49:51 -0400
    * Some warning avoidance in Action/SendEmail.pm
   
  
 
 r2989@cubic-pc (orig r3333):  jesse | 2005-07-04 02:12:12 +0400
  r22148@hualien:  jesse | 2005-07-03 17:50:22 -0400
   r22100@hualien:  jesse | 2005-07-03 16:26:21 -0400
    r21656@hualien:  jesse | 2005-06-24 13:53:26 -0400
     * New Indonesian translation from James Briggs
   
  
 
 r2990@cubic-pc (orig r3334):  jesse | 2005-07-04 02:12:31 +0400
  r22150@hualien:  jesse | 2005-07-03 17:50:31 -0400
   r22102@hualien:  jesse | 2005-07-03 16:26:30 -0400
    r21954@hualien:  jesse | 2005-06-27 11:40:16 -0400
     r20564@hualien (orig r3181):  alexmv | 2005-06-15 17:52:14 -0400
     
     r20798@hualien (orig r3224):  kevinr | 2005-06-18 22:26:40 -0400
      r4487@sad-girl-in-snow:  kevinr | 2005-06-18 21:23:04 -0500
      * Fixed a typo
      * now use $RT::WebAddress because it's a good idea
      * now localize 'Scrip' and number, instead of only the former
     
     r20799@hualien (orig r3225):  kevinr | 2005-06-18 22:26:51 -0400
     
     r20800@hualien (orig r3226):  kevinr | 2005-06-18 22:37:51 -0400
      r4496@sad-girl-in-snow:  kevinr | 2005-06-18 21:37:27 -0500
      * Fixes possible cross-site scripting bug.
     
     r20801@hualien (orig r3227):  jesse | 2005-06-18 23:47:04 -0400
     * Fixed typo in kevin's fix (/l is a filter. it needs the |)
     
     r21566@hualien (orig r3240):  alexmv | 2005-06-23 16:57:51 -0400
      r4466@zoq-fot-pik:  chmrr | 2005-06-23 16:58:19 -0400
       * Document Set() a little better
     
     r21567@hualien (orig r3241):  alexmv | 2005-06-23 16:57:54 -0400
      r4467@zoq-fot-pik:  chmrr | 2005-06-23 16:58:52 -0400
       * Doc that CanonicalizeEmailAddress may be called as static
     
     r21568@hualien (orig r3242):  alexmv | 2005-06-23 16:58:02 -0400
      r4468@zoq-fot-pik:  chmrr | 2005-06-23 16:59:51 -0400
       * Remove possible closure issue (my $foo = .... if $bar;)
     
     r21569@hualien (orig r3243):  alexmv | 2005-06-23 16:58:14 -0400
      r4469@zoq-fot-pik:  chmrr | 2005-06-23 17:00:09 -0400
       * Escape queue name properly
     
     r21570@hualien (orig r3244):  alexmv | 2005-06-23 17:37:31 -0400
      r4481@zoq-fot-pik:  chmrr | 2005-06-23 17:39:53 -0400
       * Actually fix the escaping bug
     
     r21571@hualien (orig r3245):  alexmv | 2005-06-23 17:43:57 -0400
      r4483@zoq-fot-pik:  chmrr | 2005-06-23 17:46:18 -0400
      RT-Ticket: 6782
      RT-Update: correspond
      RT-Status: resolved
      
       * Fix perl invocation; thanks to Kim Toms <kim.toms@gmail.com>
     
     r21572@hualien (orig r3246):  alexmv | 2005-06-23 17:48:26 -0400
      r4485@zoq-fot-pik:  chmrr | 2005-06-23 17:50:48 -0400
      RT-Ticket: 6781
      RT-Update: correspond
      RT-Status: resolved
      
       * _AddWatcher takes Email, not Person; thanks to Andreas Jakum <ajakum@inode.at>
     
    
   
  
 
 r2991@cubic-pc (orig r3335):  jesse | 2005-07-04 02:12:44 +0400
  r22151@hualien:  jesse | 2005-07-03 17:50:36 -0400
   r22103@hualien:  jesse | 2005-07-03 16:27:27 -0400
    r22038@hualien:  jesse | 2005-07-01 19:28:24 -0400
     r21984@hualien (orig r3261):  kevinr | 2005-06-28 18:47:38 -0400
      r5752@sad-girl-in-snow:  kevinr | 2005-06-28 17:45:36 -0500
      RT-Ticket: 6745
      RT-Status: resolved
      RT-Update: correspond
      
      Applied Seph's patch to add a BeforeShowHistory callback.
     
     r22028@hualien (orig r3270):  alexmv | 2005-07-01 00:32:06 -0400
      r4555@zoq-fot-pik:  chmrr | 2005-06-30 17:36:05 -0400
       * WikiText updates to auto-link http:// style links
     
     r22029@hualien (orig r3271):  alexmv | 2005-07-01 00:32:10 -0400
      r4556@zoq-fot-pik:  chmrr | 2005-06-30 17:58:57 -0400
       * Don't assume link is happy on creation
     
     r22030@hualien (orig r3272):  alexmv | 2005-07-01 00:32:15 -0400
     
    
   
  
 
 r2992@cubic-pc (orig r3336):  jesse | 2005-07-04 02:12:59 +0400
  r22152@hualien:  jesse | 2005-07-03 17:50:41 -0400
   r22104@hualien:  jesse | 2005-07-03 16:28:54 -0400
    r22039@hualien:  jesse | 2005-07-01 21:05:38 -0400
    * Refactoring of how RT::Record deals with custom fields for greater consistency
    
   
  
 
 r2993@cubic-pc (orig r3337):  jesse | 2005-07-04 02:13:11 +0400
  r22153@hualien:  jesse | 2005-07-03 17:50:46 -0400
   r22105@hualien:  jesse | 2005-07-03 16:28:58 -0400
    r22091@hualien:  jesse | 2005-07-03 16:13:10 -0400
     * Disabling a new feature that might be dangerous; test fixes; cf fixes
   
  
 
 r2994@cubic-pc (orig r3338):  jesse | 2005-07-04 02:13:21 +0400
  r22154@hualien:  jesse | 2005-07-03 17:50:55 -0400
   r22109@hualien:  jesse | 2005-07-03 17:06:06 -0400
   * Test fixups
  
 
 r2995@cubic-pc (orig r3339):  jesse | 2005-07-04 02:13:33 +0400
 
 r2996@cubic-pc (orig r3418):  autrijus | 2005-07-08 03:56:54 +0400
 * Fix misvalidation for single input fields.
 r2997@cubic-pc (orig r3421):  autrijus | 2005-07-08 05:37:26 +0400
 * When deleting the value of a single-value field, we need to validate that
   empty string is a valid value for it.
 * Also adds regression tests for this.
 r2998@cubic-pc (orig r3467):  autrijus | 2005-07-13 07:34:47 +0400
 * invalid CFs in ticket creation times now warns.
 r2999@cubic-pc (orig r3468):  glasser | 2005-07-13 21:18:09 +0400
 Add Calendar::Simple to dependencies. (thanks to Kevin Falcone)
 r3000@cubic-pc (orig r3481):  trs | 2005-07-16 23:14:14 +0400
  r5007@wintermute:  tom | 2005-07-16 15:11:39 -0400
  RT-Ticket: 6846
  RT-Status: resolved
  RT-Update: correspond
  
  Applied Kevin Falcone's patch to fix the calendar display.
 
 r3001@cubic-pc (orig r3673):  jesse | 2005-08-19 00:29:25 +0400
  r13195@hualien:  jesse | 2005-08-18 14:19:57 -0400
   r4892@hualien:  jesse | 2005-07-18 11:47:55 -0400
   
  
 
 r3002@cubic-pc (orig r3674):  jesse | 2005-08-19 00:29:51 +0400
  r13196@hualien:  jesse | 2005-08-18 14:23:48 -0400
   r4894@hualien:  jesse | 2005-07-18 13:44:44 -0400
   * releng.cnf bump to rc1
  
 
 r3003@cubic-pc (orig r3675):  jesse | 2005-08-19 00:30:13 +0400
  r13197@hualien:  jesse | 2005-08-18 14:23:55 -0400
   r7152@hualien:  jesse | 2005-07-30 11:06:46 -0400
   * German and Danish translation header fixes. 
   besides that just a message catalog regenration
   
  
 
 r3004@cubic-pc (orig r3676):  jesse | 2005-08-19 00:30:55 +0400
  r13198@hualien:  jesse | 2005-08-18 14:26:49 -0400
   r7153@hualien:  jesse | 2005-07-30 11:07:37 -0400
   3.4.3rc2
  
 
 r3005@cubic-pc (orig r3677):  jesse | 2005-08-19 00:31:09 +0400
  r13199@hualien:  jesse | 2005-08-18 14:26:56 -0400
   r7158@hualien:  jesse | 2005-07-30 11:08:03 -0400
    r4909@hualien (orig r3501):  alexmv | 2005-07-18 15:00:38 -0400
     r5198@zoq-fot-pik:  chmrr | 2005-07-18 14:59:07 -0400
      * Fix TransactionBatch / DESTROY bug (backport from QUEBEC)
    
    r7124@hualien (orig r3546):  kevinr | 2005-07-28 14:51:34 -0400
     r6713@SAD-GIRL-IN-SNOW:  kevinr | 2005-07-28 14:50:47 -0400
     RT-Ticket: 6892
     RT-Status: resolved
     RT-Update: correspond
     
     * Applied patch from Hsin-Chan Chien to fix a bug with attachment uploading
     in SelfService mode.
    
   
  
 
 r3006@cubic-pc (orig r3678):  jesse | 2005-08-19 00:31:32 +0400
  r13200@hualien:  jesse | 2005-08-18 14:27:07 -0400
   r7398@hualien:  jesse | 2005-08-05 15:39:10 -0400
    r7317@hualien (orig r3576):  robert | 2005-08-02 00:23:36 -0400
     r3582@woof:  rspier | 2005-08-01 21:20:12 -0700
     allow arbitrary https?: urls in the menus
    
    r7333@hualien (orig r3579):  kevinr | 2005-08-02 14:22:27 -0400
     r6837@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-02 14:20:51 -0400
     RT-Ticket: 6897
     RT-Status: resolved
     RT-Update: correspond
     
     * Incorporated the updated Italian translation from Angelo Turetta
    
    r7335@hualien (orig r3581):  glasser | 2005-08-02 15:08:03 -0400
     r36571@tin-foil:  glasser | 2005-07-08 16:53:26 -0400
     Fix from Tom Yu; if the Handle will give us a server-side function to lowercase
     values, use that.
    
    r7336@hualien (orig r3582):  glasser | 2005-08-02 15:10:05 -0400
     r38371@tin-foil:  glasser | 2005-08-02 15:05:25 -0400
     RT-Ticket: 6899
     RT-Status: resolved
     RT-Update: correspond
     
     When limiting based on a whole date, make sure you're not being pushed to 
     another if you happen to be east of GMT.
     
     Patch by Ruslan Zakirov, problem found by Olivier Horec.
    
    r7366@hualien (orig r3585):  kevinr | 2005-08-02 20:18:54 -0400
     r6849@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-02 20:17:38 -0400
     * POD formatting fixes
    
    r7370@hualien (orig r3588):  kevinr | 2005-08-03 01:20:35 -0400
     r6868@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-03 01:19:47 -0400
     * Fixed an outdated bit of POD
    
    r7371@hualien (orig r3589):  kevinr | 2005-08-03 01:51:55 -0400
     r6872@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-03 01:51:33 -0400
     * More minor perldoc cleanup
    
   
  
 
 r3007@cubic-pc (orig r3679):  jesse | 2005-08-19 00:32:07 +0400
  r13201@hualien:  jesse | 2005-08-18 14:27:20 -0400
   r7399@hualien:  jesse | 2005-08-05 19:16:58 -0400
   * Cleaned up searching by ticket or txn date.
  
 
 r3008@cubic-pc (orig r3680):  jesse | 2005-08-19 00:32:32 +0400
  r13202@hualien:  jesse | 2005-08-18 14:27:29 -0400
   r7634@hualien:  jesse | 2005-08-10 15:25:31 -0400
   * This is 3.4.3
   
  
 
 r3009@cubic-pc (orig r3681):  jesse | 2005-08-19 00:32:53 +0400
  r13203@hualien:  jesse | 2005-08-18 14:27:36 -0400
   r12938@hualien:  jesse | 2005-08-11 13:46:14 -0400
   * French localization had lost its header
   
  
 
 r3010@cubic-pc (orig r3682):  jesse | 2005-08-19 00:33:18 +0400
  r13204@hualien:  jesse | 2005-08-18 14:27:47 -0400
   r13154@hualien:  jesse | 2005-08-17 19:14:26 -0400
   * Fixes to standalone webserver for mason 1.30
  
 
 r3011@cubic-pc (orig r3683):  jesse | 2005-08-19 00:33:46 +0400
  r13205@hualien:  jesse | 2005-08-18 14:27:56 -0400
   r13155@hualien:  jesse | 2005-08-17 19:15:11 -0400
   * Note dependency on a current HSSM
  
 
 r3012@cubic-pc (orig r3684):  jesse | 2005-08-19 00:34:26 +0400
  r13208@hualien:  jesse | 2005-08-18 14:39:15 -0400
   r7377@hualien:  jesse | 2005-08-03 15:11:21 -0400
   
  
 
 r3013@cubic-pc (orig r3772):  jesse | 2005-09-02 19:52:23 +0400
  r14057@hualien:  jesse | 2005-08-30 05:48:48 -0400
   r13699@hualien:  jesse | 2005-08-22 14:46:07 -0400
    r13255@hualien (orig r3700):  trs | 2005-08-18 22:39:02 -0400
     r6002@wintermute:  tom | 2005-08-18 22:37:53 -0400
     Fixed typo
    
   
  
 
 r3014@cubic-pc (orig r3773):  jesse | 2005-09-02 19:53:08 +0400
  r14058@hualien:  jesse | 2005-08-30 05:49:00 -0400
   r13720@hualien:  jesse | 2005-08-23 17:54:29 -0400
   * Bugfixes to the German translation file
  
 
 r3015@cubic-pc (orig r3774):  jesse | 2005-09-02 19:53:49 +0400
  r14059@hualien:  jesse | 2005-08-30 05:49:11 -0400
   r13723@hualien:  jesse | 2005-08-23 17:55:47 -0400
    r13701@hualien (orig r3706):  glasser | 2005-08-22 15:55:57 -0400
     r36571@tin-foil:  glasser | 2005-07-08 16:53:26 -0400
     Fix from Tom Yu; if the Handle will give us a server-side function to lowercase
     values, use that.
    
    r13721@hualien (orig r3707):  glasser | 2005-08-22 16:04:25 -0400
     r38371@tin-foil:  glasser | 2005-08-02 15:05:25 -0400
     RT-Ticket: 6899
     RT-Status: resolved
     RT-Update: correspond
     
     When limiting based on a whole date, make sure you're not being pushed to 
     another if you happen to be east of GMT.
     
     Patch by Ruslan Zakirov, problem found by Olivier Horec.
    
    r13722@hualien (orig r3708):  glasser | 2005-08-22 16:05:46 -0400
     r40177@tin-foil:  glasser | 2005-08-18 18:49:13 -0400
     Updates to the standalone server to not dupe as much code, but may be rolled back if HSSM needs to be.
    
   
  
 
 r3016@cubic-pc (orig r3775):  jesse | 2005-09-02 19:54:25 +0400
  r14060@hualien:  jesse | 2005-08-30 05:49:21 -0400
   r13725@hualien:  jesse | 2005-08-23 22:10:42 -0400
   * Added support for mod_perl 2.0 
  
 
 r3017@cubic-pc (orig r3776):  jesse | 2005-09-02 19:55:10 +0400
  r14061@hualien:  jesse | 2005-08-30 05:51:23 -0400
   r13728@hualien:  jesse | 2005-08-23 22:37:12 -0400
   * Bumped to 3.4.4pre1
  
 
 r3018@cubic-pc (orig r3777):  jesse | 2005-09-02 19:55:53 +0400
  r14062@hualien:  jesse | 2005-08-30 05:51:32 -0400
   r13732@hualien:  jesse | 2005-08-23 23:38:28 -0400
   * Applied tom's callbacks fix
   
  
 
 r3019@cubic-pc (orig r3778):  jesse | 2005-09-02 19:56:30 +0400
  r14063@hualien:  jesse | 2005-08-30 05:51:41 -0400
   r13733@hualien:  jesse | 2005-08-23 23:38:39 -0400
   * bumped to pre2
  
 
 r3020@cubic-pc (orig r3779):  jesse | 2005-09-02 19:57:07 +0400
  r14064@hualien:  jesse | 2005-08-30 05:51:50 -0400
   r13743@hualien:  jesse | 2005-08-24 02:00:08 -0400
   RT-Ticket: 6957
   RT-Status: resolved
   RT-Update: correspond
   
   * Applied a patch from ams to restore his byline to bin/rt
  
 
 r3021@cubic-pc (orig r3780):  jesse | 2005-09-02 19:57:46 +0400
  r14065@hualien:  jesse | 2005-08-30 05:51:59 -0400
   r13753@hualien:  jesse | 2005-08-25 14:53:06 -0400
   * Removing warnings about mod_perl2
  
 
 r3022@cubic-pc (orig r3781):  jesse | 2005-09-02 19:58:20 +0400
  r14066@hualien:  jesse | 2005-08-30 05:52:07 -0400
   r13754@hualien:  jesse | 2005-08-25 14:55:32 -0400
   * EquivObjects support for acl queries, from Todd Chapman
   
  
 
 r3023@cubic-pc (orig r3782):  jesse | 2005-09-02 19:59:02 +0400
  r14067@hualien:  jesse | 2005-08-30 05:52:15 -0400
   r13757@hualien:  jesse | 2005-08-25 15:23:18 -0400
   RT-Ticket: 6934
   RT-Status: resolved
   RT-Update: correspond
   
   * A couple of patches to improve how localization extraction works from jfenal
   
  
 
 r3024@cubic-pc (orig r3783):  jesse | 2005-09-02 19:59:38 +0400
  r14068@hualien:  jesse | 2005-08-30 05:52:24 -0400
   r13759@hualien:  jesse | 2005-08-25 15:31:56 -0400
   * Fixes to IsRTAddress processing. Spotted by Travis Campbell.
   
  
 
 r3025@cubic-pc (orig r3784):  jesse | 2005-09-02 20:00:18 +0400
  r14069@hualien:  jesse | 2005-08-30 05:52:32 -0400
   r13760@hualien:  jesse | 2005-08-25 15:51:57 -0400
   RT-Ticket: 6855
   RT-Status: resolved
   RT-Update: correspond
   
   * Applied a patch from Andreas Jakum to improve RT::Ticket->Import's handling
     of watchers
   
  
 
 r3026@cubic-pc (orig r3785):  jesse | 2005-09-02 20:00:55 +0400
  r14070@hualien:  jesse | 2005-08-30 05:52:43 -0400
   r13763@hualien:  jesse | 2005-08-25 16:04:29 -0400
   * 3.4.4rc3
  
 
 r3027@cubic-pc (orig r3786):  jesse | 2005-09-02 20:01:35 +0400
  r14071@hualien:  jesse | 2005-08-30 05:52:51 -0400
   r13804@hualien:  jesse | 2005-08-27 21:25:50 -0400
   * Updated French translation from jfenal
   
  
 
 r3028@cubic-pc (orig r3787):  jesse | 2005-09-02 20:02:15 +0400
  r14072@hualien:  jesse | 2005-08-30 05:54:33 -0400
   r13812@hualien:  jesse | 2005-08-28 15:43:29 -0400
   * bumping to 3.4.4
  
 
 r3029@cubic-pc (orig r3788):  jesse | 2005-09-02 20:02:55 +0400
  r14073@hualien:  jesse | 2005-08-30 05:55:38 -0400
   r13543@hualien:  jesse | 2005-08-19 10:40:13 -0400
    r7386@hualien (orig r3596):  alexmv | 2005-08-03 17:48:18 -0400
     r5615@zoq-fot-pik:  chmrr | 2005-08-03 17:46:45 -0400
      * Cutsom field values in RT::Tickets are always on RT::Ticket objects
      * Remove CSS that was causing <span class="label"> to be small, unused CSS
    
   
  
 
 r3030@cubic-pc (orig r3789):  jesse | 2005-09-02 20:04:12 +0400
  r14074@hualien:  jesse | 2005-08-30 05:55:48 -0400
   r13544@hualien:  jesse | 2005-08-19 10:40:27 -0400
    r7387@hualien (orig r3597):  alexmv | 2005-08-03 18:08:02 -0400
     r5627@zoq-fot-pik:  chmrr | 2005-08-03 18:00:41 -0400
      * Attempt to fix WebExternalAuth problem with images
    
   
  
 
 r3031@cubic-pc (orig r3790):  jesse | 2005-09-02 20:04:52 +0400
  r14075@hualien:  jesse | 2005-08-30 05:56:28 -0400
   r13545@hualien:  jesse | 2005-08-19 10:40:41 -0400
    r7388@hualien (orig r3598):  alexmv | 2005-08-03 18:39:17 -0400
     r5629@zoq-fot-pik:  chmrr | 2005-08-03 18:37:50 -0400
      * Show time in hours or days when needed
    
   
  
 
 r3032@cubic-pc (orig r3791):  jesse | 2005-09-02 20:05:32 +0400
  r14076@hualien:  jesse | 2005-08-30 05:56:38 -0400
   r13546@hualien:  jesse | 2005-08-19 10:40:57 -0400
    r7391@hualien (orig r3601):  alexmv | 2005-08-04 13:41:11 -0400
     r5643@zoq-fot-pik:  chmrr | 2005-08-04 13:38:31 -0400
      * Don't display "days" -- often conntes work days, not 24-hour periods
    
   
  
 
 r3033@cubic-pc (orig r3792):  jesse | 2005-09-02 20:06:12 +0400
  r14077@hualien:  jesse | 2005-08-30 05:56:46 -0400
   r13547@hualien:  jesse | 2005-08-19 10:41:11 -0400
    r7392@hualien (orig r3602):  alexmv | 2005-08-04 13:41:33 -0400
     r5644@zoq-fot-pik:  chmrr | 2005-08-04 13:39:54 -0400
      * Replace %FIELDS (which has pseudohash meaning) with %FIELD_METADATA
      * Make join for sorting watchers be a left join
    
   
  
 
 r3034@cubic-pc (orig r3793):  jesse | 2005-09-02 20:06:53 +0400
  r14078@hualien:  jesse | 2005-08-30 05:56:57 -0400
   r13548@hualien:  jesse | 2005-08-19 10:41:25 -0400
    r7393@hualien (orig r3603):  alexmv | 2005-08-04 16:11:05 -0400
     r5647@zoq-fot-pik:  chmrr | 2005-08-04 16:04:03 -0400
      * Add $RT::WikiImplicitLinks option (defaults to false)
      * Support for Wiki links doing useful things
    
   
  
 
 r3035@cubic-pc (orig r3794):  jesse | 2005-09-02 20:07:35 +0400
  r14079@hualien:  jesse | 2005-08-30 05:57:09 -0400
   r13549@hualien:  jesse | 2005-08-19 10:41:40 -0400
    r7397@hualien (orig r3607):  alexmv | 2005-08-05 14:59:21 -0400
     r5653@zoq-fot-pik:  chmrr | 2005-08-05 14:57:28 -0400
      * Display "save" even if search isn't dirty (can be a rename)
    
   
  
 
 r3036@cubic-pc (orig r3795):  jesse | 2005-09-02 20:08:16 +0400
  r14080@hualien:  jesse | 2005-08-30 05:57:19 -0400
   r13550@hualien:  jesse | 2005-08-19 10:41:53 -0400
    r12931@hualien (orig r3634):  alexmv | 2005-08-10 20:28:31 -0400
     r5784@zoq-fot-pik:  chmrr | 2005-08-10 20:29:42 -0400
      * Fix custom fields formatting in IE
    
   
  
 
 r3037@cubic-pc (orig r3796):  jesse | 2005-09-02 20:09:02 +0400
  r14081@hualien:  jesse | 2005-08-30 05:57:29 -0400
   r13551@hualien:  jesse | 2005-08-19 10:42:07 -0400
    r12965@hualien (orig r3648):  alexmv | 2005-08-12 16:30:49 -0400
     r5826@zoq-fot-pik:  chmrr | 2005-08-12 16:29:24 -0400
      * r3602 didn't go far enough; be happy we are using DBIx::SB::Unique,
        because we got us a lot of possible duplice rows with all of these
        left joins.
    
   
  
 
 r3038@cubic-pc (orig r3797):  jesse | 2005-09-02 20:09:52 +0400
  r14082@hualien:  jesse | 2005-08-30 05:57:40 -0400
   r13552@hualien:  jesse | 2005-08-19 10:42:22 -0400
    r12966@hualien (orig r3649):  alexmv | 2005-08-12 16:30:55 -0400
     r5827@zoq-fot-pik:  chmrr | 2005-08-12 16:33:16 -0400
      * Revert r3597
    
   
  
 
 r3039@cubic-pc (orig r3798):  jesse | 2005-09-02 20:10:33 +0400
  r14083@hualien:  jesse | 2005-08-30 05:57:49 -0400
   r13553@hualien:  jesse | 2005-08-19 10:42:36 -0400
    r13127@hualien (orig r3658):  alexmv | 2005-08-15 18:38:56 -0400
     r5873@zoq-fot-pik:  chmrr | 2005-08-15 18:42:04 -0400
      * Require that the object not only be defined but also valid, to pull
     values from it
    
   
  
 
 r3040@cubic-pc (orig r3799):  jesse | 2005-09-02 20:11:16 +0400
  r14084@hualien:  jesse | 2005-08-30 05:57:58 -0400
   r13741@hualien:  jesse | 2005-08-24 01:28:59 -0400
   * Added support for named custom fields in templates
   
  
 
 r3041@cubic-pc (orig r3800):  jesse | 2005-09-02 20:12:05 +0400
  r15105@hualien:  jesse | 2005-09-02 11:11:38 -0400
  Merge forward from RT 3.4.4 
   
   
   r14193@hualien:  jesse | 2005-09-01 13:40:23 -0400
    r4892@hualien:  jesse | 2005-07-18 11:47:55 -0400
    
   
   r14194@hualien:  jesse | 2005-09-01 13:41:24 -0400
    r4894@hualien:  jesse | 2005-07-18 13:44:44 -0400
    * releng.cnf bump to rc1
   
   r14195@hualien:  jesse | 2005-09-01 13:41:32 -0400
    r7152@hualien:  jesse | 2005-07-30 11:06:46 -0400
    * German and Danish translation header fixes. 
    besides that just a message catalog regenration
    
   
   r14196@hualien:  jesse | 2005-09-01 13:42:01 -0400
    r7153@hualien:  jesse | 2005-07-30 11:07:37 -0400
    3.4.3rc2
   
   r14197@hualien:  jesse | 2005-09-01 13:42:09 -0400
    r7158@hualien:  jesse | 2005-07-30 11:08:03 -0400
     r4909@hualien (orig r3501):  alexmv | 2005-07-18 15:00:38 -0400
      r5198@zoq-fot-pik:  chmrr | 2005-07-18 14:59:07 -0400
       * Fix TransactionBatch / DESTROY bug (backport from QUEBEC)
     
     r7124@hualien (orig r3546):  kevinr | 2005-07-28 14:51:34 -0400
      r6713@SAD-GIRL-IN-SNOW:  kevinr | 2005-07-28 14:50:47 -0400
      RT-Ticket: 6892
      RT-Status: resolved
      RT-Update: correspond
      
      * Applied patch from Hsin-Chan Chien to fix a bug with attachment uploading
      in SelfService mode.
     
    
   
   r14198@hualien:  jesse | 2005-09-01 13:42:19 -0400
    r7398@hualien:  jesse | 2005-08-05 15:39:10 -0400
     r7317@hualien (orig r3576):  robert | 2005-08-02 00:23:36 -0400
      r3582@woof:  rspier | 2005-08-01 21:20:12 -0700
      allow arbitrary https?: urls in the menus
     
     r7333@hualien (orig r3579):  kevinr | 2005-08-02 14:22:27 -0400
      r6837@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-02 14:20:51 -0400
      RT-Ticket: 6897
      RT-Status: resolved
      RT-Update: correspond
      
      * Incorporated the updated Italian translation from Angelo Turetta
     
     r7335@hualien (orig r3581):  glasser | 2005-08-02 15:08:03 -0400
      r36571@tin-foil:  glasser | 2005-07-08 16:53:26 -0400
      Fix from Tom Yu; if the Handle will give us a server-side function to lowercase
      values, use that.
     
     r7336@hualien (orig r3582):  glasser | 2005-08-02 15:10:05 -0400
      r38371@tin-foil:  glasser | 2005-08-02 15:05:25 -0400
      RT-Ticket: 6899
      RT-Status: resolved
      RT-Update: correspond
      
      When limiting based on a whole date, make sure you're not being pushed to 
      another if you happen to be east of GMT.
      
      Patch by Ruslan Zakirov, problem found by Olivier Horec.
     
     r7366@hualien (orig r3585):  kevinr | 2005-08-02 20:18:54 -0400
      r6849@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-02 20:17:38 -0400
      * POD formatting fixes
     
     r7370@hualien (orig r3588):  kevinr | 2005-08-03 01:20:35 -0400
      r6868@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-03 01:19:47 -0400
      * Fixed an outdated bit of POD
     
     r7371@hualien (orig r3589):  kevinr | 2005-08-03 01:51:55 -0400
      r6872@SAD-GIRL-IN-SNOW:  kevinr | 2005-08-03 01:51:33 -0400
      * More minor perldoc cleanup
     
    
   
   r14199@hualien:  jesse | 2005-09-01 13:42:33 -0400
    r7399@hualien:  jesse | 2005-08-05 19:16:58 -0400
    * Cleaned up searching by ticket or txn date.
   
   r14200@hualien:  jesse | 2005-09-01 13:42:43 -0400
    r7634@hualien:  jesse | 2005-08-10 15:25:31 -0400
    * This is 3.4.3
    
   
   r14201@hualien:  jesse | 2005-09-01 13:42:52 -0400
    r12938@hualien:  jesse | 2005-08-11 13:46:14 -0400
    * French localization had lost its header
    
   
   r14202@hualien:  jesse | 2005-09-01 13:43:02 -0400
    r13154@hualien:  jesse | 2005-08-17 19:14:26 -0400
    * Fixes to standalone webserver for mason 1.30
   
   r14203@hualien:  jesse | 2005-09-01 13:43:10 -0400
    r13155@hualien:  jesse | 2005-08-17 19:15:11 -0400
    * Note dependency on a current HSSM
   
   r14204@hualien:  jesse | 2005-09-01 13:43:19 -0400
    r13164@hualien:  jesse | 2005-08-17 22:03:19 -0400
     r13131@hualien (orig r3662):  alexmv | 2005-08-17 13:29:25 -0400
      r5914@zoq-fot-pik:  chmrr | 2005-08-17 13:32:00 -0400
       * We love escaping!  We need to escape quotes and slashes in
      TicketSQL, then URI escape, then HTML escape.  And the query comes
      from the TicketSQL-escaped one, not the URI and HTML-escaped one.  Oh,
      yeah, and don't forget to turn off the automatic HTML escaping that
      Mason does, or it'll be TicketSQL-HTML-URI-HTML escaped, which is
      Right Out.
     
     r13132@hualien (orig r3663):  alexmv | 2005-08-17 13:29:32 -0400
     
     r13163@hualien (orig r3666):  alexmv | 2005-08-17 13:41:38 -0400
      r5920@zoq-fot-pik:  chmrr | 2005-08-17 13:44:59 -0400
       * My memory was faulty; HTML escaping is not needed
     
    
   
   r14205@hualien:  jesse | 2005-09-01 13:46:31 -0400
    r13699@hualien:  jesse | 2005-08-22 14:46:07 -0400
     r13255@hualien (orig r3700):  trs | 2005-08-18 22:39:02 -0400
      r6002@wintermute:  tom | 2005-08-18 22:37:53 -0400
      Fixed typo
     
    
   
   r14206@hualien:  jesse | 2005-09-01 13:46:41 -0400
    r13720@hualien:  jesse | 2005-08-23 17:54:29 -0400
    * Bugfixes to the German translation file
   
   r14207@hualien:  jesse | 2005-09-01 13:46:51 -0400
    r13723@hualien:  jesse | 2005-08-23 17:55:47 -0400
     r13701@hualien (orig r3706):  glasser | 2005-08-22 15:55:57 -0400
      r36571@tin-foil:  glasser | 2005-07-08 16:53:26 -0400
      Fix from Tom Yu; if the Handle will give us a server-side function to lowercase
      values, use that.
     
     r13721@hualien (orig r3707):  glasser | 2005-08-22 16:04:25 -0400
      r38371@tin-foil:  glasser | 2005-08-02 15:05:25 -0400
      RT-Ticket: 6899
      RT-Status: resolved
      RT-Update: correspond
      
      When limiting based on a whole date, make sure you're not being pushed to 
      another if you happen to be east of GMT.
      
      Patch by Ruslan Zakirov, problem found by Olivier Horec.
     
     r13722@hualien (orig r3708):  glasser | 2005-08-22 16:05:46 -0400
      r40177@tin-foil:  glasser | 2005-08-18 18:49:13 -0400
      Updates to the standalone server to not dupe as much code, but may be rolled back if HSSM needs to be.
     
    
   
   r14208@hualien:  jesse | 2005-09-01 13:47:00 -0400
    r13725@hualien:  jesse | 2005-08-23 22:10:42 -0400
    * Added support for mod_perl 2.0 
   
   r14209@hualien:  jesse | 2005-09-01 13:47:09 -0400
    r13728@hualien:  jesse | 2005-08-23 22:37:12 -0400
    * Bumped to 3.4.4pre1
   
   r14210@hualien:  jesse | 2005-09-01 13:47:17 -0400
    r13732@hualien:  jesse | 2005-08-23 23:38:28 -0400
    * Applied tom's callbacks fix
    
   
   r14211@hualien:  jesse | 2005-09-01 13:47:26 -0400
    r13733@hualien:  jesse | 2005-08-23 23:38:39 -0400
    * bumped to pre2
   
   r14212@hualien:  jesse | 2005-09-01 13:47:35 -0400
    r13743@hualien:  jesse | 2005-08-24 02:00:08 -0400
    RT-Ticket: 6957
    RT-Status: resolved
    RT-Update: correspond
    
    * Applied a patch from ams to restore his byline to bin/rt
   
   r14213@hualien:  jesse | 2005-09-01 13:47:43 -0400
    r13753@hualien:  jesse | 2005-08-25 14:53:06 -0400
    * Removing warnings about mod_perl2
   
   r14214@hualien:  jesse | 2005-09-01 13:47:53 -0400
    r13754@hualien:  jesse | 2005-08-25 14:55:32 -0400
    * EquivObjects support for acl queries, from Todd Chapman
    
   
   r14215@hualien:  jesse | 2005-09-01 13:48:01 -0400
    r13757@hualien:  jesse | 2005-08-25 15:23:18 -0400
    RT-Ticket: 6934
    RT-Status: resolved
    RT-Update: correspond
    
    * A couple of patches to improve how localization extraction works from jfenal
    
   
   r14216@hualien:  jesse | 2005-09-01 13:48:11 -0400
    r13759@hualien:  jesse | 2005-08-25 15:31:56 -0400
    * Fixes to IsRTAddress processing. Spotted by Travis Campbell.
    
   
   r14217@hualien:  jesse | 2005-09-01 13:48:19 -0400
    r13760@hualien:  jesse | 2005-08-25 15:51:57 -0400
    RT-Ticket: 6855
    RT-Status: resolved
    RT-Update: correspond
    
    * Applied a patch from Andreas Jakum to improve RT::Ticket->Import's handling
      of watchers
    
   
   r14218@hualien:  jesse | 2005-09-01 13:48:28 -0400
    r13763@hualien:  jesse | 2005-08-25 16:04:29 -0400
    * 3.4.4rc3
   
   r14219@hualien:  jesse | 2005-09-01 13:48:37 -0400
    r13804@hualien:  jesse | 2005-08-27 21:25:50 -0400
    * Updated French translation from jfenal
    
   
   r14220@hualien:  jesse | 2005-09-01 13:48:47 -0400
    r13812@hualien:  jesse | 2005-08-28 15:43:29 -0400
    * bumping to 3.4.4
   
   r14221@hualien:  jesse | 2005-09-01 13:48:56 -0400
    r14192@hualien:  jesse | 2005-09-01 13:37:34 -0400
     r14130@hualien (orig r3739):  robert | 2005-08-31 16:46:16 -0400
      r3748@woof:  rspier | 2005-08-31 13:41:53 -0700
      Check for invalid character (-) in mysql database names and prevent RT from allowing it to be configured.
     
    
   
  
 
 r3042@cubic-pc (orig r3913):  jesse | 2005-10-05 22:48:43 +0400
  r17065@hualien:  jesse | 2005-10-05 10:39:00 -0400
   r15942@hualien:  jesse | 2005-09-21 23:48:22 -0400
   * CreateTickets now handles custom fields
  
 
 r3043@cubic-pc (orig r3914):  jesse | 2005-10-05 22:48:55 +0400
  r17066@hualien:  jesse | 2005-10-05 10:39:06 -0400
   r15969@hualien:  jesse | 2005-09-23 15:36:13 -0400
   * Algorithm for picking transaction content didn't have a reasonable enough fallback case.
  
 
 r3044@cubic-pc (orig r3915):  jesse | 2005-10-05 22:49:11 +0400
  r17067@hualien:  jesse | 2005-10-05 10:39:13 -0400
   r17053@hualien:  jesse | 2005-10-05 10:00:45 -0400
    r15946@hualien (orig r3872):  alexmv | 2005-09-22 12:38:17 -0400
     r6181@zoq-fot-pik:  chmrr | 2005-09-02 12:09:41 -0400
      * Additional tests for no requestor (should still sort correctly)
    
    r15947@hualien (orig r3873):  alexmv | 2005-09-22 12:38:34 -0400
     r6451@zoq-fot-pik:  chmrr | 2005-09-22 12:37:30 -0400
      * Statement logging
    
    r17047@hualien (orig r3903):  alexmv | 2005-10-03 15:57:38 -0400
     r6572@zoq-fot-pik:  chmrr | 2005-10-03 15:47:52 -0400
      * Make test text reflect the number of tickets the test is looking for
    
    r17048@hualien (orig r3904):  alexmv | 2005-10-03 15:57:45 -0400
    
   
  
 
 r3045@cubic-pc (orig r3916):  jesse | 2005-10-05 22:49:27 +0400
  r17068@hualien:  jesse | 2005-10-05 10:39:19 -0400
   r17054@hualien:  jesse | 2005-10-05 10:07:50 -0400
    r15723@hualien:  jesse | 2005-09-13 12:05:40 -0400
    * When pulling data out of the database, we need to be more careful
      about whether it's utf8 or not. Thanks to Ruslan Zakirov
    
   
  
 
 r3046@cubic-pc (orig r3917):  jesse | 2005-10-05 22:49:50 +0400
  r17069@hualien:  jesse | 2005-10-05 10:39:25 -0400
   r17055@hualien:  jesse | 2005-10-05 10:07:58 -0400
    r15749@hualien:  jesse | 2005-09-15 11:14:56 -0400
    * It was possible to get into an infinite loop when removing a member from a group
   
  
 
 r3047@cubic-pc (orig r3918):  jesse | 2005-10-05 22:50:07 +0400
  r17070@hualien:  jesse | 2005-10-05 10:39:31 -0400
   r17056@hualien:  jesse | 2005-10-05 10:08:04 -0400
    r15752@hualien:  jesse | 2005-09-15 11:41:41 -0400
     r14236@hualien (orig r3754):  robert | 2005-09-01 17:47:36 -0400
      r3800@bear:  rspier | 2005-09-01 14:46:59 -0700
      RT-Ticket: 6986
      RT-Status: resolved
      RT-Update: correspond
      
      If we didn't generate any SQL, don't pass it to FromSQL which will reset the dirty flag and then SB won't actually run anything.
      
      Also, tests.
          
     
     r15713@hualien (orig r3847):  glasser | 2005-09-12 18:11:43 -0400
      r41532@maclaurin-seven-twelve:  glasser | 2005-09-12 18:04:55 -0400
      Defining subs in Mason components is dangerous, since they clash with subs defined
      in every other component.
     
    
   
  
 
 r3048@cubic-pc (orig r3919):  jesse | 2005-10-05 22:50:32 +0400
  r17071@hualien:  jesse | 2005-10-05 10:39:37 -0400
   r17057@hualien:  jesse | 2005-10-05 10:08:11 -0400
    r15770@hualien:  jesse | 2005-09-16 12:23:15 -0400
    * The RSS feeds should come with a default subject, as feeds really want to have article titles in some clients
   
  
 
 r3049@cubic-pc (orig r3920):  jesse | 2005-10-05 22:50:54 +0400
  r17072@hualien:  jesse | 2005-10-05 10:39:48 -0400
   r17059@hualien:  jesse | 2005-10-05 10:08:39 -0400
    r17052@hualien:  jesse | 2005-10-05 09:37:42 -0400
     r15958@hualien (orig r3877):  alexmv | 2005-09-22 15:09:22 -0400
      r6458@zoq-fot-pik:  chmrr | 2005-09-22 15:08:37 -0400
       * Add where the faulty caller was in deprecated warnings
     
     r16168@hualien (orig r3892):  robert | 2005-09-28 12:16:03 -0400
      r3945@bear:  rspier | 2005-09-28 09:15:08 -0700
      Performance Improvement when Sending Email using sendmailpipe -
      
      MIME::Entity would bog down in certain cases because of it's use of IO::Scalar during stringification.  MIME::Entity will be switching to IO::ScalarArray, which will help... but RT was causing it to store into a temporary string anyway, which was silly.
      
      This change has MIME::Entity write directly to the pipe, which is a lot more efficient.  Seems to cut out ~33% of user time.  (Because we don't need to have a temporary IO::Scalar thingy around.)  Also will reduce peak memory usage.
      
     
     r16169@hualien (orig r3893):  jesse | 2005-09-28 13:27:29 -0400
     Switch from ->CustomFields to ->TicketCustomFields to stop using a deprecated API.
       Thanks to T.J. Maciak
     
     r17038@hualien (orig r3894):  alexmv | 2005-09-30 15:19:46 -0400
      r6554@zoq-fot-pik:  chmrr | 2005-09-30 15:16:47 -0400
       * Remove unused and deprecated code path (bugs 6605, 7008)
     
     r17039@hualien (orig r3895):  alexmv | 2005-09-30 15:19:57 -0400
      r6555@zoq-fot-pik:  chmrr | 2005-09-30 15:18:22 -0400
       * Link to the *other* end of the link, not the one that is us
     
     r17040@hualien (orig r3896):  alexmv | 2005-09-30 15:56:31 -0400
      r6558@zoq-fot-pik:  chmrr | 2005-09-30 15:56:06 -0400
      RT-Ticket: 7029
      RT-Status: resolved
      RT-Update: correspond
      
       * Applied missing limit for AdminCcs, from Todd Chapman
      
     
     r17044@hualien (orig r3900):  alexmv | 2005-10-03 13:32:45 -0400
      r6566@zoq-fot-pik:  chmrr | 2005-10-03 13:28:24 -0400
       * Updated spanish translation, thanks to Carlos Velasco
     
     r17045@hualien (orig r3901):  alexmv | 2005-10-03 14:15:35 -0400
      r6568@zoq-fot-pik:  chmrr | 2005-10-03 14:14:49 -0400
       * Header fixes in PO files to include correct RT version
     
    
   
  
 
 r3050@cubic-pc (orig r3968):  jesse | 2005-10-15 03:48:12 +0400
  r17373@hualien:  jesse | 2005-10-14 15:34:42 -0400
   r17359@hualien:  jesse | 2005-10-14 15:21:10 -0400
   * Perltidy
  
 
 r3051@cubic-pc (orig r3969):  jesse | 2005-10-15 03:48:19 +0400
  r17374@hualien:  jesse | 2005-10-14 15:34:43 -0400
   r17361@hualien:  jesse | 2005-10-14 15:22:39 -0400
    r17358@hualien:  jesse | 2005-10-14 15:06:26 -0400
     r17219@hualien (orig r3938):  robert | 2005-10-07 00:20:15 -0400
      r3995@bear:  rspier | 2005-10-06 21:19:24 -0700
       [fsck.com #7067] - If we can't find a customfield that the user is allowed to see on a ticket, don't return any values, (when specifying a custom field)
     
     r17275@hualien (orig r3944):  ruz | 2005-10-10 15:27:36 -0400
     backport of the 3.5-TESTING@3943
     Changes
     * fix for search by owner's fields, now owner is WATCHERFIELD instead of ENUM
     * added backward compatible variant for Owner, next searches should work
     ** Owner = '<id>'
     ** Owner != '<id>'
     ** Owner = '<name>'
     ** Owner != '<name>'
     ** for other operators or if subfield(subkey) is specified search works
        as for other watchers
     * Fix for searches like "Cc.Name <> 'SomeBody'", was skipping tickets
       with empty Cc list.
     * get rid of some unint warnings
     * test suite for all corner cases
     
     r17276@hualien (orig r3945):  ruz | 2005-10-10 15:47:29 -0400
     backport of the 3.5-TESTING@3543
     Changes:
     * fix attachments ordering
     
     r17313@hualien (orig r3948):  ruz | 2005-10-10 20:01:50 -0400
     * get rid of "not a number" warning
     r17339@hualien (orig r3957):  ruz | 2005-10-13 08:37:47 -0400
     * code comments
     r17340@hualien (orig r3958):  ruz | 2005-10-13 08:40:24 -0400
     * new callback in html/User/Elements/Tabs
    
    r17360@hualien:  jesse | 2005-10-14 15:21:46 -0400
    * Perltidy
   
  
 
 r3052@cubic-pc (orig r3970):  jesse | 2005-10-15 03:48:29 +0400
  r17375@hualien:  jesse | 2005-10-14 15:34:45 -0400
   r17362@hualien:  jesse | 2005-10-14 15:56:53 -0400
   * Merge fixups
  
 
 r3053@cubic-pc (orig r3971):  jesse | 2005-10-15 03:48:42 +0400
  r17376@hualien:  jesse | 2005-10-14 15:34:47 -0400
   r17363@hualien:  jesse | 2005-10-14 15:57:06 -0400
   * Todo test no longer failing
  
 
 r3054@cubic-pc (orig r3972):  jesse | 2005-10-15 03:48:49 +0400
  r17377@hualien:  jesse | 2005-10-14 15:34:48 -0400
   r17371@hualien:  jesse | 2005-10-14 17:13:07 -0400
   Pull up from 3.4
  
 
 r3055@cubic-pc (orig r4177):  jesse | 2005-12-01 00:26:20 +0300
  r19594@truegrounds:  jesse | 2005-11-30 16:04:46 -0500
   r18978@truegrounds:  jesse | 2005-11-18 17:16:11 -0500
   * Minor refactoring of CreateTickets.pm (It needs a more complete rototill)
   
   * more flexible support for custom fields whose names contain dashes and spaces in createtickets templates
   
  
 
 r3056@cubic-pc (orig r4178):  jesse | 2005-12-01 00:26:34 +0300
  r19595@truegrounds:  jesse | 2005-11-30 16:04:52 -0500
   r19551@truegrounds:  jesse | 2005-11-30 15:24:09 -0500
    r19350@truegrounds (orig r4145):  alexmv | 2005-11-23 16:32:25 -0500
     r7341@zoq-fot-pik:  chmrr | 2005-11-23 16:31:44 -0500
      * Limiting based on CFs should make sure that the CFs in question are
     on the right queue, otherwise negative searches might be wrong.
      * Removed debugging lines from 20-sort-by-requestor.t
    
    r19521@truegrounds (orig r4149):  alexmv | 2005-11-28 15:00:53 -0500
     r7368@zoq-fot-pik:  chmrr | 2005-11-28 15:00:18 -0500
      * Search/Build.html passes Rows not RowsPerPage -- don't hard-force
        to 50 all the time!
    
   
  
 
 r3057@cubic-pc (orig r4179):  jesse | 2005-12-01 00:26:50 +0300
  r19596@truegrounds:  jesse | 2005-11-30 16:05:00 -0500
   r19553@truegrounds:  jesse | 2005-11-30 15:26:01 -0500
    r19552@truegrounds (orig r4155):  alexmv | 2005-11-30 15:26:08 -0500
     r7395@zoq-fot-pik:  chmrr | 2005-11-30 15:25:32 -0500
      * Sort by requestor tests fail on some database backends because they
     sort nulls differently than Perl does; only compare non-nulls
    
   
  
 
 r3058@cubic-pc (orig r4180):  jesse | 2005-12-01 00:27:04 +0300
  r19597@truegrounds:  jesse | 2005-11-30 16:05:07 -0500
   r19554@truegrounds:  jesse | 2005-11-30 15:27:53 -0500
    r18121@truegrounds:  jesse | 2005-11-02 22:40:02 -0500
     r17958@truegrounds (orig r3989):  alexmv | 2005-10-24 17:26:18 -0400
      r6881@zoq-fot-pik:  chmrr | 2005-10-24 17:25:14 -0400
       * Ensure custom fields keep correct fallback values; for instance, if
      "add another attachment" is clicked
     
     r18110@truegrounds (orig r4010):  pdh | 2005-10-31 19:21:57 -0500
     Make $RT::MaxInlineBody work properly.
     
     
     r18111@truegrounds (orig r4011):  pdh | 2005-11-01 00:43:02 -0500
     Add a missing space, before the Style Police come after me.
     
     
    
   
  
 
 r3059@cubic-pc (orig r4181):  jesse | 2005-12-01 00:27:18 +0300
  r19598@truegrounds:  jesse | 2005-11-30 16:06:36 -0500
   r19555@truegrounds:  jesse | 2005-11-30 15:28:02 -0500
    r18409@truegrounds:  jesse | 2005-11-06 17:11:57 -0500
    * Fix to attachment ordering when you ask for a txn's attachments.
      (Postgres doesn't default to ordering by id, so we were getting the wrong txn content)
   
  
 
 r3060@cubic-pc (orig r4182):  jesse | 2005-12-01 00:27:32 +0300
  r19599@truegrounds:  jesse | 2005-11-30 16:06:44 -0500
   r19556@truegrounds:  jesse | 2005-11-30 15:28:09 -0500
    r18411@truegrounds:  jesse | 2005-11-06 17:13:33 -0500
     * Patch to significantly improve performance on "WhoHaveRight" from Ruslan.
   
  
 
 r3061@cubic-pc (orig r4183):  jesse | 2005-12-01 00:27:48 +0300
  r19600@truegrounds:  jesse | 2005-11-30 16:06:53 -0500
   r19557@truegrounds:  jesse | 2005-11-30 15:28:15 -0500
    r18412@truegrounds:  jesse | 2005-11-06 17:13:58 -0500
    * Bumped to 3.4.5pre1
   
  
 
 r3062@cubic-pc (orig r4184):  jesse | 2005-12-01 00:28:03 +0300
  r19601@truegrounds:  jesse | 2005-11-30 16:07:00 -0500
   r19558@truegrounds:  jesse | 2005-11-30 15:28:23 -0500
    r18716@truegrounds:  jesse | 2005-11-11 00:10:08 -0500
    * fix from ruslan for fallout from his WhoHaveRight refactoring
   
  
 
 r3063@cubic-pc (orig r4185):  jesse | 2005-12-01 00:28:18 +0300
  r19602@truegrounds:  jesse | 2005-11-30 16:07:07 -0500
   r19559@truegrounds:  jesse | 2005-11-30 15:28:45 -0500
    r18722@truegrounds:  jesse | 2005-11-11 15:26:34 -0500
    * SB 1.35 dependency
   
  
 
 r3064@cubic-pc (orig r4186):  jesse | 2005-12-01 00:28:41 +0300
  r19603@truegrounds:  jesse | 2005-11-30 16:07:14 -0500
   r19560@truegrounds:  jesse | 2005-11-30 15:29:29 -0500
    r18876@truegrounds:  jesse | 2005-11-14 12:32:25 -0500
     r18739@truegrounds (orig r4061):  robert | 2005-11-13 00:14:57 -0500
      r4124@bear:  rspier | 2005-11-12 21:08:45 -0800
      Undefined Warning Elimination:
        - index.html passes in $session{'home_refresh_interval'} which can be null.  
      
      r4125@bear:  rspier | 2005-11-12 21:14:28 -0800
      Undefined Warning Elimination:
        GetHeader will return undefined when the header doesn't exist.  (This is _good_, as that is different than empty.)
        But.. =~ warns.
     
    
   
  
 
 r3065@cubic-pc (orig r4187):  jesse | 2005-12-01 00:28:55 +0300
  r19604@truegrounds:  jesse | 2005-11-30 16:07:22 -0500
   r19561@truegrounds:  jesse | 2005-11-30 15:29:35 -0500
    r18877@truegrounds:  jesse | 2005-11-14 12:37:37 -0500
    RT-Ticket: 7087
    RT-Status: resolved
    RT-Update: correspond
    
    Displayed linked tickets in search results were inverted
    
   
  
 
 r3066@cubic-pc (orig r4188):  jesse | 2005-12-01 00:29:09 +0300
  r19605@truegrounds:  jesse | 2005-11-30 16:07:28 -0500
   r19562@truegrounds:  jesse | 2005-11-30 15:29:41 -0500
    r18880@truegrounds:  jesse | 2005-11-14 12:42:48 -0500
    RT-Ticket: 7081
    RT-Status: resolved
    RT-Update: correspond
    
    * Added a note to the readme warning users to clean out the
      mason cache on upgrades - Ruslan
    
   
  
 
 r3067@cubic-pc (orig r4189):  jesse | 2005-12-01 00:29:25 +0300
  r19606@truegrounds:  jesse | 2005-11-30 16:07:35 -0500
   r19563@truegrounds:  jesse | 2005-11-30 15:29:47 -0500
    r18888@truegrounds:  jesse | 2005-11-14 12:54:25 -0500
    RT-Ticket: 7048
    RT-Status: resolved
    RT-Update: correspond
    
    * Akos Torok pointed out that our HTML scrubber removed "PRE" tags from HTML
   
  
 
 r3068@cubic-pc (orig r4190):  jesse | 2005-12-01 00:29:40 +0300
  r19607@truegrounds:  jesse | 2005-11-30 16:07:42 -0500
   r19564@truegrounds:  jesse | 2005-11-30 15:29:54 -0500
    r18892@truegrounds:  jesse | 2005-11-14 13:07:15 -0500
     r18881@truegrounds (orig r4064):  alexmv | 2005-11-14 12:43:06 -0500
      r7122@zoq-fot-pik:  chmrr | 2005-11-14 12:42:37 -0500
       * Updated russian translation from Andrew Kornilov <andy@eva.dp.ua>
     
    
   
  
 
 r3069@cubic-pc (orig r4191):  jesse | 2005-12-01 00:29:56 +0300
  r19608@truegrounds:  jesse | 2005-11-30 16:09:07 -0500
   r19565@truegrounds:  jesse | 2005-11-30 15:30:00 -0500
    r18893@truegrounds:  jesse | 2005-11-14 13:19:52 -0500
    RT-Ticket: 7128
    RT-Status: resolved
    RT-Update: correspond
    
    A big patch from Todd Chapman (with lots of juicy tests) to optionally
    create two transactions when you create a link. (Also, this means that we'll
    run scrips twice). This is off by default in RT 3.4
    
   
  
 
 r3070@cubic-pc (orig r4192):  jesse | 2005-12-01 00:30:14 +0300
  r19609@truegrounds:  jesse | 2005-11-30 16:09:14 -0500
   r19566@truegrounds:  jesse | 2005-11-30 15:30:08 -0500
    r18895@truegrounds:  jesse | 2005-11-14 13:35:29 -0500
    RT-Ticket: 7136
    RT-Status: resolved
    RT-Update: correspond
    
    Stuart Knight reports:
    
    As part of the "initdb" processing, the scripts went through and created a new database user, in my case called RT3.
    
    When it came time to create the tables, the script was still logged on as the dba user "system", so all of tables/sequences were created under "system"'s schema.
    
    I followed through the rt-setup-database script, and spotted that there was a database disconnect, followed by an immediate reconnect, as the same user. (in the case of Oracle this still being the "dba" account)
    
    Putting an extra validation check in here for Oracle, and then connecting as the intended database user fixed up the issue.
    
   
  
 
 r3071@cubic-pc (orig r4193):  jesse | 2005-12-01 00:30:29 +0300
  r19610@truegrounds:  jesse | 2005-11-30 16:09:20 -0500
   r19567@truegrounds:  jesse | 2005-11-30 15:30:15 -0500
    r18897@truegrounds:  jesse | 2005-11-14 13:35:44 -0500
     r18896@truegrounds (orig r4072):  alexmv | 2005-11-14 13:33:43 -0500
      r7135@zoq-fot-pik:  chmrr | 2005-11-14 13:32:23 -0500
      RT-Ticket: 7101
      RT-Status: resolved
      RT-Update: correspond
      
       * Don't modify EquivObjects arrayref, thanks to Todd Chapman
      
     
    
   
  
 
 r3072@cubic-pc (orig r4194):  jesse | 2005-12-01 00:30:44 +0300
  r19611@truegrounds:  jesse | 2005-11-30 16:09:27 -0500
   r19568@truegrounds:  jesse | 2005-11-30 15:30:22 -0500
    r18899@truegrounds:  jesse | 2005-11-14 13:40:24 -0500
    RT-Ticket: 7121 
    RT-Status: resolved
    RT-Update: correspond
    
    * Patch from Todd Chapman to make the web based acl tests honor RT::WebPath
    
   
  
 
 r3073@cubic-pc (orig r4195):  jesse | 2005-12-01 00:31:00 +0300
  r19612@truegrounds:  jesse | 2005-11-30 16:09:34 -0500
   r19569@truegrounds:  jesse | 2005-11-30 15:37:06 -0500
    r18900@truegrounds:  jesse | 2005-11-14 13:57:34 -0500
    RT-Ticket: 7122
    RT-Status: resolved
    RT-Update: correspond
    
    * Patch from Todd Chapman to honor changed a $rtname variable when running
      the test suite
   
  
 
 r3074@cubic-pc (orig r4196):  jesse | 2005-12-01 00:31:18 +0300
  r19613@truegrounds:  jesse | 2005-11-30 16:09:40 -0500
   r19570@truegrounds:  jesse | 2005-11-30 15:37:12 -0500
    r18904@truegrounds:  jesse | 2005-11-14 14:49:25 -0500
    RT-Ticket: 7105
    RT-Status: resolved
    RT-Update: correspond
    
    Updated French translation from Jerome Fenal
   
  
 
 r3075@cubic-pc (orig r4197):  jesse | 2005-12-01 00:31:35 +0300
  r19614@truegrounds:  jesse | 2005-11-30 16:09:47 -0500
   r19571@truegrounds:  jesse | 2005-11-30 15:37:19 -0500
    r19545@truegrounds:  jesse | 2005-11-29 18:51:07 -0500
    * A pair of new callbacks to make it easier to hide away a custom field on ticket display/edit
   
  
 
 r3076@cubic-pc (orig r4198):  jesse | 2005-12-01 00:31:49 +0300
  r19615@truegrounds:  jesse | 2005-11-30 16:09:54 -0500
   r19572@truegrounds:  jesse | 2005-11-30 15:37:26 -0500
    r19547@truegrounds:  jesse | 2005-11-29 18:54:41 -0500
     r18901@truegrounds (orig r4074):  alexmv | 2005-11-14 13:52:00 -0500
      r7140@zoq-fot-pik:  chmrr | 2005-11-14 13:51:14 -0500
       * Better bounce handling, from Abhijit Menon-Sen <ams@oryx.com>
     
     r18905@truegrounds (orig r4077):  alexmv | 2005-11-14 14:20:49 -0500
      r7146@zoq-fot-pik:  chmrr | 2005-11-14 14:20:03 -0500
      RT-Ticket: 7090
      RT-Status: resolved
      RT-Update: correspond
       * New Japanese .po, from Daisuke Maki <daisuke@wafu.ne.jp>
     
     r18940@truegrounds (orig r4079):  alexmv | 2005-11-14 14:52:57 -0500
      r7148@zoq-fot-pik:  chmrr | 2005-11-14 14:51:58 -0500
      RT-Ticket: 6559
      RT-Status: resolved
      RT-Update: correspond
       * Tests from Todd Chapman for loading CF from a wrong queue
     
     r18941@truegrounds (orig r4080):  alexmv | 2005-11-14 14:55:17 -0500
      r7152@zoq-fot-pik:  chmrr | 2005-11-14 14:54:43 -0500
       * Restore rightful .po headers on new french translation
     
     r18942@truegrounds (orig r4081):  alexmv | 2005-11-14 14:59:42 -0500
      r7155@zoq-fot-pik:  chmrr | 2005-11-14 14:59:06 -0500
      RT-Ticket: 7020
      RT-Status: resolved
      RT-Update: correspond
       * Actually make use of 'style' if it is provided; thanks to Kelly
        F. Hickel <kfh@mqsoftware.com>
     
     r18944@truegrounds (orig r4083):  alexmv | 2005-11-14 15:43:24 -0500
      r7159@zoq-fot-pik:  chmrr | 2005-11-14 15:42:48 -0500
      RT-Ticket: 6457
      RT-Status: resolved
      RT-Update: correspond
       * Typo in Ticket_Overlay.pm, found by Todd Chapman <todd@chaka.net>
     
     r18945@truegrounds (orig r4084):  alexmv | 2005-11-14 15:51:27 -0500
      r7161@zoq-fot-pik:  chmrr | 2005-11-14 15:50:56 -0500
      RT-Ticket: 6458
      RT-Status: resolved
      RT-Update: correspond
       * Removed extra return argument from _AddLink, thanks to Todd Chapman
         <todd@chaka.net>
     
     r18946@truegrounds (orig r4085):  alexmv | 2005-11-14 16:30:12 -0500
      r7163@zoq-fot-pik:  chmrr | 2005-11-14 16:29:36 -0500
      RT-Ticket: 6507
      RT-Status: resolved
      RT-Update: correspond
       * Standardize fonts to "Verdana, Arial, Helvetica, sans-serif";
         variant of patch from Maxime Henrion <mux@FreeBSD.org>
     
     r18947@truegrounds (orig r4086):  alexmv | 2005-11-14 16:49:33 -0500
      r7165@zoq-fot-pik:  chmrr | 2005-11-14 16:49:07 -0500
      RT-Ticket: 7131
      RT-Status: resolved
      RT-Update: correspond
       * The $RT::rtname regex should be case insensitive for matching
         subjects; thanks to Phil Smith III <psmith@levanta.com> for the
         catch
     
     r18948@truegrounds (orig r4087):  ruz | 2005-11-14 16:50:12 -0500
     * fix: really hide hidden paths from callbacks
     * fix: fetch data from the %cache by one key when store data with other
     r18950@truegrounds (orig r4089):  ruz | 2005-11-14 16:57:36 -0500
     * revert back mysql.schema, commited by accident
     r18951@truegrounds (orig r4090):  ruz | 2005-11-14 17:02:36 -0500
     * /Elements/QueryString now supports ARRAY refs, this allow us to handle
       multiple arguments with the same name, this behaviour is consistent with
       how HTML::Mason handle arguments
     r18953@truegrounds (orig r4092):  alexmv | 2005-11-14 17:35:40 -0500
      r7175@zoq-fot-pik:  chmrr | 2005-11-14 17:35:03 -0500
      RT-Ticket: 7010
      RT-Status: resolved
      RT-Update: correspond
       * Treat our email addresses as case-insensitive
     
     r18957@truegrounds (orig r4096):  alexmv | 2005-11-14 18:34:44 -0500
      r7182@zoq-fot-pik:  chmrr | 2005-11-14 18:34:13 -0500
      RT-Ticket: 6994
      RT-Status: resolved
      RT-Update: correspond
       * Sort custom vield values by SortOrder, then *Name*, then id; patch
         from Troy Davis <troy@nack.net>
     
     r18992@truegrounds (orig r4120):  robert | 2005-11-19 22:52:28 -0500
      r4186@bear:  rspier | 2005-11-19 19:51:38 -0800
      typo fix: s/load/Load/ 
     
    
   
  
 
 r3077@cubic-pc (orig r4199):  jesse | 2005-12-01 00:32:08 +0300
  r19616@truegrounds:  jesse | 2005-11-30 16:11:33 -0500
  * Reminders typo
 
 r3078@cubic-pc (orig r4221):  jesse | 2005-12-03 02:07:20 +0300
  r19696@truegrounds:  jesse | 2005-12-02 17:59:08 -0500
  * typo fox
 
 r3079@cubic-pc (orig r4222):  jesse | 2005-12-03 02:07:34 +0300
  r19698@truegrounds:  jesse | 2005-12-02 18:00:25 -0500
   r19693@truegrounds:  jesse | 2005-12-02 17:48:24 -0500
    r19588@truegrounds:  jesse | 2005-11-30 16:00:10 -0500
    * Bump to 3.4.5rc1
    r19674@truegrounds:  jesse | 2005-12-01 23:13:50 -0500
     * Added a print stylesheet from Koos van den Hout
    r19688@truegrounds:  jesse | 2005-12-02 17:01:28 -0500
    RT-Ticket: 6962
    RT-Status: resolved
    RT-Update: correspond
    
    * Patch from Rolf Grossmann to fix some bogosity in the query builder
    
   
  
 
 r3080@cubic-pc (orig r4267):  jesse | 2005-12-08 08:44:10 +0300
  r19796@truegrounds:  jesse | 2005-12-08 00:41:36 -0500
  * ModifyAll.html has two copies of Owner. Disambiguate.
 
 r3081@cubic-pc (orig r4268):  jesse | 2005-12-08 08:45:05 +0300
  r19797@truegrounds:  jesse | 2005-12-08 00:42:14 -0500
   *Also, deal with the case where the user doesn't change either value
 
 r3082@cubic-pc (orig r4409):  jesse | 2006-01-19 18:14:40 +0300
  r22718@truegrounds:  jesse | 2006-01-19 09:01:31 -0500
  Merge forward from RT 3.4 and Quebec
  
  r22386@truegrounds:  jesse | 2006-01-13 12:50:56 -0500
    r19822@truegrounds (orig r4253):  alexmv | 2005-12-06 18:29:47 +0100
     r7565@zoq-fot-pik:  chmrr | 2005-12-06 12:28:41 -0500
      * Tailing test -- paging, ORDER BY, JOIN, and DISTINCT collude to
     produce incorrect results, unless the DISTINCT is done very carefully.
     See the latest DBIx-SearchBuilder.
    
    r20865@truegrounds (orig r4330):  alexmv | 2005-12-19 20:48:21 +0100
     r7854@zoq-fot-pik:  chmrr | 2005-12-19 14:47:41 -0500
      * Squish out duplicate SortOrders in ObjectCustomFields if they
     exist; this should be impossible, so the O(n) updates is mostly
     justified.
    
    r20866@truegrounds (orig r4331):  alexmv | 2005-12-19 21:15:17 +0100
     r7856@zoq-fot-pik:  chmrr | 2005-12-19 15:14:45 -0500
      * Checking Principal isn't enough to know if this is the current user
     -- we could be being passed our own email address, instead of our own
     principal.
    
    r22376@truegrounds (orig r4387):  alexmv | 2006-01-12 17:24:24 +0100
     r8635@zoq-fot-pik:  chmrr | 2006-01-12 11:23:39 -0500
      * Parse embedded newlines
      * Anchor column alias matches at beginning and end so they don't pick
        up things like 'CustomField-Summary Status' as =~ /Summary/
    
   
   r22387@truegrounds:  jesse | 2006-01-13 12:56:51 -0500
   * Pulled up changes from RT 3.4.5
   
   r19695@truegrounds:  jesse | 2005-12-02 23:58:50 +0100
    * RC2
    r20429@truegrounds:  jesse | 2005-12-13 21:25:39 +0100
     r19996@truegrounds (orig r4303):  alexmv | 2005-12-13 13:58:20 -0500
      r7707@zoq-fot-pik:  chmrr | 2005-12-13 13:54:45 -0500
       * I don't think this join to Attachments is needed or useful -- it means you don't see changes with no attachments
     
    
    r20435@truegrounds:  jesse | 2005-12-13 22:51:06 +0100
    * warning silencing for a log message
    r20436@truegrounds:  jesse | 2005-12-13 22:51:41 +0100
    * 3.4.5rc3
    r22357@truegrounds:  jesse | 2006-01-11 18:20:01 +0100
    RT-Ticket: 7222
    RT-Status: resolved
    RT-Update: correspond
    
    * German translation update from Dirk Pape
    r22369@truegrounds:  jesse | 2006-01-12 16:23:48 +0100
    * Forced timezone for a date test to GMT, since it's searching on subjective dates
    r22370@truegrounds:  jesse | 2006-01-12 16:25:19 +0100
    * Silence a warning introduced by a patch to fix oracle installs
    r22371@truegrounds:  jesse | 2006-01-12 16:25:39 +0100
    * This be 3.4.5
   
   r22715@truegrounds:  jesse | 2006-01-19 08:49:53 -0500
    r22708@truegrounds (orig r4400):  alexmv | 2006-01-18 16:35:37 -0500
     r8683@zoq-fot-pik:  chmrr | 2006-01-18 16:34:42 -0500
      * Correctly deal with 0-length field values; now passes test suite
        again.  Mea culpa.
    
    r22709@truegrounds (orig r4401):  alexmv | 2006-01-18 17:59:16 -0500
     r8689@zoq-fot-pik:  chmrr | 2006-01-18 17:58:29 -0500
      * Support multiple requestors, ccs, adminccs, or links on one line
    
    r22710@truegrounds (orig r4402):  alexmv | 2006-01-18 23:15:31 -0500
     r8691@zoq-fot-pik:  chmrr | 2006-01-18 23:14:54 -0500
      * Document and standardize UpdateType
      * Fix another possible infinite loop bug
    
    r22711@truegrounds (orig r4403):  alexmv | 2006-01-19 00:10:27 -0500
     r8693@zoq-fot-pik:  chmrr | 2006-01-19 00:09:49 -0500
      * ForceOwner to force ownership
    
    r22712@truegrounds (orig r4404):  alexmv | 2006-01-19 00:13:52 -0500
     r8695@zoq-fot-pik:  chmrr | 2006-01-19 00:13:12 -0500
      * Removed debugging statements
    
   
   r22717@truegrounds:  jesse | 2006-01-19 08:59:52 -0500
   * Merged forward from RT 3.4
  
 
 r3083@cubic-pc (orig r4456):  jesse | 2006-02-01 04:16:39 +0300
  r23030@truegrounds:  jesse | 2006-01-31 18:51:02 -0500
  * Added the ability to make custom fields link to and include content from other systems.
 
 r3084@cubic-pc (orig r4457):  jesse | 2006-02-01 04:16:50 +0300
  r23031@truegrounds:  jesse | 2006-01-31 18:52:13 -0500
  * Added a note about the AHAH support
 
 r3085@cubic-pc (orig r4496):  jesse | 2006-02-04 07:13:43 +0300
  r23050@truegrounds:  jesse | 2006-02-03 13:34:17 -0500
  * Added a bunch more callbacks for great justice.
 
 r3086@cubic-pc (orig r4518):  jesse | 2006-02-09 22:20:22 +0300
  r23555@truegrounds:  jesse | 2006-02-09 14:19:23 -0500
  * missing _ in regex 
 
 r3087@cubic-pc (orig r4519):  jesse | 2006-02-09 22:59:12 +0300
  r23569@truegrounds:  jesse | 2006-02-09 14:48:54 -0500
  * open links in new windows
 
 r3088@cubic-pc (orig r4524):  jesse | 2006-02-10 07:14:17 +0300
  r23587@truegrounds:  jesse | 2006-02-09 23:13:22 -0500
  * Reminder editing updates
  
 
 r3089@cubic-pc (orig r4525):  jesse | 2006-02-10 22:50:21 +0300
  r23593@truegrounds:  jesse | 2006-02-10 14:47:08 -0500
  * Force the content type inside a js comment
 
 r3090@cubic-pc (orig r4526):  jesse | 2006-02-10 22:50:33 +0300
  r23594@truegrounds:  jesse | 2006-02-10 14:49:27 -0500
  * wrap the mason directive for setting the content type in a js comment
  
 
 r3091@cubic-pc (orig r4541):  jesse | 2006-02-16 22:45:36 +0300
  r23812@truegrounds:  jesse | 2006-02-16 11:42:23 -0800
  * Chaldea release engineering
 
 r3092@cubic-pc (orig r4543):  jesse | 2006-02-17 00:34:46 +0300
  r23814@truegrounds:  jesse | 2006-02-16 13:33:40 -0800
  * try to make rt.js do the right thing with headers
 
 r3093@cubic-pc (orig r4551):  jesse | 2006-02-17 05:29:47 +0300
  r23826@truegrounds:  jesse | 2006-02-16 18:25:05 -0800
  * Backport tickets_overlay from 3.5. Fix a bug that stopped search on global custom fields
 
 r3094@cubic-pc (orig r4552):  jesse | 2006-02-17 21:03:41 +0300
  r23835@truegrounds:  jesse | 2006-02-17 10:02:28 -0800
  * Chaldea r7
 
 r3095@cubic-pc (orig r4559):  jesse | 2006-02-21 22:13:42 +0300
  r24473@truegrounds:  jesse | 2006-02-21 14:05:29 -0500
   r24470@truegrounds:  jesse | 2006-02-21 13:50:15 -0500
    r23039@truegrounds (orig r4459):  alexmv | 2006-01-31 21:33:58 -0500
     r8863@zoq-fot-pik:  chmrr | 2006-01-31 21:33:12 -0500
      * Collapse ForceOwner and Owner
      * Fix updating of (Admin)Ccs
      * Default UpdateType to 'correspond'
      * Default content-type to 'text/plain'
    
    r23040@truegrounds (orig r4460):  alexmv | 2006-01-31 23:42:36 -0500
     r8868@zoq-fot-pik:  chmrr | 2006-01-31 22:24:18 -0500
      * Untabify and adjust indenting in one or two places
    
    r23041@truegrounds (orig r4461):  alexmv | 2006-01-31 23:42:41 -0500
     r8869@zoq-fot-pik:  chmrr | 2006-01-31 23:41:57 -0500
      * Custom field updating during processing
      * Better error handling when ticket id doesn't exist during update
    
    r23082@truegrounds (orig r4473):  alexmv | 2006-02-03 14:32:54 -0500
     r8895@zoq-fot-pik:  chmrr | 2006-02-03 14:32:05 -0500
      * 'id' is not longer required to be the first column.  In fact, it's
     not required at all.  Blank or non-existant 'id' columns will cause it
     to assume the ticket is new, and come up with an automatic template id
     for the row.
    
    r23515@truegrounds (orig r4504):  alexmv | 2006-02-08 15:01:17 -0500
     r8969@zoq-fot-pik:  chmrr | 2006-02-08 15:00:00 -0500
      * Whitespace fixes in Results.tsv
      * Spit out custom fields as CF-...
      * During offline upload parsing, try to treat date as ISO first,
        falling back to unknown
      * Keep offline upload form from tacking on an extra newline each
        submit
      * Minimize yo-yo-ing of status if possible
      * Allow false values as possible values, as long as they're defined
      * Cc, AdminCc, and Requestor may be either email addresses or users
    
    r23628@truegrounds (orig r4527):  alexmv | 2006-02-10 19:10:22 -0500
     r9038@zoq-fot-pik:  chmrr | 2006-02-10 19:09:21 -0500
      * Accept either singular or plural forms of requestor, cc, admincc
    
   
   r24472@truegrounds:  jesse | 2006-02-21 13:57:01 -0500
    r22894@truegrounds:  jesse | 2006-01-24 07:44:05 -0500
    * Note that our SQLite dependency is 1.0
    r22958@truegrounds:  jesse | 2006-01-25 07:08:34 -0500
    From: Joop van de Wege <JoopvandeWege@mococo.nl>
    Message-Id: <20060125125248.1A97.JOOPVANDEWEGE@mococo.nl>
    
    > There is atleast one problem that I have spotted and that is that
    > schema.Oracle contains two empty lines in CREATE TABLE
    > ObjectCustomFieldValues which don't belong there.
    > That is the second set of errors you get. The first is an indication
    > that an sequence with that name already exists in the schema of that
    > Oracle users you're RT installing in.
    
    r22960@truegrounds:  jesse | 2006-01-25 07:47:07 -0500
    * a couple added lines of docs to the cli
    r22962@truegrounds:  jesse | 2006-01-25 08:18:09 -0500
    * Updated mandatory fields for ticket creation forms
    r24471@truegrounds:  jesse | 2006-02-21 13:51:18 -0500
     r23026@truegrounds (orig r4448):  kevinr | 2006-01-30 19:25:47 -0500
      r10537@SAD-GIRL-IN-SNOW:  kevinr | 2006-01-30 19:20:52 -0500
      RT-Ticket: 7289
      RT-Status: resolved
      RT-Update: correspond
      
      Updated German translation (thanks to Thorsten Brumm)
     
     r23132@truegrounds (orig r4497):  alexmv | 2006-02-04 18:34:45 -0500
      r8936@zoq-fot-pik:  chmrr | 2006-02-04 18:24:38 -0500
       * Only rmtree if we have something to rm; keeps rmtree from
      complaining about 'Not root path(s) specified'
     
     r23133@truegrounds (orig r4498):  alexmv | 2006-02-04 18:34:51 -0500
      r8937@zoq-fot-pik:  chmrr | 2006-02-04 18:33:57 -0500
      RT-Ticket: 7329
      RT-Status: resolved
      RT-Update: correspond
      
       * Use SelectNewTicketQueue instead of SelectQueue
      
     
    
   
  
 
 r3096@cubic-pc (orig r5258):  ruz | 2006-05-19 06:13:05 +0400
 merge from 3.4
 
  r2079@cubic-pc (orig r4686):  jesse | 2006-03-05 01:47:46 +0300
   r22962@truegrounds:  jesse | 2006-01-25 05:18:09 -0800
   * Updated mandatory fields for ticket creation forms
  
  r2190@cubic-pc (orig r4799):  jesse | 2006-03-23 09:37:59 +0300
   r30313@truegrounds:  jesse | 2006-03-23 01:36:27 -0500
   * Better mp2 bulletproofing
  
  r2191@cubic-pc (orig r4814):  jesse | 2006-03-24 06:40:37 +0300
   r10436@hualien:  jesse | 2006-03-23 22:40:25 -0500
   * It helps when there aren't typos
  
  r2262@cubic-pc (orig r4847):  alexmv | 2006-03-29 00:50:07 +0400
   r11918@zoq-fot-pik:  chmrr | 2006-03-28 15:49:56 -0500
    * Backport TXN fixes from 3.7 and 3.5
  
  r2321@cubic-pc (orig r4924):  jesse | 2006-03-31 06:07:23 +0400
   r10636@hualien:  jesse | 2006-03-31 11:06:57 +0900
   RT-Ticket: 7398
   RT-Status: resolved
   RT-Update: correspond
   
   * Added a "RH" RedHat layout option to config.layout  -- Paulo Matos
  
  r2396@cubic-pc (orig r5047):  ruz | 2006-04-18 04:40:06 +0400
  * check and report error to the logs
  r2421@cubic-pc (orig r5060):  jesse | 2006-04-24 18:49:40 +0400
   r11842@hualien:  jesse | 2006-04-24 10:49:13 -0400
   The following patch adds the useful LastUpdated field to the fields
   returned through the REST interface.
   David - who starts to wonder if his patches are actually read by someone :-)
   --
   David Schweikert        | phone: +41 44 632 7019
   System manager ISG.EE   | walk:  ETH Zentrum, ETL F24.1
   ETH Zurich, Switzerland | web:   http://people.ee.ethz.ch/dws
   
  
  r2422@cubic-pc (orig r5064):  ruz | 2006-04-25 00:42:43 +0400
  * max subject is 200 character long
  r2423@cubic-pc (orig r5065):  ruz | 2006-04-25 01:25:15 +0400
  * convert only if $enc'oding contains something
  r2424@cubic-pc (orig r5066):  ruz | 2006-04-25 04:21:32 +0400
  * simple tests for Attachments manipulation from web interface
  r2548@cubic-pc (orig r5115):  ruz | 2006-04-26 03:24:45 +0400
  * (cond) && 'selected' outputs 0 if condition fails on my system 
  r2549@cubic-pc (orig r5116):  ruz | 2006-04-26 03:35:09 +0400
  * get queue ID from page
  r2658@cubic-pc (orig r5118):  jesse | 2006-04-26 06:43:31 +0400
   r11882@hualien:  jesse | 2006-04-25 22:43:11 -0400
   * Mark Eichin picked up that http://lists.fsck.com/pipermail/rt-devel/2004-August/006216.html had never been applied. 
   
   rt ls -l broke because of it, if your RT server wasn't at / 
  
  r2862@cubic-pc (orig r5183):  jesse | 2006-05-09 06:31:56 +0400
   r13313@hualien:  jesse | 2006-05-08 12:01:55 -0400
    * Finding disabled groups should actually find them, now
  
  r2863@cubic-pc (orig r5184):  jesse | 2006-05-09 06:32:10 +0400
   r13314@hualien:  jesse | 2006-05-08 12:14:26 -0400
   * Minor reformatting
  
  r2864@cubic-pc (orig r5185):  jesse | 2006-05-09 06:32:19 +0400
   r13315@hualien:  jesse | 2006-05-08 22:31:30 -0400
   * Mail gateway refactoring to make added functioanlity a bit easier. 
     No (intentional) functional changes.
  
  r2865@cubic-pc (orig r5186):  jesse | 2006-05-09 06:56:20 +0400
   r13330@hualien:  jesse | 2006-05-08 22:55:56 -0400
    * Reed Loden caught a perltidy error that, somewhat terrifiyingly, was still a valid mason page
  
  r2866@cubic-pc (orig r5187):  jesse | 2006-05-09 08:48:10 +0400
   r13332@hualien:  jesse | 2006-05-09 00:47:49 -0400
   * Mismatched parens
  
  r2867@cubic-pc (orig r5206):  ruz | 2006-05-12 00:48:53 +0400
  * return values checking and more logging on errors
  r2868@cubic-pc (orig r5207):  ruz | 2006-05-12 00:56:24 +0400
  * more checks on attachments processing
  r2869@cubic-pc (orig r5208):  ruz | 2006-05-12 02:24:17 +0400
